# phpMyAdmin MySQL-Dump
# version 2.5.0-rc1
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost:3306
# Erstellungszeit: 14. Februar 2004 um 20:50
# Server Version: 4.0.12
# PHP-Version: 4.3.1
# Datenbank: `ligascript2`
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_counter`
#
# Erzeugt am: 19. August 2003 um 16:20
# Aktualisiert am: 14. Februar 2004 um 17:28
#

CREATE TABLE `lsc_counter` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ip1` smallint(3) unsigned NOT NULL default '1',
  `ip2` smallint(3) unsigned NOT NULL default '0',
  `ip3` smallint(3) unsigned NOT NULL default '0',
  `ip4` smallint(3) unsigned NOT NULL default '0',
  `UserID` int(10) unsigned NOT NULL default '0',
  `Timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `PageViews` int(10) unsigned NOT NULL default '0',
  `Visits` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `ip1` (`ip1`,`ip2`,`ip3`,`ip4`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games`
#
# Erzeugt am: 15. August 2003 um 02:01
# Aktualisiert am: 03. November 2003 um 16:11
# Letzter Check am: 15. August 2003 um 02:01
#

CREATE TABLE `lsc_games` (
  `ID` int(11) NOT NULL auto_increment,
  `Game` int(11) NOT NULL default '0',
  `Team` int(11) unsigned NOT NULL default '0',
  `PPoints1` int(11) NOT NULL default '0',
  `PPoints2` int(11) NOT NULL default '0',
  `Points` int(11) NOT NULL default '0',
  `LP` int(11) NOT NULL default '0',
  `Map` varchar(30) NOT NULL default '',
  `Won` tinyint(1) unsigned NOT NULL default '0',
  `Lost` tinyint(1) unsigned NOT NULL default '0',
  `Draw` tinyint(1) NOT NULL default '0',
  `Home` tinyint(1) NOT NULL default '0',
  `Vote` tinyint(1) NOT NULL default '0',
  `deleted` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `Game` (`Game`),
  KEY `Team` (`Team`),
  KEY `Home` (`Home`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games_comment`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 03. November 2003 um 21:11
#

CREATE TABLE `lsc_games_comment` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Game` int(10) unsigned NOT NULL default '0',
  `Author` int(10) unsigned NOT NULL default '0',
  `Date` timestamp(14) NOT NULL,
  `Comment` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games_daten`
#
# Erzeugt am: 15. August 2003 um 02:02
# Aktualisiert am: 03. November 2003 um 16:11
# Letzter Check am: 15. August 2003 um 02:02
#

CREATE TABLE `lsc_games_daten` (
  `No` int(10) unsigned NOT NULL auto_increment,
  `League` int(10) unsigned NOT NULL default '0',
  `Status` tinyint(2) NOT NULL default '0',
  `Date` datetime NOT NULL default '0000-00-00 00:00:00',
  `Special` tinyint(4) NOT NULL default '0',
  `PogName` varchar(40) NOT NULL default '',
  `InsertBy` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`No`),
  KEY `League` (`League`),
  KEY `Date` (`Date`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games_recap`
#
# Erzeugt am: 15. August 2003 um 02:04
# Aktualisiert am: 03. November 2003 um 16:41
# Letzter Check am: 15. August 2003 um 02:04
#

CREATE TABLE `lsc_games_recap` (
  `No` int(10) unsigned NOT NULL default '0',
  `Recap` text NOT NULL,
  `Date` timestamp(14) NOT NULL,
  `Author` int(10) unsigned NOT NULL default '0',
  `TeamID` int(11) unsigned NOT NULL default '0',
  KEY `No` (`No`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games_syscom`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 03. November 2003 um 16:11
#

CREATE TABLE `lsc_games_syscom` (
  `ID` int(10) unsigned NOT NULL default '0',
  `Message` text NOT NULL,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games_waiting`
#
# Erzeugt am: 15. August 2003 um 02:06
# Aktualisiert am: 03. November 2003 um 16:11
#

CREATE TABLE `lsc_games_waiting` (
  `ID` int(11) NOT NULL auto_increment,
  `WaitingID` int(11) NOT NULL default '0',
  `Team` int(10) unsigned NOT NULL default '0',
  `Points` int(11) NOT NULL default '0',
  `PPoints1` int(11) NOT NULL default '0',
  `PPoints2` int(11) NOT NULL default '0',
  `LP` int(11) NOT NULL default '0',
  `Map` varchar(30) NOT NULL default '',
  `Won` tinyint(1) unsigned NOT NULL default '0',
  `Lost` tinyint(1) unsigned NOT NULL default '0',
  `Draw` tinyint(1) NOT NULL default '0',
  `Home` tinyint(1) NOT NULL default '0',
  `Vote` tinyint(1) NOT NULL default '0',
  `Confirm` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `Game` (`WaitingID`),
  KEY `Team` (`Team`),
  KEY `Home` (`Home`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_games_waiting_daten`
#
# Erzeugt am: 15. August 2003 um 02:06
# Aktualisiert am: 03. November 2003 um 17:41
#

CREATE TABLE `lsc_games_waiting_daten` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `League` int(10) unsigned NOT NULL default '0',
  `Date` datetime NOT NULL default '0000-00-00 00:00:00',
  `Special` tinyint(4) NOT NULL default '0',
  `Info` tinytext NOT NULL,
  `PogName` varchar(40) NOT NULL default '',
  `F_Team1` mediumint(8) unsigned NOT NULL default '0',
  `F_Team2` int(10) unsigned NOT NULL default '0',
  `F_Date` datetime NOT NULL default '0000-00-00 00:00:00',
  `F_Map1` varchar(30) NOT NULL default '',
  `F_Map2` varchar(30) NOT NULL default '',
  `F_Msg1` tinytext NOT NULL,
  `F_Msg2` tinytext NOT NULL,
  `F_Confirm1` tinyint(1) NOT NULL default '0',
  `F_Confirm2` tinyint(1) NOT NULL default '0',
  `F_ChangeDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `F_Change1` tinyint(4) NOT NULL default '0',
  `F_Change2` tinyint(4) NOT NULL default '0',
  `F_ChangeMsg1` tinytext NOT NULL,
  `F_ChangeMsg2` tinytext NOT NULL,
  `LastChange` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `League` (`League`),
  KEY `Date` (`Date`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_guest_session`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 05. Februar 2004 um 15:27
# Letzter Check am: 15. August 2003 um 01:53
#

CREATE TABLE `lsc_guest_session` (
  `SessionID` varchar(20) NOT NULL default '',
  `LastVisit` timestamp(14) NOT NULL,
  PRIMARY KEY  (`SessionID`),
  KEY `LastVisit` (`LastVisit`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_guestbook`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 15. August 2003 um 01:54
#

CREATE TABLE `lsc_guestbook` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(30) NOT NULL default '',
  `Email` varchar(50) NOT NULL default '',
  `Homepage` varchar(60) NOT NULL default '',
  `Message` text NOT NULL,
  `IP` varchar(16) NOT NULL default '',
  `Timestamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `Timestamp` (`Timestamp`),
  KEY `IP` (`IP`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues`
#
# Erzeugt am: 15. August 2003 um 03:33
# Aktualisiert am: 03. November 2003 um 15:41
#

CREATE TABLE `lsc_leagues` (
  `League` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(35) NOT NULL default 'LigaScript',
  `Status` tinyint(3) unsigned NOT NULL default '0',
  `Function` tinyint(3) unsigned NOT NULL default '0',
  `Stats` tinyint(3) unsigned NOT NULL default '0',
  `MJoin` tinyint(2) NOT NULL default '0',
  `Layout` tinyint(4) NOT NULL default '0',
  `Spielplan` tinyint(4) NOT NULL default '0',
  `Playoff` tinyint(2) unsigned NOT NULL default '0',
  `AnzahlSpiele` tinyint(2) unsigned NOT NULL default '0',
  `TableCreat` tinyint(4) NOT NULL default '2',
  `ShowOverview` tinyint(1) NOT NULL default '0',
  `WaitlistID` int(10) unsigned NOT NULL default '0',
  `AnzahlMaps` tinyint(1) NOT NULL default '0',
  `Mapliste` tinyint(1) NOT NULL default '0',
  `MapName` varchar(30) NOT NULL default 'Map',
  `Forderungen` tinyint(1) NOT NULL default '0',
  `Forderungen_Zeitraum` smallint(5) unsigned NOT NULL default '0',
  `Forderungen_Change_Min` smallint(5) unsigned NOT NULL default '0',
  `Forderungen_Change_Max` smallint(5) unsigned NOT NULL default '0',
  `Forderungen_ReMoveHours` tinyint(4) NOT NULL default '0',
  `F_Rank_Min` int(11) NOT NULL default '0',
  `F_Rank_Max` int(11) NOT NULL default '0',
  `F_Points_Min` int(11) NOT NULL default '0',
  `F_Points_Max` int(11) NOT NULL default '0',
  `F_Max` tinyint(4) NOT NULL default '10',
  `Autoconfirm` tinyint(2) NOT NULL default '0',
  KEY `League` (`League`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_admins`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 19. August 2003 um 10:46
# Letzter Check am: 15. August 2003 um 01:53
#

CREATE TABLE `lsc_leagues_admins` (
  `League` int(10) unsigned NOT NULL default '0',
  `User` int(10) unsigned NOT NULL default '0',
  KEY `League` (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_group`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 05. September 2003 um 18:59
#

CREATE TABLE `lsc_leagues_group` (
  `League` int(11) NOT NULL default '0',
  `ID` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_groups`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 05. September 2003 um 18:59
#

CREATE TABLE `lsc_leagues_groups` (
  `ID` smallint(5) unsigned NOT NULL auto_increment,
  `Name` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_maps`
#
# Erzeugt am: 15. August 2003 um 02:15
# Aktualisiert am: 03. November 2003 um 15:41
#

CREATE TABLE `lsc_leagues_maps` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `League` int(10) unsigned NOT NULL default '0',
  `Name` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `League` (`League`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_newgame`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 29. Oktober 2003 um 22:46
#

CREATE TABLE `lsc_leagues_newgame` (
  `League` int(10) unsigned NOT NULL default '0',
  `Team-Punkte` tinyint(2) NOT NULL default '1',
  `Team-Punkte-Map` tinyint(2) NOT NULL default '0',
  `Team-Sieg-Unentschieden-Map` tinyint(2) NOT NULL default '0',
  `Team-Sieg` tinyint(2) NOT NULL default '0',
  `Team-Sieg-Unentschieden` tinyint(2) NOT NULL default '0',
  `OverTime` tinyint(2) NOT NULL default '2',
  `Location` tinyint(2) NOT NULL default '3',
  `POG` tinyint(2) NOT NULL default '4',
  `new1` tinyint(2) NOT NULL default '0',
  `new2` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_points`
#
# Erzeugt am: 15. August 2003 um 02:14
# Aktualisiert am: 29. Oktober 2003 um 22:59
#

CREATE TABLE `lsc_leagues_points` (
  `League` int(11) NOT NULL default '0',
  `Won1` tinyint(3) unsigned NOT NULL default '0',
  `Won2` tinyint(3) unsigned NOT NULL default '0',
  `Lost1` tinyint(3) unsigned NOT NULL default '0',
  `Lost2` tinyint(3) unsigned NOT NULL default '0',
  `Draw1` tinyint(3) unsigned NOT NULL default '0',
  `Draw2` tinyint(3) unsigned NOT NULL default '0',
  `Draws` tinyint(1) NOT NULL default '0',
  `ForceDraws` tinyint(4) NOT NULL default '0',
  `EloFunction` tinyint(4) NOT NULL default '0',
  `Elo1` smallint(5) NOT NULL default '0',
  `Elo2` smallint(5) NOT NULL default '0',
  `StartPoints` int(11) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_points_bonus`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 19. August 2003 um 10:46
#

CREATE TABLE `lsc_leagues_points_bonus` (
  `League` int(10) unsigned NOT NULL default '0',
  `WonDiff1` tinyint(4) NOT NULL default '0',
  `WonDiff2` tinyint(4) NOT NULL default '0',
  `LostDiff` tinyint(4) NOT NULL default '0',
  `TopPos` tinyint(4) NOT NULL default '0',
  `TopBonus` tinyint(4) NOT NULL default '0',
  `WonRangFaktor` tinyint(4) NOT NULL default '0',
  `LostRangFaktor` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_rules`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 19. August 2003 um 10:46
#

CREATE TABLE `lsc_leagues_rules` (
  `League` int(10) unsigned NOT NULL default '0',
  `Text` text NOT NULL,
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_spielplan`
#
# Erzeugt am: 19. August 2003 um 13:14
# Aktualisiert am: 05. September 2003 um 20:29
#

CREATE TABLE `lsc_leagues_spielplan` (
  `League` int(10) unsigned NOT NULL default '0',
  `TOrder` text NOT NULL,
  `TCount` int(11) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_spieltag`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 05. September 2003 um 20:59
#

CREATE TABLE `lsc_leagues_spieltag` (
  `League` int(10) unsigned NOT NULL default '0',
  `Spieltag` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`League`),
  KEY `League` (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_spieltag_name`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 15. August 2003 um 01:53
#

CREATE TABLE `lsc_leagues_spieltag_name` (
  `League` int(11) unsigned NOT NULL default '0',
  `Spieltag` tinyint(4) unsigned NOT NULL default '0',
  `Beschreibung` varchar(40) NOT NULL default '',
  KEY `League` (`League`,`Spieltag`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_strafpunkte`
#
# Erzeugt am: 21. August 2003 um 21:12
# Aktualisiert am: 22. August 2003 um 14:33
# Letzter Check am: 21. August 2003 um 21:12
#

CREATE TABLE `lsc_leagues_strafpunkte` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `League` int(10) unsigned NOT NULL default '0',
  `TeamUser` tinyint(1) unsigned NOT NULL default '0',
  `TeamUserID` int(10) unsigned NOT NULL default '0',
  `GameID` int(11) NOT NULL default '0',
  `ShortInfo` varchar(60) NOT NULL default '',
  `FullInfo` text NOT NULL,
  `InsertDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `EndDate` date NOT NULL default '0000-00-00',
  `PrivatePoints` int(11) NOT NULL default '0',
  `LeaguePoints` int(11) NOT NULL default '0',
  `LeagueWon` int(11) NOT NULL default '0',
  `LeagueLost` int(11) NOT NULL default '0',
  `AdminID` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `League` (`League`),
  KEY `League_2` (`League`,`TeamUser`,`TeamUserID`),
  KEY `GameID` (`GameID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_tabelle`
#
# Erzeugt am: 15. August 2003 um 02:26
# Aktualisiert am: 05. September 2003 um 18:59
#

CREATE TABLE `lsc_leagues_tabelle` (
  `League` int(10) unsigned NOT NULL default '0',
  `TeamName` tinyint(2) unsigned NOT NULL default '0',
  `TeamNamePos` tinyint(2) unsigned NOT NULL default '0',
  `Won` tinyint(2) unsigned NOT NULL default '0',
  `Lost` tinyint(2) unsigned NOT NULL default '0',
  `Draw` tinyint(2) unsigned NOT NULL default '0',
  `Total` tinyint(2) unsigned NOT NULL default '0',
  `LP` tinyint(2) unsigned NOT NULL default '0',
  `GLP` tinyint(2) unsigned NOT NULL default '0',
  `LP_Total` tinyint(2) unsigned NOT NULL default '0',
  `PCT` tinyint(2) unsigned NOT NULL default '0',
  `Rank` tinyint(2) unsigned NOT NULL default '0',
  `POS` tinyint(2) unsigned NOT NULL default '0',
  `TotalPoints` tinyint(2) unsigned NOT NULL default '0',
  `PDifference` tinyint(2) unsigned NOT NULL default '0',
  `GB` tinyint(2) unsigned NOT NULL default '0',
  `Home` tinyint(2) unsigned NOT NULL default '0',
  `Road` tinyint(2) unsigned NOT NULL default '0',
  `L10` tinyint(2) unsigned NOT NULL default '0',
  `Streak` tinyint(2) unsigned NOT NULL default '0',
  `Main_Group_Result` tinyint(2) unsigned NOT NULL default '0',
  `Sub_Group_Result` tinyint(2) unsigned NOT NULL default '0',
  `Special` tinyint(2) unsigned NOT NULL default '0',
  `TeamRate` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_tabelle_farben`
#
# Erzeugt am: 15. August 2003 um 02:27
# Aktualisiert am: 15. August 2003 um 02:27
#

CREATE TABLE `lsc_leagues_tabelle_farben` (
  `League` int(10) unsigned NOT NULL default '0',
  `Rank` int(10) unsigned NOT NULL default '0',
  `Color` smallint(2) NOT NULL default '0',
  KEY `League` (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_tabelle_function`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 15. August 2003 um 01:54
#

CREATE TABLE `lsc_leagues_tabelle_function` (
  `League` int(10) unsigned NOT NULL default '0',
  `Function` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_tabelle_namen`
#
# Erzeugt am: 15. August 2003 um 02:28
# Aktualisiert am: 05. September 2003 um 18:59
#

CREATE TABLE `lsc_leagues_tabelle_namen` (
  `League` int(10) unsigned NOT NULL default '0',
  `TeamName` varchar(10) NOT NULL default 'Team',
  `TeamNamePos` varchar(10) NOT NULL default 'Team',
  `Won` varchar(10) NOT NULL default 'W',
  `Lost` varchar(10) NOT NULL default 'L',
  `Draw` varchar(10) NOT NULL default 'D',
  `Total` varchar(10) NOT NULL default 'T',
  `LP` varchar(10) NOT NULL default 'P',
  `GLP` varchar(10) NOT NULL default '',
  `LP_Total` varchar(10) NOT NULL default '',
  `PCT` varchar(10) NOT NULL default 'PCT',
  `Rank` varchar(10) NOT NULL default '&nbsp;',
  `POS` varchar(10) NOT NULL default '#',
  `TotalPoints` varchar(10) NOT NULL default 'Goals',
  `PDifference` varchar(10) NOT NULL default '+/-',
  `GB` varchar(10) NOT NULL default 'GB',
  `Home` varchar(10) NOT NULL default 'Home',
  `Road` varchar(10) NOT NULL default 'Road',
  `L10` varchar(10) NOT NULL default 'L10',
  `Streak` varchar(10) NOT NULL default 'Streak',
  `Main_Group_Result` varchar(10) NOT NULL default 'Conference',
  `Sub_Group_Result` varchar(10) NOT NULL default 'Division',
  `Special` varchar(10) NOT NULL default '0',
  `TeamRate` varchar(10) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_tabelle_order`
#
# Erzeugt am: 15. August 2003 um 02:28
# Aktualisiert am: 05. September 2003 um 18:59
#

CREATE TABLE `lsc_leagues_tabelle_order` (
  `League` int(10) unsigned NOT NULL default '0',
  `Name` tinyint(3) NOT NULL default '0',
  `W` tinyint(3) NOT NULL default '-2',
  `L` tinyint(3) NOT NULL default '3',
  `D` tinyint(3) NOT NULL default '0',
  `LP` tinyint(3) NOT NULL default '-1',
  `PD` tinyint(3) NOT NULL default '0',
  `Games` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`League`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_waitlist`
#
# Erzeugt am: 15. August 2003 um 02:29
# Aktualisiert am: 15. August 2003 um 02:29
#

CREATE TABLE `lsc_leagues_waitlist` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(40) NOT NULL default '',
  `Comment` tinytext NOT NULL,
  `Public` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_leagues_waitlist_entries`
#
# Erzeugt am: 15. August 2003 um 02:29
# Aktualisiert am: 15. August 2003 um 02:29
#

CREATE TABLE `lsc_leagues_waitlist_entries` (
  `WaitlistID` int(10) unsigned NOT NULL default '0',
  `TeamID` int(10) unsigned NOT NULL default '0',
  `Date` datetime NOT NULL default '0000-00-00 00:00:00',
  KEY `WaitlistID` (`WaitlistID`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_msg_user`
#
# Erzeugt am: 15. August 2003 um 02:33
# Aktualisiert am: 14. Februar 2004 um 19:28
#

CREATE TABLE `lsc_msg_user` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `FromUser` int(10) unsigned NOT NULL default '0',
  `ToUser` int(10) unsigned NOT NULL default '0',
  `FromStatus` tinyint(1) NOT NULL default '0',
  `ToStatus` tinyint(1) NOT NULL default '0',
  `ReadMsg` tinyint(1) NOT NULL default '0',
  `MsgStatus` tinyint(1) NOT NULL default '0',
  `Time` datetime NOT NULL default '0000-00-00 00:00:00',
  `Subject` varchar(40) NOT NULL default '',
  `Message` text NOT NULL,
  `AutoDelete` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`ID`),
  KEY `From` (`FromUser`,`ToUser`,`FromStatus`,`ToStatus`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_msg_user_addrbook`
#
# Erzeugt am: 15. August 2003 um 02:33
# Aktualisiert am: 15. August 2003 um 05:06
#

CREATE TABLE `lsc_msg_user_addrbook` (
  `ID` int(11) NOT NULL auto_increment,
  `User` int(10) unsigned NOT NULL default '0',
  `AddrUser` int(10) unsigned NOT NULL default '0',
  `GroupA` tinyint(4) unsigned NOT NULL default '0',
  `GroupB` tinyint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `User` (`User`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_news`
#
# Erzeugt am: 18. August 2003 um 13:31
# Aktualisiert am: 03. November 2003 um 16:41
#

CREATE TABLE `lsc_news` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `NewsID` int(11) NOT NULL default '0',
  `Headline` varchar(80) NOT NULL default '',
  `SmallText` text NOT NULL,
  `Text` text NOT NULL,
  `Author` int(10) unsigned NOT NULL default '0',
  `Views` int(11) NOT NULL default '0',
  `Public` tinyint(1) NOT NULL default '0',
  `Date` datetime default NULL,
  `LastChange` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `NewsID` (`NewsID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_news_comments`
#
# Erzeugt am: 18. August 2003 um 13:32
# Aktualisiert am: 03. November 2003 um 16:41
#

CREATE TABLE `lsc_news_comments` (
  `ID` int(11) unsigned NOT NULL auto_increment,
  `ForNews` int(10) NOT NULL default '0',
  `Kommentar` text NOT NULL,
  `Author` int(10) unsigned NOT NULL default '0',
  `Name` varchar(30) NOT NULL default '',
  `Email` varchar(40) NOT NULL default '',
  `Time` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`,`ForNews`),
  KEY `League` (`ForNews`),
  KEY `id` (`ID`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_playoffs`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 31. August 2003 um 22:49
#

CREATE TABLE `lsc_playoffs` (
  `League` int(10) unsigned NOT NULL default '0',
  `Pos` int(10) unsigned NOT NULL default '0',
  `Team` int(10) unsigned NOT NULL default '0',
  KEY `League` (`League`,`Pos`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_playoffs_bestof`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 31. August 2003 um 22:49
#

CREATE TABLE `lsc_playoffs_bestof` (
  `League` int(10) unsigned NOT NULL default '0',
  `Round` tinyint(3) unsigned NOT NULL default '0',
  `Games` tinyint(3) unsigned NOT NULL default '0',
  KEY `League` (`League`,`Round`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_playoffs_round`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 29. Oktober 2003 um 23:29
#

CREATE TABLE `lsc_playoffs_round` (
  `League` int(10) unsigned NOT NULL default '0',
  `Round` tinyint(3) unsigned NOT NULL default '0',
  `Spiel` tinyint(4) NOT NULL default '0',
  `Team1` int(10) NOT NULL default '0',
  `Team2` int(10) NOT NULL default '0',
  `GameID` int(11) NOT NULL default '0',
  KEY `League` (`League`,`Round`)
) TYPE=MyISAM;
# --------------------------------------------------------



#
# Tabellenstruktur fr Tabelle `lsc_supportticket`
#
# Erzeugt am: 23. August 2003 um 10:53
# Aktualisiert am: 14. Februar 2004 um 18:58
#

CREATE TABLE `lsc_supportticket` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `League` int(10) unsigned NOT NULL default '0',
  `SupportID` int(10) unsigned NOT NULL default '0',
  `UserID` int(10) unsigned NOT NULL default '0',
  `AdminID` int(10) unsigned NOT NULL default '0',
  `Subject` varchar(40) NOT NULL default '',
  `Text` text NOT NULL,
  `WaitingID` int(10) unsigned NOT NULL default '0',
  `GameID` int(10) unsigned NOT NULL default '0',
  `Status` tinyint(4) NOT NULL default '0',
  `Date` datetime NOT NULL default '0000-00-00 00:00:00',
  `UserID1` int(10) unsigned NOT NULL default '0',
  `UserID2` int(10) unsigned NOT NULL default '0',
  `UserID3` int(10) unsigned NOT NULL default '0',
  `TeamID1` int(10) unsigned NOT NULL default '0',
  `TeamID2` int(10) unsigned NOT NULL default '0',
  `TeamID3` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `League` (`League`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_teams`
#
# Erzeugt am: 01. Oktober 2003 um 23:07
# Aktualisiert am: 29. Oktober 2003 um 22:59
# Letzter Check am: 01. Oktober 2003 um 23:07
#

CREATE TABLE `lsc_teams` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(30) NOT NULL default '',
  `User` int(10) unsigned NOT NULL default '0',
  `Status` tinyint(4) NOT NULL default '0',
  `First` tinyint(1) NOT NULL default '0',
  `PrivateTeam` tinyint(1) NOT NULL default '0',
  `Password` varchar(6) NOT NULL default '',
  `Homepage` varchar(60) NOT NULL default '',
  `IRC` varchar(20) NOT NULL default '',
  `Image1` varchar(100) NOT NULL default '',
  `Image2` varchar(100) NOT NULL default '',
  `Info` tinytext NOT NULL,
  `TAG` varchar(10) NOT NULL default '',
  `TIMESTAMP` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `first` (`First`),
  KEY `PrivateTeam` (`PrivateTeam`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_teams_gelb`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 15. August 2003 um 01:53
#

CREATE TABLE `lsc_teams_gelb` (
  `League` int(10) unsigned NOT NULL default '0',
  `Team` int(10) unsigned NOT NULL default '0',
  `Text` text NOT NULL,
  KEY `League` (`League`,`Team`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_teams_groups`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 15. August 2003 um 01:54
#

CREATE TABLE `lsc_teams_groups` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `Name` (`Name`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_teams_league`
#
# Erzeugt am: 15. August 2003 um 03:00
# Aktualisiert am: 03. November 2003 um 16:11
#

CREATE TABLE `lsc_teams_league` (
  `ID` int(11) NOT NULL auto_increment,
  `Team` int(10) unsigned NOT NULL default '0',
  `League` int(10) unsigned NOT NULL default '0',
  `Rank` int(11) NOT NULL default '0',
  `Rank2` int(11) NOT NULL default '0',
  `Rank3` int(11) NOT NULL default '0',
  `Status` tinyint(1) NOT NULL default '0',
  `Main_Group` tinyint(4) NOT NULL default '0',
  `Sub_Group` tinyint(4) NOT NULL default '0',
  `Games` int(11) NOT NULL default '0',
  `PPoints` int(11) NOT NULL default '0',
  `MPoints` int(11) NOT NULL default '0',
  `PPoints1` int(11) NOT NULL default '0',
  `PPoints2` int(11) NOT NULL default '0',
  `LP` int(11) NOT NULL default '0',
  `GLP` int(11) NOT NULL default '0',
  `Won` int(11) NOT NULL default '0',
  `Lost` int(11) NOT NULL default '0',
  `Draw` int(11) NOT NULL default '0',
  `OT` int(11) NOT NULL default '0',
  `HomePPoints` int(11) NOT NULL default '0',
  `HomeMPoints` int(11) NOT NULL default '0',
  `HomeLP` int(11) NOT NULL default '0',
  `HomeGLP` int(11) NOT NULL default '0',
  `HomeWon` int(11) NOT NULL default '0',
  `HomeLost` int(11) NOT NULL default '0',
  `HomeDraw` int(11) NOT NULL default '0',
  `HomeOT` int(11) NOT NULL default '0',
  `Last10Won` int(11) NOT NULL default '0',
  `Last10Lost` int(11) NOT NULL default '0',
  `Last10Draw` int(11) NOT NULL default '0',
  `MainGroupWon` int(11) NOT NULL default '0',
  `MainGroupLost` int(11) NOT NULL default '0',
  `MainGroupDraw` int(11) NOT NULL default '0',
  `SubGroupWon` int(11) NOT NULL default '0',
  `SubGroupLost` int(11) NOT NULL default '0',
  `SubGroupDraw` int(11) NOT NULL default '0',
  `CurrentStreak` tinyint(1) NOT NULL default '0',
  `CurrentStreakC` int(11) NOT NULL default '0',
  `LongestStreakW` int(11) NOT NULL default '0',
  `LongestStreakL` int(11) NOT NULL default '0',
  `LongestStreakD` int(11) NOT NULL default '0',
  `HighPointsGame` int(11) NOT NULL default '0',
  `LowPointsGame` int(11) NOT NULL default '0',
  `HighWin` int(11) NOT NULL default '0',
  `HighLost` int(11) NOT NULL default '0',
  `Vote` decimal(4,3) NOT NULL default '0.000',
  `VoteCount` int(10) unsigned NOT NULL default '0',
  `Timestamp` timestamp(14) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `ID` (`Team`),
  KEY `League` (`League`),
  KEY `Main_Group` (`Main_Group`,`Sub_Group`),
  KEY `Status` (`Status`),
  KEY `Rank` (`Rank`),
  KEY `Rank2` (`Rank2`,`Rank3`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_teams_members`
#
# Erzeugt am: 15. August 2003 um 03:07
# Aktualisiert am: 02. September 2003 um 00:58
# Letzter Check am: 15. August 2003 um 03:07
#

CREATE TABLE `lsc_teams_members` (
  `Team` int(10) unsigned NOT NULL default '0',
  `Member` int(10) unsigned NOT NULL default '0',
  `Status` tinyint(3) unsigned NOT NULL default '0',
  `JoinDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `LastChange` timestamp(14) NOT NULL,
  KEY `Team` (`Team`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_user`
#
# Erzeugt am: 15. August 2003 um 03:23
# Aktualisiert am: 10. Dezember 2003 um 11:53
# Letzter Check am: 15. August 2003 um 03:23
#

CREATE TABLE `lsc_user` (
  `UserID` int(11) unsigned NOT NULL auto_increment,
  `Login` varchar(20) NOT NULL default '',
  `TeamID` int(11) NOT NULL default '0',
  `Firstname` varchar(20) NOT NULL default '',
  `Lastname` varchar(30) NOT NULL default '',
  `Email` varchar(50) NOT NULL default '',
  `ICQ` varchar(12) NOT NULL default '',
  `Password` varchar(20) NOT NULL default '',
  `Status` tinyint(3) unsigned NOT NULL default '1',
  `birthday` date NOT NULL default '0000-00-00',
  `WonID` varchar(40) NOT NULL default '',
  `Registered` datetime default NULL,
  `LastChange` timestamp(14) NOT NULL,
  PRIMARY KEY  (`UserID`),
  KEY `Email` (`Email`),
  KEY `Login` (`Login`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;
# --------------------------------------------------------
INSERT INTO `lsc_user` (`UserID`, `Login`, `TeamID`, `Firstname`, `Lastname`, `Email`, `ICQ`, `Password`, `Status`, `birthday`, `WonID`, `Registered`, `LastChange`) VALUES (1, 'Admin', 1, 'Admin', 'Admin', 'Admin', '0', 'lsYDcQC61ROiA', 9, '0000-00-00', '', '0000-00-00 00:00:00', 20030823212735);

#
# Tabellenstruktur fr Tabelle `lsc_user_gelb`
#
# Erzeugt am: 22. August 2003 um 18:52
# Aktualisiert am: 22. August 2003 um 18:52
#

CREATE TABLE `lsc_user_gelb` (
  `League` int(10) unsigned NOT NULL default '0',
  `User` int(10) unsigned NOT NULL default '0',
  `Text` text NOT NULL,
  KEY `League` (`League`,`User`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_user_key`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 24. August 2003 um 14:23
#

CREATE TABLE `lsc_user_key` (
  `UserID` int(10) unsigned NOT NULL default '0',
  `AKey` varchar(20) NOT NULL default '',
  `Time` timestamp(14) NOT NULL,
  PRIMARY KEY  (`UserID`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_user_newpw`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 15. August 2003 um 04:06
#

CREATE TABLE `lsc_user_newpw` (
  `UserID` int(10) unsigned NOT NULL default '0',
  `AKey` varchar(20) NOT NULL default '',
  `NewPassword` varchar(20) NOT NULL default '',
  `Time` timestamp(14) NOT NULL,
  PRIMARY KEY  (`UserID`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_user_session`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 14. Februar 2004 um 19:28
# Letzter Check am: 15. August 2003 um 01:53
#

CREATE TABLE `lsc_user_session` (
  `UserID` int(10) unsigned NOT NULL default '0',
  `SessionID` varchar(20) NOT NULL default '',
  `LastVisit` timestamp(14) NOT NULL,
  `TimeLogOut` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`UserID`),
  KEY `LastVisit` (`LastVisit`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_user_wonid_log`
#
# Erzeugt am: 15. August 2003 um 01:53
# Aktualisiert am: 23. November 2003 um 00:55
# Letzter Check am: 15. August 2003 um 01:53
#

CREATE TABLE `lsc_user_wonid_log` (
  `UserID` int(10) unsigned NOT NULL default '0',
  `Text` varchar(150) NOT NULL default '',
  `Timestamp` timestamp(14) NOT NULL,
  KEY `UserID` (`UserID`)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_votes`
#
# Erzeugt am: 15. August 2003 um 03:27
# Aktualisiert am: 14. Februar 2004 um 18:28
#

CREATE TABLE `lsc_votes` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `League` int(10) unsigned NOT NULL default '0',
  `UserID` int(10) unsigned NOT NULL default '0',
  `Intern` tinyint(1) NOT NULL default '0',
  `Question` varchar(60) NOT NULL default '',
  `Answer1` varchar(20) NOT NULL default '',
  `Answer2` varchar(20) NOT NULL default '',
  `Answer3` varchar(20) NOT NULL default '',
  `Answer4` varchar(20) NOT NULL default '',
  `Answer5` varchar(20) NOT NULL default '',
  `Answer6` varchar(20) NOT NULL default '',
  `Answer7` varchar(20) NOT NULL default '',
  `Answer8` varchar(20) NOT NULL default '',
  `Answer9` varchar(20) NOT NULL default '',
  `Answer10` varchar(20) NOT NULL default '',
  `Status` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `League` (`League`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `lsc_votes_done`
#
# Erzeugt am: 15. August 2003 um 03:27
# Aktualisiert am: 14. Februar 2004 um 18:28
#

CREATE TABLE `lsc_votes_done` (
  `VoteID` int(10) unsigned NOT NULL default '0',
  `UserID` int(10) unsigned NOT NULL default '0',
  `Answer` tinyint(2) NOT NULL default '0',
  `Timestamp` timestamp(14) NOT NULL,
  KEY `VoteID` (`VoteID`,`UserID`)
) TYPE=MyISAM;

