
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################


############
################### Tabelle
############

sub AdminTabellenFarben {
	print "<table>";
	print "<tr><td>";
		#Farben laden und anzeigen / lschen / ndern:
		if ($q->param('speichern')) {
			foreach my $Platz ($q->param("Styles")) {
				my $Color = $q->param("Platz-".$Platz) || 0;
				if ($Color) {
					$Platz = $LSC{MySQL}->quote($Platz);
					my $sth = $LSC{MySQL}->do("
						update lsc_leagues_tabelle_farben set Color=".$LSC{MySQL}->quote($Color)."
						WHERE League=$LSC{League} and Rank=$Platz");

				} else {
					$Platz = $LSC{MySQL}->quote($Platz);
					my $sth = $LSC{MySQL}->do("
						delete from lsc_leagues_tabelle_farben 
						WHERE League=$LSC{League} and Rank=$Platz");
				}
	 		}
		}
		if ($q->param('neu')) {
			print "<b>Neue Platzierungsfarben werden gespeichert:</b>".br;
			if ($q->param("Start")=~/[^0-9]/ || $q->param("Ende")=~/[^0-9]/) {
				print "Start/Endwert sind keine Zahlen!".br;
				$q->delete("Start");
				$q->delete("Ende");
			} elsif($q->param("Start") > $q->param("Ende")) {
				print "Startplatz kann nicht grer als die Endplatz sein!";
			} elsif($q->param("Ende") - $q->param("Start") > 10) {
				print "Bereich darf pro Durchgang nicht mehr als 10 Pltze umfassen.";
			} else {

				for (my $Platz=$q->param("Start");
							$Platz <= $q->param("Ende"); $Platz++) {
					$Platz_ = $LSC{MySQL}->quote($Platz);
					my $sth = $LSC{MySQL}->do("
						delete from lsc_leagues_tabelle_farben 
						WHERE League=$LSC{League} and Rank=$Platz_");

					$Style = $LSC{MySQL}->quote($q->param('Style') || "");
					$sth = $LSC{MySQL}->do("
						insert into lsc_leagues_tabelle_farben 
						(League, Rank, Color)
						Values ($LSC{League}, $Platz_, $Style)");

				}
				print "Platzierungsfarben wurden gespeichert.".br;
	 		}
			print hr;
			$q->delete("Start");
			$q->delete("Ende");
		}

		$q->delete("Styles");
		print start_form('post',"admin.pl?League=$LSC{League}&Action=C_TabelleFarben");	

		print "Bereits festgelegte Spaltenfarben nach Platzierungen sortiert:".br;
		print "<table cellspacing=0>";
		print "<tr><td>Platzierung</td><td>Style</td></tr>";
		my $sth;
		$sth = $LSC{MySQL}->prepare("
			SELECT  Rank, Color 
			FROM lsc_leagues_tabelle_farben	 
			WHERE League=$LSC{League} order by Rank");	

		$sth->execute or  print $sth->errstr;	
		
		my $C_Counter = 0;
		while (my $ref = $sth->fetchrow_arrayref()) {
			$C_Counter++;
			my $Layout = $TableLayout[($ref->[0] % 2) || 0];
			print '<tr><td>'.$ref->[0].'</td><td '.$Layout.$ref->[1].'>Style: '.$ref->[1].', 
						<A class=Tabelle'.$ref->[0].' HREF="#">LinkFarbe</A></td>
						<td>'.
						$q->popup_menu(-name=>'Platz-'.$ref->[0], 
								-values=>[0..$LSC{anzahlTabellenFarben}],
								-Labels=>{0=>"lschen"},
								-default=>$ref->[1]).
						'</td></tr>';
			print $q->hidden(-name=>"Styles", -value=>"$ref->[0]");
		}
		$sth->finish();
		print "</table>";
		print $q->submit('speichern') if $C_Counter;

		#neu
		print br.br;
		print "<b>Neue Spaltenfarben festlegen</b>".br;
		print "Startspalte/-platzierung: ".$q->textfield(-name=>"Start", -value=>"", -size=>3).br;
		print "Endspalte/-platzierung: ".$q->textfield(-name=>"Ende", -value=>"", -size=>3).br;
		print "Style: ".$q->popup_menu(-name=>'Style', 
								-values=>[1..$LSC{anzahlTabellenFarben}],
								-default=>$ref->[1]).br.$q->submit('neu').br;
		
		print $q->end_form();


	print "</td><td>";

		#Farben auflisten:
		print "Vordefinierte Tabellen-Spalten-Farben:".br;
		print "<table>";
		print '<tr><td>Style: Standard</td><td class=TOne>Class: TOne, 
					<A class=Tabelle HREF="#">LinkFarbe</A></td></tr>';
		print '<tr><td></td><td class=TTwo>Class: TTwo, 
					<A class=Tabelle HREF="#">LinkFarbe</A></td></tr>';
		for (my $i=1; $i <= $LSC{anzahlTabellenFarben}; $i++) {
			print '<tr><td>Style: '.$i.'</td><td class=TOne'.$i.'>Class: TOne'.$i.', 
						<A class=Tabelle'.$i.' HREF="#">LinkFarbe</A></td></tr>';
			print '<tr><td></td><td class=TTwo'.$i.'>Class: TTwo'.$i.', 
						<A class=Tabelle'.$i.' HREF="#">LinkFarbe</A></td></tr>';
		}
		print "</table>";
		print "Weitere Farben knnen festgelegt werden, wende Dich dazu an den Webmaster.".br;

	print "</td></tr>";
	print "</table>";
}
###########
################# Ergebnisse
###########
sub AdminAlleErgebnissEinesTeamsLoeschenDO {
	my $Team = shift || return;
	
	my $TeamQuote = $LSC{MySQL}->quote($Team);
	#Alle GameIDs des Teams in der aktuellen Liga Laden:
		my $GameIDsth;
		$GameIDsth = $LSC{MySQL}->prepare("
			SELECT  D.No 
			FROM lsc_games G, lsc_games_daten D
			WHERE D.League=$LSC{League} and D.No=G.Game and G.Team=$TeamQuote");	

		if ($GameIDsth->execute) {
			while (my $ref = $GameIDsth->fetchrow_arrayref()) {
				# Ergebnisse einzelnt lschen
				AdminSpielLoeschen($ref->[0]);
				#print "Lsche GameID: $ref->[0]".br;
			}
		} else {
			print "Ergebnis konnte nicht gelscht werden: ID=$ref->[0]".br;
		}
		$GameIDsth->finish();
		return 1;
}
sub AdminAlleErgebnissEinesTeamsLoeschen {
	my %Members = Members();

	if ($q->param('delete')) {
		if ($q->param('confirm')) {
			if (AdminAlleErgebnissEinesTeamsLoeschenDO($q->param('Team'))) {
				print "Alle Ergebnisse wurden gelscht!".br;
			} else {
				print "Beim lschen der Ergebnisse sind Fehler auftreten!".br;
			}
				
		} elsif ($Members{$q->param('Team')}) {
			print "Wirklich alle Ergebnisse von $Members{$q->param('Team')} lschen? "; 
			print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteAllGames");
			print $q->hidden('Team');
			print $q->hidden('confirm', 1);
			print $q->hidden('delete', 1);
			print submit('JA'),end_form;	
		} else {
			print "Das gewhlte Team konnte nicht ermittelt werden.".br;
		}
		print hr.br.br;
	}
	print "Alle Ergebnisse des gewhlten Teams lschen.".br;
	print "ACHTUNG: Die Lschung ist endgltig und kann nicht zurckgenommen werden. Die Ergebnisse sind unwiederuflich gelscht, inklusive aller Uploads, Spielberichte und Kommentare!".br;
	print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteAllGames");
	print $q->popup_menu(-name=>'Team', -values=>[sort {"\L$Members{$a}" cmp
			"\L$Members{$b}" } keys %Members], -Labels=>\%Members), "   ";
	print submit('delete'),end_form.br.br;	
	print "Bitte ausserdem beachten:".br;
	print "Je nach Anzahl der Ergebnisse kann eine hohe Datenbankbelastung enstehen, wenn alle Ergebnisse gelscht werden. Dies ist dadurch bedingt, dass jedes eingetragene Ergebnis eine Menge von Daten erzeugt. Aus diesem Grund sollte diese Funktion mglichst zu Zeiten ausgefhrt werden, in denen der Homepage-Server unter wenig Belastung steht, um andere Scripte, Programme usw. die auf dem Server laufen nicht zu beeintrchtigen.".br;

}
sub AdminAlleErgebnisseDerLigaLoeschenDO {
	#Alle GameIDs der aktuellen Liga Laden:
		my $GameIDsth;
		$GameIDsth = $LSC{MySQL}->prepare("
			SELECT  D.No 
			FROM lsc_games_daten D
			WHERE D.League=$LSC{League}");	

		if ($GameIDsth->execute) {
			while (my $ref = $GameIDsth->fetchrow_arrayref()) {
				# Ergebnisse einzelnt lschen
				AdminSpielLoeschen($ref->[0]);
				#print "Lsche GameID: $ref->[0]".br;
			}
		} else {
			print "Ergebnisse konnte nicht gelscht werden.".br;
		}
		$GameIDsth->finish();
		return 1;
}
sub AdminAlleErgebnisseDerLigaLoeschen {
	if ($q->param('delete')) {
		if ($q->param('confirm')) {
			print "Alle Ergebnisse lschen ... ";
			if (AdminAlleErgebnisseDerLigaLoeschenDO()) {
				print "Alle Ergebnisse wurden gelscht!".br;
			} else {
				print "Beim lschen der Ergebnisse sind Fehler auftreten!".br;
			}
				
		} else {
			print "Wirklich alle Ergebnisse der Liga lschen? "; 
			print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteAllLeagueGames");
			print $q->hidden('confirm', 1);
			print $q->hidden('delete', 1);
			print submit('JA'),end_form;	
		}
		print hr.br.br;
	}
	print "Alle Ergebnisse der Liga lschen.".br;
	print "ACHTUNG: Die Lschung ist endgltig und kann nicht zurckgenommen werden. Die Ergebnisse sind unwiederuflich gelscht, inklusive aller Uploads, Spielberichte und Kommentare!".br;
	print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteAllLeagueGames");
	print submit('delete'),end_form.br.br;	
	print "Bitte ausserdem beachten:".br;
	print "Je nach Anzahl der Ergebnisse kann eine hohe Datenbankbelastung enstehen, wenn alle Ergebnisse gelscht werden. Dies ist dadurch bedingt, dass jedes eingetragene Ergebnis eine Menge von Daten erzeugt. Aus diesem Grund sollte diese Funktion mglichst zu Zeiten ausgefhrt werden, in denen der Homepage-Server unter wenig Belastung steht, um andere Scripte, Programme usw. die auf dem Server laufen nicht zu beeintrchtigen.".br;
}
sub AdminLigaLoeschenDO() {
	# Alle LigaDaten lschen

	# Ergebnisse aus Warteliste lschen
	my $GameIDsth;
	$GameIDsth = $LSC{MySQL}->prepare("
			SELECT  ID 
			FROM lsc_games_waiting_daten 
			WHERE League=$LSC{League}");	
	
	$GameIDsth->execute();
	my @WIDs = ();
	while (my $ref = $GameIDsth->fetchrow_arrayref()) {
		$LSC{MySQL}->do("delete from lsc_games_waiting WHERE WaitingID=".$ref->[0]);	
	}
	$LSC{MySQL}->do("delete from lsc_games_waiting_daten WHERE League=$LSC{League}");	

	# Liga einstellungen lschen
	$LSC{MySQL}->do("delete from lsc_leagues_group WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_newgame WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_points WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_points_bonus WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_rules WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_spielplan WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_spieltag WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_spieltag_name WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_tabelle WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_tabelle_farben WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_tabelle_function WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_tabelle_namen WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues_tabelle_order WHERE League=$LSC{League}");	
	
	#members
	$LSC{MySQL}->do("delete from lsc_teams_league WHERE League=$LSC{League}");	

	#verwarnungen
	$LSC{MySQL}->do("delete from lsc_teams_gelb WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_user_gelb WHERE League=$LSC{League}");	

	#liga news
	$LSC{MySQL}->do("delete from lsc_news WHERE NewsID=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_news_comments WHERE ForNews=$LSC{League}");	

	#playoffs
	$LSC{MySQL}->do("delete from lsc_playoffs WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_playoffs_bestof WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_playoffs_round WHERE League=$LSC{League}");	

	#forderungen
	#noch auf neus system umstellen!
#	$LSC{MySQL}->do("delete from lsc_msg_fordern WHERE League=$LSC{League}");	

	$LSC{MySQL}->do("delete from lsc_supportticket WHERE League=$LSC{League}");	


	#letzte daten lschen
	$LSC{MySQL}->do("delete from lsc_leagues_admins WHERE League=$LSC{League}");	
	$LSC{MySQL}->do("delete from lsc_leagues WHERE League=$LSC{League}");	

	return 1;
}
sub AdminLigaLoeschen {
#	for (my $i = 1; $i < 150 ;$i++) {
#		print "lscje $i".br;
#		$LSC{League} = $i;
#		AdminAlleErgebnisseDerLigaLoeschenDO();
#		AdminLigaLoeschenDO();
#	}
	if ($LSC{UserStatus} != 9) {
		print "Diese Funktion kann nur einem GlobalAdmin ausfhren!".br;
		return;
	}
	if ($q->param('delete')) {
		if ($q->param('confirm')) {
			print "Alle Ergebnisse lschen ... ";
			if (AdminAlleErgebnisseDerLigaLoeschenDO()) {
				print "fertig!".br;
				print "Alle weitere Ligadaten und Einstellungen lschen ... ";
				if (AdminLigaLoeschenDO) {
					print "fertig!".br;
					return;
				} else {
					print "Die Ligadaten konnten nicht vollstndig gelscht werden!";
				}
			} else {
				print "Beim lschen der Ergebnisse sind Fehler auftreten!".br;
			}
				
		} else {
			print "Wirklich die komplette Liga lschen? "; 
			print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteLeague");
			print $q->hidden('confirm', 1);
			print $q->hidden('delete', 1);
			print submit('JA'),end_form;
			return;
		}
		print hr.br.br;
	}
	print "Die Liga inklusive aller Daten lschen.".br;
	print "ACHTUNG: Die Lschung ist endgltig und kann nicht zurckgenommen werden. Die Ergebnisse sind unwiederuflich gelscht, inklusive aller Uploads, Spielberichte und Kommentare! Ligaeinstellungen knnen ebenfals nicht wiederhergestellt werden!".br;
	print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteLeague");
	print submit('delete'),end_form.br.br;	
	print "Bitte ausserdem beachten:".br;
	print "Je nach Anzahl der Ergebnisse kann eine hohe Datenbankbelastung enstehen, wenn alle Ergebnisse gelscht werden. Dies ist dadurch bedingt, dass jedes eingetragene Ergebnis eine Menge von Daten erzeugt. Aus diesem Grund sollte diese Funktion mglichst zu Zeiten ausgefhrt werden, in denen der Homepage-Server unter wenig Belastung steht, um andere Scripte, Programme usw. die auf dem Server laufen nicht zu beeintrchtigen.".br;
}
#######
############ Spielplan
#######
sub AdminSpielplanModifizierung {
	unless ($LSC{LeagueData}{Spielplan}) {
		print "Spielplanfunktionen stehen hier nicht zur Verfgung!".br;
		return;
	}

	print "Hier kann der Spielplan verndert werden.".br;
	print "Das ndern des Spielplans dient z.B. dazu, dass ein Team/User ausgetauscht werden kann, welches aus der Liga aussteigt. Dabei ist zu beachten, das bereits eingetragene Spiele nicht entfernt werden, wenn ein Team aus dem Spielplan genommen wird, lediglich die Ergebnisse gegen dieses Team werden nicht mehr angezeigt, aber werden noch zur Bewertung der anderen Teams weiterhin mitberechnet! Sollen die Ergebnisse dieses Teams nicht gewertet werden, so mssen die Ergebnisse ber den Menpunkt Ergebnis-Verwalten entfernt werden.<br>
	Generell sollten nach dem Start der Liga Vernderungen an dem Spielplan vermieden werden, da keine berprfungsfunktion implementiert ist, die gewhrleistet, dass die Vernderungen Sinn machen, um dem Admin mglichst viele Vernderungen offen zu halten. Das Risiko, Fehler beim verndern des Spielplans zu machen, kann dadurch veringert werden, dass mit mir rcksprache gehalten wird. Ich gebe gerne Spezielle Tips und Hilfen bei Problemen.<br>
	Die Funktion ist im Haupteil also nur frs austauschen von Teams whrend der laufenden Saison gedacht. Wenn bereits Ergebnisse eingetragen wurden, fhrt das austauschen 2er Teams, die bereits in der Liga sind, in den meisten Fllen zu Fehlern in der Darstellung des Spielplans, da der Spielplan nicht fr diese Aktion vorgesehen ist.<br>
	Es sollte also immer so ablaufen:<br>
	- Team A steigt aus der Liga aus:<br>
		... Alle Ergebisse dieses Teams lschen? Wenn ja siehe Ergebnisse-Verwalten ... <br>
		... Dann Team unten lschen ... <br>
	- Kein Neues Team:<br>
		... Keine weiteren Aktionen Notwendig, es wird automatisch \"Freilos\" angezeigt ...<br>
	- Neues Team B vorhanden:<br>
		... Team B ber die Suchfunktion suchen und an der Stelle von Team A einfgen ...<br>
		... Achtung Team B darf noch nicht in der Liga gespielt haben oder es mssen zuvor alle Ergebnisse von Team B aus der Liga gelscht werden, da sonst Falsche Ergebnisse im Spielplan auftauchen knnen! ...<br>
	<br>
	[Anmerkung: Es ist nicht mglich Ergebnisse eines Teams direkt zu bernehmen! Ist dieses aber gewnscht, ist eine Mglichkeit dieses Team direkt ber den Adminbereich zu ndern und dem neuen Team anzupassen (nur dann Mglich, wenn unter dieser TeamID noch keine Ergebnisse in anderen Ligen eingetragen wordne sind.), die andere Mglichkeit wre die Ergebnisse per Hand nachzutragen, was zwar umstndlicher ist, aber zu empfehlen ist, um Problemen mit den Team-Accounts aus dem Weg zu gehen.]<br>
	Je nach Bedarf oder Regeln der Liga knnen nun ber das Ergebnis-Verwalten Men Ergebnisse fr Spiele gegen das neue Team B eingetragen werden, die vor dem aktuellen Spieltag liegen. Die Ergebisse knnen aber auch offen gelassen werden.<br><br>";
	my @Teams = SpielplanTeamSortierungLaden();
	my %Members = Members();
	if ($q->param("delete") && $q->param("deleteid")) {
		for (my $i=0; defined $Teams[$i]; $i++) {
			if ($q->param("deleteid") eq $Teams[$i]) {
				$Teams[$i] = 0;
			}
		}

		#speichern
		$sth = $LSC{MySQL}->do("update lsc_leagues_spielplan set TOrder=".$LSC{MySQL}->quote(join('|', @Teams))." WHERE League=$LSC{League}");	
		print "<B>Team gelscht!</B>".br;

	} elsif ($q->param("add") && $q->param("Slot")) {
		if ($q->param("Team") && $Members{$q->param("Team")} && $q->param("Slot")!~/[^0-9]/ && defined $Teams[$q->param("Slot")-1]) {
			$Teams[$q->param("Slot")-1] = $q->param("Team");
		
			#speichern
			$sth = $LSC{MySQL}->do("update lsc_leagues_spielplan set TOrder=".$LSC{MySQL}->quote(join('|', @Teams))." WHERE League=$LSC{League}");	
			print "<B>Team eingefgt!</B>".br;
		} else {
			print "Ungltige Daten bermittelt!".br;
		}
	}

	
	

	my @FreeSlots = ();

	print "Folgende Spielplanslots sind belegt:".br;
	print "<table>";
		print "<tr>";
		print "<td>Slot-Nr.</td><td>Name</td>";
		print "</tr>";
	for (my $i=0; defined($Teams[$i]) ;$i++) {
		print "<tr>";
		if ($Members{$Teams[$i]}) {
			print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=C_SpielplanModif");
			print "<td>".($i+1)."</td><td>$Members{$Teams[$i]}</td><td>".$q->submit('delete')."</td>";
			print $q->hidden('deleteid', $Teams[$i]),$q->end_form;
			delete $Members{$Teams[$i]};
		} elsif ($Teams[$i] == 0) {
			push @FreeSlots, ($i+1);
			print "<td>".($i+1)."</td><td>free</td>";
		} else {
			print "<td>$i</td><td>Fehler! Dieser Slot wurde TeamID $Teams[$i] zugeordnet, ist aber nicht in dieser Liga!</td>";
			delete $Members{$Teams[$i]};
		}
		print "</tr>";
	}
	print "</table>";
	print br.hr;
	print "Team zuordnen:".br;
	print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=C_SpielplanModif");
	print "Slot: ".$q->popup_menu(-name=>'Slot', -values=>[@FreeSlots]).br.br;
	print "Team: ".$q->popup_menu(-name=>'Team', -values=>[keys %Members], -Labels=>\%Members).br.br;
	print $q->submit('einfgen').$q->hidden('add', 1),$q->end_form;
	
	print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=C_SpielplanModif");
	print $q->submit('update'),$q->end_form;

}

#########
####################### Test
#########
sub AdminLigaScriptTest {
	if ($LSC{UserStatus} != 9) {
		print "Diese Funktion steht dir nicht zur Verfgung!".br;
		return;
	}
		print "Teste Spieldaten".br;
		my ($select,$sth);
		
		#alle ergebnisse:
		$select	= "select ID, Game from lsc_games where 1 order by ID";
		$sth = $LSC{MySQL}->prepare("$select");
		$sth->execute();
		my @GAMEIDS;
		while (my $ref = $sth->fetchrow_arrayref()) {
			push(@GAMEIDS, [$ref->[0],$ref->[1]]);
		}
		$sth->finish;
		print "teste auf fehlende Ergebnisdaten:".br;
		foreach my $ID (@GAMEIDS) {
			$select	= "select count(*) from lsc_games_daten where No=$ID->[1]";
			$sth = $LSC{MySQL}->prepare("$select");
			$sth->execute();
			my $r = $sth->fetchrow_arrayref();
			if ($r && $r->[0]) {
				#print "$ID->[0]: $ID->[1] vorhanden.".br;
			} else {
				print "Fehlende Gamedaten: $ID->[0] - Spielnummer: $ID->[1]\n".br;
			}
			$sth->finish;
		}
		print hr;
		print "test 2".br;
		
		$select	= "select No from lsc_games_daten where 1 order by No";
		$sth = $LSC{MySQL}->prepare("$select");
		$sth->execute();
		@GAMEIDS = ();
		while (my $ref = $sth->fetchrow_arrayref()) {
			push(@GAMEIDS, $ref->[0]);
		}
		$sth->finish;
		
		foreach my $ID (@GAMEIDS) {
			$select	= "select count(*) from lsc_games where Game=$ID";
			$sth = $LSC{MySQL}->prepare("$select");
			$sth->execute();
			my $r = $sth->fetchrow_arrayref();
			if ($r && $r->[0]>=2) {
				#print "$ID: count: $r->[0].".br;
			} else {
				print "Fehlende Gamedaten: $ID anzahl $r->[0]\n".br;
			}
			$sth->finish;
		}
		print hr;
		print "test 3".br;
		
		$select	= "select No, League from lsc_games_daten where 1 order by No";
		$sth = $LSC{MySQL}->prepare("$select");
		$sth->execute();
		@GAMEIDS = ();
		while (my $ref = $sth->fetchrow_arrayref()) {
			push(@GAMEIDS, [$ref->[0],$ref->[1]]);
		}
		$sth->finish;
		print "teste auf Gamedaten ohne Liga".br;
		foreach my $ID (@GAMEIDS) {
			$select	= "select count(*) from lsc_leagues where League=$ID->[1]";
			$sth = $LSC{MySQL}->prepare("$select");
			$sth->execute();
			my $r = $sth->fetchrow_arrayref();
			if ($r && $r->[0]>0) {
				#print "$ID: count: $r->[0].".br;
			} else {
				print "Gamedaten ohne Liga: $ID->[0] - Liga: $ID->[1]\n".br;
			}
			$sth->finish;
		}
		print hr;		
		
		print "Teste auf inaktive User:".hr.br;
		
		$select	= "select UserID, Login from lsc_user where UserID > 0 ".
			#" and Registered <= '2002-07-18 12:04:29' ".
			"order by UserID";
		$sth = $LSC{MySQL}->prepare("$select");
		$sth->execute();
		@GAMEIDS = ();
		while (my $ref = $sth->fetchrow_arrayref()) {
			push(@GAMEIDS, $ref->[0]);
		}
		$sth->finish;
		my @inaktiv;
		foreach my $ID (@GAMEIDS) {
			my $x;
			if ($x = UserAktiv($ID)) {
				#print "$ID: count: $r->[0].".br;
			} else {
				print "Inaktiver User: $ID anzahl ".($x||0)."\n".br;
				push(@inaktiv, $ID);
			}
			my $firstteam = FirstUserTeamID($ID);			
			if ($firstteam) {
				#print "$ID: count: $r->[0].".br;
			} else {
				print "Kein Firstteam: $ID\n".br;
			}
		}
		print hr;
		print "Teste inaktive User auf Teamaktivitten".br;
		foreach my $ID (@inaktiv) {
#			UserLoeschen($ID);
			my $firstteam = FirstUserTeamID($ID);
			my ($AnzahlTeams, $Teams) = AnzahlTeamsID($ID);
			foreach ($firstteam,@{$Teams}) {
				my $x;
				if ($x = TeamAktiv($_)) {
					print "Inaktiver User mit aktivem Teams($AnzahlTeams): $_ anzahl $x\n".br;
				} else {
					#print "Inaktiver User mit inaktiven Teams($AnzahlTeams): $_ anzahl $x\n".br;
				}
			}
		}

}
sub AdminDeleteGameComment {
	my ($Game, $Comment) = @_;
	
	print "Ergebniskommentar lschen:".br;
	unless ($Game || $Comment) {
		print "Kein Kommentar gewhlt!".br;
		return;
	}
	my $Spiel = SpieldatenLaden($Game, $LSC{League});
	unless ($Spiel) {
		print "Kein Kommentar gefunden!".br;
		return;
	}
		my ($select,$from,$where);
			$select	= "c.Comment, DATE_FORMAT(c.Date,'%e. %M'), u.Login, u.UserID, c.ID";
			$from	= "lsc_games_comment c, lsc_user u";
			$where	= "c.ID=".$LSC{MySQL}->quote($Comment)." and c.Game=$Game and c.Author=u.UserID";

		my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where");
		$sth->execute();
		my $ok = 0;
		my $ref = $sth->fetchrow_arrayref();

	if ($ref && $q->param("delete")) {
		my $sth = $LSC{MySQL}->do("delete from lsc_games_comment where ID=".$LSC{MySQL}->quote($Comment));
		print "gelscht";
	} else {
		if ($ref) {
			print "<table width=100%>";
			$ok = 1;
			my $c = RemoveHtmlFromText($ref->[0]);
			print "<tr>
				<td width=100>
				".UserLink($ref->[2], $ref->[3])."
				</td>

				<td align=left>
				$c
				</td>
			</tr>";
			print	"</table>";
		}
		$sth->finish;
		if ($ok) {
			print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteGameComment&Action2=$Game&special=$Comment");	
			print $q->submit('delete');
			print $q->end_form();
		} else {
			print "Kommentar nicht gefunden!".br;
		}
	}
}

########### Wartelistenfunktion 
$funktionen{Waitlist} = \&AdminWarteliste;

sub AdminWarteliste {
	my ($Action, $Team) = @_;
	print "Warteliste verwalten:".br.br;
	if ($LSC{LeagueData}{MJoin} != 1) {
		print "Die Funktion kann hier nicht genutzt werden.".br;
		return;
	}
	if (!$LSC{LeagueData}{WaitlistID}) {
		if ($q->param("create") && $q->param("Name") && $q->param("Comment") && defined $q->param("Public")) {
			print "Erstelle neue Warteliste ... ";
			my $do = "insert INTO lsc_leagues_waitlist (Name, Comment, Public) VALUES (".$LSC{MySQL}->quote($q->param("Name")).", ".$LSC{MySQL}->quote($q->param("Comment")).", ".$LSC{MySQL}->quote($q->param("Public")).")";
			my $sth = $LSC{MySQL}->prepare($do);
			$sth->execute();
			$LSC{LeagueData}{WaitlistID} = $sth->{mysql_insertid};
			if ($LSC{LeagueData}{WaitlistID}) {
				print "erstellt ... ";
				my $sth = $LSC{MySQL}->do("update lsc_leagues set WaitlistID=".$LSC{LeagueData}{WaitlistID}." where League=".$LSC{League});
				print "gespeichert!".br.br;
				print "<A HREF=\"admin.pl?League=$LSC{League}&Action=Waitlist\">Seite aktualisieren</A>".br;
				return;
			} else {
				print "konnte Warteliste nicht erstellen.".br;
			}
		}
		print "Es wurde noch keine Warteliste erstellt. Um nun eine Warteliste zu erstellen untenstehendes Formular ausfllen:".br.br; 

		print start_form('post',"admin.pl?League=$LSC{League}&Action=Waitlist");
		print "Name der Warteliste (max. 40 Zeichen): ".$q->textfield(-name=>"Name", -value=>"", -size=>40).br;
		print "Kommentar, z.B. wie und wann man freigeschaltet wird oder ein Verweis darauf die Regeln zu lesen usw...:".br;
		print $q->textarea('Comment','',5,40).br.br;
		print "ffentlich einsehbar oder sollen nur Admins zugriff haben? ".$q->popup_menu(-name=>'Public', -values=>[0,1], -Labels=>{0=>"nur Admins", 1=>"ffentlich"}).br.br;
		print submit('create'),end_form;


		return;
	}
	if ($q->param("save")) {
			$LSC{MySQL}->do("update lsc_leagues_waitlist set Name=".$LSC{MySQL}->quote($q->param("Name")).", Comment=".$LSC{MySQL}->quote($q->param("Comment")).", Public=".$LSC{MySQL}->quote($q->param("Public"))." where ID=$LSC{LeagueData}{WaitlistID}");
	}
	my $s = $LSC{MySQL}->prepare("select Name, Comment, Public from lsc_leagues_waitlist where ID=$LSC{LeagueData}{WaitlistID}");
	$s->execute();
	my $wl = $s->fetchrow_arrayref();
	$s->finish;
	unless ($wl || $wl->[0]) {
		print "unknown wailtist";
		return;
	}

		print start_form('post',"admin.pl?League=$LSC{League}&Action=Waitlist");
		print "Beschreibung ndern:".br;
		print "Name der Warteliste (max. 40 Zeichen): ".$q->textfield(-name=>"Name", -value=>"$wl->[0]", -size=>40).br;
		print "Kommentar, z.B. wie und wann man freigeschaltet wird oder ein Verweis darauf die Regeln zu lesen usw...:".br;
		print $q->textarea('Comment',$wl->[1],5,40).br.br;
		print "ffentlich einsehbar oder sollen nur Admins zugriff haben? ".$q->popup_menu(-name=>'Public', -values=>[0,1], -Labels=>{0=>"nur Admins", 1=>"ffentlich"}, -default=>$wl->[2]).br.br;
		print submit('save'),end_form;

	if ($Action && $Action eq "DeleteWaitlist") {
		if ($Team && $Team eq "ConfirmDelete") {
			my $sthg = $LSC{MySQL}->do("delete from lsc_leagues_waitlist_entries where WaitlistID=$LSC{LeagueData}{WaitlistID}");
			$sthg = $LSC{MySQL}->do("delete from lsc_leagues_waitlist where WaitlistID=$LSC{LeagueData}{WaitlistID}");
			print "Warteliste wurde gelscht".br;
			return;
		} else {
			print "Warteliste wirklich lschen? ";
			print ShowLink({Name => "ja", Script => "admin.pl", Action=>$LSC{Action}, Action2=>"DeleteWaitlist", Special =>"ConfirmDelete", Class => ""}, 1);
			print "  ";
			print ShowLink({Name => "nein", Script => "admin.pl", Action=>$LSC{Action}, Action2=>"", Special =>"", Class => ""}, 1);
			return;
		}
	}
	if ($Action && $Team && $Team !~/[^0-9]/) {
		if ($Action eq "Delete") {
			my $sthg = $LSC{MySQL}->do("delete from lsc_leagues_waitlist_entries where WaitlistID=$LSC{LeagueData}{WaitlistID} and TeamID=".$LSC{MySQL}->quote($Team));

		} elsif ($Action eq "Add") {
			Require("LSCuser.create.pm");
			_JoinLeagueTeam($Team);
			my $sthg = $LSC{MySQL}->do("delete from lsc_leagues_waitlist_entries where WaitlistID=$LSC{LeagueData}{WaitlistID} and TeamID=".$LSC{MySQL}->quote($Team));
			print "Team wurde fr die Liga freigeschaltet".br;

		}
	}
	# Warteliste ausgeben:

		print "<table>";
		my $index=0;
		my $sthg = $LSC{MySQL}->prepare("select Name, TeamID, Date from lsc_leagues_waitlist_entries w, lsc_teams t where w.WaitlistID=$LSC{LeagueData}{WaitlistID} and w.TeamID=t.ID order by Date");
		$sthg->execute();
		while (my $gr = $sthg->fetchrow_arrayref()) {
			$index++;
			print "<tr><td>$index.</td><td>".TeamLink($gr->[0], $gr->[1])."</td><td>(".TeamMemberCount($gr->[1]).")</td><td>$gr->[2]</td><td>".
					ShowLink({Name => "Delete", Script => "admin.pl", Action=>$LSC{Action}, Action2=>"Delete", Special => ($gr->[1] || 0), Class => ""}, 1)."</td><td>".
					ShowLink({Name => "Add", Script => "admin.pl", Action=>$LSC{Action}, Action2=>"Add", Special => ($gr->[1] || 0), Class => ""}, 1)."</td></tr>";
		}
		$sthg->finish;

		print "</table>";

		print br.br;
		print ShowLink({Name => "Warteliste lschen", Script => "admin.pl", Action=>$LSC{Action}, Action2=>"DeleteWaitlist", Special =>"", Class => ""}, 1).br;
}
sub AdminMapListe {
	my ($Action, $special) = @_;

	print "Verwaltung und erstellen einer Map/TeamListe fr die aktuelle Liga".br.br;
	print "<U><B>TIP:</B></U>".br;
	print "Die Liste sollte nach Mglickeit vor dem Start einer Liga festgelegt werden und nach dem Start nicht mehr verndert werden!".br.br.br;
	if ($q->param("aktivieren")) {
		if ($q->param("Mapliste")) {
			my $sth = $LSC{MySQL}->do("update lsc_leagues set Mapliste=1 where League=$LSC{League}");
			$LSC{LeagueData}{Mapliste} = 1;
			print "Mapliste wurde aktiviert";
		} elsif ($q->param("AnzahlMaps")) {
			my $sth = $LSC{MySQL}->do("update lsc_leagues set AnzahlMaps=".$LSC{MySQL}->quote($q->param("Maps") || 0)." where League=$LSC{League}");
			$LSC{LeagueData}{AnzahlMaps} = $q->param("Maps");
			print "Die anzahl der Maps wurde auf ".$q->param("Maps")." gesetzt".br;;
		} 
	}
	if ($q->param("deaktivieren")) {
		if ($q->param("Mapliste")) {
			my $sth = $LSC{MySQL}->do("update lsc_leagues set Mapliste=0 where League=$LSC{League}");
			$sth = $LSC{MySQL}->do("delete from lsc_leagues_maps WHERE League=$LSC{League}");
			$LSC{LeagueData}{Mapliste} = 0;
			print "Mapliste wurde deaktiviert";
		} elsif ($q->param("AnzahlMaps")) {
			my $sth = $LSC{MySQL}->do("update lsc_leagues set AnzahlMaps=0 where League=$LSC{League}");
			$LSC{LeagueData}{AnzahlMaps} = 0;
			print "Die anzahl der Maps wurde auf 0 gesetzt".br;
		} 
	}

	unless ($LSC{LeagueData}{Mapliste}) {
		print "Zur Zeit wird keine MapListe genutzt.".br;
		print "Map/TeamListe aktivieren:".br;
		if ($LSC{LeagueData}{AnzahlMaps}) {
			print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
			print $q->hidden("Mapliste", 1);
			print $q->submit('aktivieren'),$q->end_form();		
		} else {
			print "Aktivieren nicht mglich. Bitte erst die anzahl der Maps erhhen!";
		}
		print hr;
	}

	unless ($LSC{LeagueData}{AnzahlMaps}) {
		print "Zur Zeit werden keine Maps genutzt.".br;
		print "Um die Map/Teamfunktion zu nutzen, bitte hier die Anzahl der Teams/Maps auswhlen:".br;
		print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
		print $q->hidden("AnzahlMaps", 1);
		print $q->popup_menu(-name=>'Maps',	-values=>[0, 1, 2],	-default=>$LSC{LeagueData}{AnzahlMaps});
		print $q->submit('aktivieren'),$q->end_form();		
		print hr;
	}

	if ($LSC{LeagueData}{Mapliste}) {
		print "Zur Zeit wird eine MapListe genutzt.".br;
		print "Map/TeamListe deaktivieren:".br;
		print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
		print $q->hidden("Mapliste", 1);
		print 'ACHTUNG!!! Wenn die Liste deaktiviert wird, werden smtliche eingetragenen Werte gelscht! In Ergebnissen wird dann "unknown" anstatt des Mapnamen angezeigt! Die Aktion kann nicht Rckgngig gemacht werden!!! Es ist nicht Mglich gelschte Maps/Teams durch einfaches hinzufgen wieder herzustellen! Wird z.B. der Eintrag "Test_Map" gelscht und wird dann "Test_Map" wieder hinzugefgt, so wird in Ergebnissen immernoch "unknown" angezeigt, da der Eintrag nun eine andere ID hat!'.br;
		print $q->submit('deaktivieren'),$q->end_form();	
		print hr;
	}

	if ($LSC{LeagueData}{AnzahlMaps}) {
		print "Zur Zeit werden $LSC{LeagueData}{AnzahlMaps} Maps/Teams genutzt.".br;
		unless ($LSC{LeagueData}{Mapliste}) {
			print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
			print $q->hidden("AnzahlMaps", 1);
			print $q->submit('deaktivieren'),$q->end_form();		
		} else {
			print "Deaktivieren nicht mglich. Bitte erst die Mapliste deaktivieren!";
		}
		print hr;
	}

 
	if ($LSC{LeagueData}{AnzahlMaps}) {
		print "Hier kannst du angeben, ob die Liste Teams oder Maps enthlt:".br;
		print 'Wird z.B. eine NBA Live Liga durchgefhrt, so sollte hier "Team" stehen, bei CS, BF Ligen usw. "Map".'.br;
		print '(Der Name solte nach Mglichkeit in der "Einzahl" angegeben werden)'.br;
		if ($q->param("ChangeMapName") && $q->param("MapName")) {
			my $sth = $LSC{MySQL}->do("update lsc_leagues set MapName=".$LSC{MySQL}->quote(RemoveHtmlFromText($q->param("MapName")))." where League=$LSC{League}");
			print "<U><B>Name gespeichert!</B></U>".br.br;
		} 

		print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
		print $q->hidden("ChangeMapName", 1);

		print $q->textfield('MapName',	$LSC{LeagueData}{MapName}, 30);
		print $q->submit('change'),$q->end_form();		
		print hr;
	}

	
	if ($LSC{LeagueData}{Mapliste}) {
		if ($q->param("MapListeDelete") && $q->param("Map")) {
			my $sth = $LSC{MySQL}->do("delete from lsc_leagues_maps WHERE ID=".$LSC{MySQL}->quote($q->param("Map") || 0)." and League=$LSC{League}");
			print "<U><B>Eintrag gelscht!</B></U>".br.br;
		} 
		if ($q->param("MapListeAdd") && $q->param("Map")) {
			my $sth = $LSC{MySQL}->do("insert into lsc_leagues_maps (League, Name) Values ($LSC{League}, ".$LSC{MySQL}->quote(RemoveHtmlFromText($q->param("Map") || "?")).")");
			print "<U><B>Eintrag gespeichert!</B></U>".br.br;
		}

		my %maps = MapListe();
		$q->delete('Map');
		print "Mapliste verwalten:".br;
		print 'Achtung!!! Wenn Maps/Teams aus der Liste gelscht werden, wird bei Ergebnissen, die diese Map eingetragen haben, ein "unknown" statt dem Mapnamen angezeigt!'.br;
		print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
		print $q->hidden("MapListeDelete", 1);
		print $q->popup_menu(-name=>'Map',	-values=>[sort {$maps{$a} cmp $maps{$b}} keys %maps],	-labels=>\%maps);
		print $q->submit('lschen'),$q->end_form();		
		print "Neuen Eintragn hinzufgen: (max. 30 Zeichen)".br;
		print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}");
		print $q->hidden("MapListeAdd", 1);
		print $q->textfield('Map',	"", 30);
		print $q->submit('Map/Team hinzufgen'),$q->end_form();		
	}
}

$funktionen{UpdateAll} = \&AdminUpdateAll;

sub AdminUpdateAll {
	if ($LSC{UserStatus} != 9) {
		print "unbekannte Funktion".br;
		return;
	}

	#punkte/tabelle aktualisieren:
	Require("LSCTabelle2.pm");
	Require("LSCPoints.pm");
	my $sth = $LSC{MySQL}->prepare("SELECT League, Name FROM lsc_leagues WHERE 1");
	$sth->execute();
	while (my $ref = $sth->fetchrow_arrayref()) {
		unless ($ref || $ref->[0]) {
			next;
		}
		print "<U><B>Update League: $ref->[1]</B></U>".br;
		my %Members = Members($ref->[0]);
			foreach my $mem (keys %Members) {
				print "Aktualisiere Daten von ".$Members{$mem}." ... ";
				Points_TeamAktualisieren($mem, $ref->[0]);
				print "fertig".br;
			}
		
		print "<B>Tabelle</B> ... ";
		Tabelle2Simpel($ref->[0], 0, 1); #1 fr update
		print "<B>fertig</B>".br;


	}
	$sth->finish;
}

sub AdminDeleteOldUploads {
	if ($q->param("delete") && $q->param("days") && $q->param("days") !~ /[^0-9]/) {
		my $dir = "$LSC{uploadpfad}League-$LSC{League}";
		my $counter = 0;
		if (-e $dir) {
			my %checked = ();
		    if (opendir DIR, $dir) {
				my $sth = $LSC{MySQL}->prepare("SELECT count(*) FROM lsc_games_daten WHERE No=? and League=$LSC{League} and ( to_days(now()) - to_days(Date) ) > ".$q->param("days"));
				foreach ( readdir DIR ) {
					if ($_ =~ /^LigaScript/) {
						my ($game, $team, $image) = $_ =~ /^LigaScript\-(\d+)\-(\d+)\.(\d+)\.jpg/i;

						unless (defined $checked{$game}) {
							if ($sth->execute($game)) {
								my $ref = $sth->fetchrow_arrayref();
								$checked{$game} = ($ref  && $ref->[0]) ? $ref->[0]: 0;
								$sth->finish;
							} else {
								$checked{$game} = 0;
							}
						}
						if (defined $checked{$game}) {
							if ($checked{$game} == 1) {
								unlink("$dir/$_");
								$counter++;
							}
						}
					}
				}
				closedir DIR;
				print $counter." Dateien gelscht.".br.br;
			}
		} else {
			print "Upload Verzeichnis konnte nicht geffnet werden!".br;
		}
	}
	print "Hier knnen ltere Uploads gelscht werden. Da es bei vielen Ergebnissen zu sehr vielen Aktionen fhren kann, wird empfohlen die Funktion mglichst zu Zeiten zu aktivieren, wenn der Server unter wenig Belastung steht, z.b. im Zeitraum von 2 bis 5 Uhr Nachts.".br;
	print "Die angegebenen Tage beziehen sich auf das Datum des Ergebnisses, nicht auf das Uploaddatum!".br.br;

	print start_form('post',"admin.pl?League=$LSC{League}&Action=DeleteUploads");	
	print "Alle Uploads dieser Liga lschen die lter als ".$q->textfield(-name=>"days", -value=>"", -size=>3)." Tage sind.".br;
	print $q->submit('delete').br;
	print $q->end_form();
}
1