
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################

###############################################################################
# Wichtige Informationen:                                                     #
###############################################################################


	
###############################################################################
# Disclaimer und Nutzungsbedingungen:			                                                     
# Dieses PerlScript wurde von Joerg Nass erstellt. Alle Rechte liegen
# ausschliesslich bei ihm!
# Das Script darf nicht vollstndig oder in Teilen ohne vorherige Genehmigung
# weitergeben werden!
# Das Script wurde nach besten Wissen erstellt. Es wird keine Haftung fr Fehler
# oder Schden bernommen, die durch das Nutzen oder nicht Nutzen des Scriptes
# entstehen.
# Durch einrichten und aufspielen dieses Scriptes auf einen Server akzeptiert
# der Kunde, dass keine Haftung fr Schden am Server von Joerg Nass bernommen 
# werden knnen. Der Kunde trgt selbst die Verantwortung fr das ausfhren
# des Scriptes.
# Es wird empfohlen Regelmssige Updates der MySQL Datenbank zu machen, da fr
# Verlust oder Schden nicht gehaftet werden kann!
#
# Sollten Fehler im Script auftauchen, teile mir diese mglichst genau mit,
# damit ich schnell den Fehler beheben kann und ein Update zur Verfgung stellen
# kann.
# Ich mchte darauf hinweisen, dass teilweise im Script von mir Kommentare oder
# auskommentierter Quellcode vorhanden ist, dieses liegt daran, dass das Script
# stndig weiter entwickelt wird. Damit die Version bei mir und somit Zeilenangaben
# von mglichen Fehlermeldungen, mit den Angaben aus dieser Version des LigaScriptes
# mglichst genau bereinstimmen, habe ich solche Zeilen nicht entfernt, damit
# ich Fehler mglichst direkt und schnell lokalisieren kann.
# 
#
# Updates werden ausschlielich per Email bersandt. Da das LigaScript relativ klein
# ist sollte es dabei keine Probleme geben.
#
# Es wird empfohlen regelmig auf http://www.scroax.net die News zu lesen, um
# ber mgliche Bugs/Fehler/Tipps und Updates schnell informiert zu werden.
# Sollte auf der Homepage Informationen zu einem Update Verfgbar sein, der Kunde aber
# kein Update erhalten, bitte ich den Kunden und Nutzer dieses Scriptes mir
# eine kurze Nachricht zukommen zu lassen, ich werden dann umgehendst das Update
# zur Verfgung stellen
#
# Ich mchte mich abschlieend fr das Interesse an meinem Script bedanken.
# Ich bin jeder Zeit fr Kritik, Anregungen und Tipps offen, sofern sie persnlich
# an mich herangetragen werden.
# Joerg Nass, ligascript.support@scroax.net, http://www.scroax.net
#
###############################################################################
	
	
	
	
###############################################################################
### Bitte folgende Werte entsprechend den eigenen Wnschen anpassen!
###############################################################################
# Allgemein gilt, wenn keine weitere Informationen angegeben sind:
# Wert 1 = ja/an
# Wert 0 = nein/aus

	$LSC{Email} = 1;	# 1 = sendmail, 2 = file / debugmodus 

	# Lan Modus, fr den Einsatz des Scriptes im lokalen Netzwerk
	# z.b. ohne Mailserver usw.
	# Funktion ist noch nicht verfgbar:
	# Ich werde in Updates darauf hinweisen,
	# wenn diese Funktion eingesetzt werden kann
	$LSC{Lan_Modus} = 0;	

	###############

	# LigaScript Einstellungen:
	$LSC{TeamSeitenImPopUp}	= 0;
	$LSC{ErgebnisseImPopUp}	= 0;
	$LSC{UserSeitenImPopUp}	= 0;


	$LSC{News}				= 1;	#gespeicherte News anzeigen
	$LSC{NewsAction}		= 1;	#Newsfunktionen de-aktivieren
	$LSC{Team_News}			= 1;

	$LSC{UserInfosAnzeigen}	= 1;	#Sobald neue Nachrichten/Forderungen/Ergebnisse eingegangen sind
									#wird ein Info Fenster eingblendet. LSC-Tag: <LSC-UserInfo>
	
	#Hier kann das Layout fr das Info Fenster festgelegt werden:
	#An der Stelle <USER-INFO> werden die Informationen/Meldungen angezeigt, wenn vorhanden...
	$LSC{UserInfoLayout}	=	'<table bgcolor=#FF0033><tr><td><FONT COLOR="#FFFFFF">Aktuelle Infos:</FONT></td></tr><tr><td><FONT COLOR="#FFFFFF"><USER-INFO></FONT></td></tr></table><br>';
	
	$LSC{Version}				= 1;	# 1=Full / 0=Small nur ndern, wenn wirklich alle Pakete vorhanden sind
	$LSC{Vote}{G}				= 1;	#Liga Votes...
	$LSC{Vote}{G}{GrafikBreite}	= 300;	#Maximale Breite des Vote Balkens
	$LSC{Vote}{G}{GrafikHoehe}	= 17;	#Hhe des Vote Balkens
	$LSC{Vote}{G}{GrafikBreiteSmall}	= 100;	#Maximale Breite des Vote Balkens (kleine version)
	$LSC{Vote}{G}{GrafikHoeheSmall}		= 10;	#Hhe des Vote Balkens (kleine version)
	$LSC{Vote}{G}{SmallResizeAnswer}		= 10;	#Antwort auf X Zeichen verkrzen (z.B. "Bla bla ..." statt "Bla bla bla bla bla"
	$LSC{Vote}{G}{ShowMainVote}	= 1;	#Hhe des Vote Balkens
	$LSC{Vote}{S}				= 1;	#Teambewertung nach einem Spiel
	$LSC{Vote}{S}{Tabelle}		= 1;	#VoteStatus neben dem Namen in den Tabellen anzeigen
	$LSC{Vote}{S}{Ergebnisse}	= 0;	#VoteStatus neben dem Namen in den Ergebnissen anzeigen
	$LSC{Vote}{S}{Spielplan}	= 0;	#VoteStatus neben dem Namen in dem Spielplan anzeigen
	$LSC{Vote}{S}{Statistik}	= 0;	#... auf Statistikseiten anzeigen
	
	$LSC{Forderungen}{S}		= 1;	# Sollen Forderungen erlaubt sein?
	$LSC{Messages}{S}		= 1;	# Soll das interne Messagesystem aktiviert genutzt werden?
	$LSC{TeamAnmelden}		= 1;	# Sollen Team/Clan-Anmeldungen mglich sein?
	$LSC{MaxTeams}			= 50;	#
	$LSC{HideUserLogin}			= 0;	# Wenn nicht eingeloggt, Userlogin link nicht anzeigen
	$LSC{Registrierung}{ICQ}	= 0;	# 1= muss bei der Registrierung	angeben werden, 0=nicht...
	$LSC{Registrierung}{WonID}	= 0;	# Die ID wird als String gespeichert, diese Feld kann also auch fr
										# andere SpieleID's genutzt werden
	$LSC{TeamNameAenderbar}		= 1;	#Sollen die User den Clan/Teamnamen selbstndig ndern drfen?
	$LSC{allowedGameIDs} = ['SteamID', 'WonID', 'Warcraft']; #GameIDs die verwaltet werden sollen
		# Das ndern dieser Einstellungen fhrt zum lschen bzw. nicht anzeigen vorher unter
		# anderem Namen eingeflegter GameIDs
	
	$LSC{Messages}{DeleteGameMsg} = 10; #Zeit in Tagen, nachdem Benachrichtigungen ber neue Ergebnisse/Forderungen, nderungsinformatioen usw gelscht werden
	$LSC{Messages}{DeleteInfo} = 10; #Zeit in Tagen, nachdem Benachrichtigungen an User/Teams automatisch gelscht werden

	# Werte anpassen, wenn Turnierbume zu breit fr das eigene Layout sind oder
	# mehr Spalten angezeigt werden sollen
	$LSC{PlayoffScriptevorhanden} = 1;			# Standardwert = 1
	$LSC{PlayoffDoubleEliminationAusgabeBreite} = 4;
	$LSC{PlayoffDoubleEliminationAusgabeSchrittweite} = 2;
	$LSC{PlayoffSingleEliminationAusgabeBreite} = 5;
	$LSC{PlayoffSingleEliminationAusgabeSchrittweite} = 2;
	

	$LSC{Layout}{Liga}{overview}			= 1;	# bei Ligabersicht: LigaInformationen anzeigen
	$LSC{Layout}{Liga}{punkteberechnung}	= 1;	# beim eintragen von Ergebnissen, die berechneten punkte anzeigen
	$LSC{Layout}{Liga}{AlleLigenAufisten}	= 1;	# alle ligen auf der bersichtsseite anzeigen = 1
													# nach kategorienamen aufgeteil anzeigen = 0;
	
	# Folgende Kategorien immer aufgeklappt anzeigen, wenn keine andere gewhlt
	# $LSC{Layout}{Liga}{Kategorienaufgeklappt}{KATEGORIENUMMER} = 1; <= hier einfach 1 fr WAHR
 	$LSC{Layout}{Liga}{Kategorienaufgeklappt}{2} = 1;

	$LSC{LaengeKurzerTeamname} = 20; 
	$LSC{servername}		= $q->server_name();

	$LSC{anzahlspieleanzeigen}	= 50;		# Anzahl der Ergebnisse, die auf der Ergebnisseite angezeigt werden sollen
	$LSC{anzahlteamsintabelle}	= 30;		# Anzahl der Team, die pro Tabellen-Seite angezeigt werden
	$LSC{anzahlTabellenFarben}	= 10;		# Anzahl der Farben, die in der Font.css festgelegt sind

	$LSC{UserTeamUeberSichtsSeiteAnzeigen} = 1; #bersichtsseite fr angemeldete User zugnglich = 1
												# fr alle zugnglich = 0
	$LSC{AnzahlTeamsProSeite}	= 30;		# Anzahl der Teams/Clans die pro Seite angezeigt werden (bersichtsseite)
	$LSC{AnzahlUserProSeite}	= 30;		# Anzahl der User die pro Seite angezeigt werden (bersichtsseite)
	$LSC{AnzahlLeagueMembersProSeite}	= 20;		# Anzahl der User die pro Seite angezeigt werden (Liga Mitglieder)
	
	$LSC{SpieltagBeschreibung}	= 1;
	
																		
	# Wenn andere Namen gewnscht sind, einfach jeweils den Text zwischen den '' ndern
	$LSC{MemberStatus} = { 	
				0 => 'Full Member',
				1 => 'Chief',	#kann Teams/Clans fordern
				2 => 'Leader',	#Admin des Clans
				3 => 'Trial Member',
				100 => 'loeschen' #nicht verndern! wird intern bentigt
				};

	$LSC{Sendmail} 			= '/usr/sbin/sendmail';	#sendmail
	
	# Emailadressen anpassen
	$LSC{regEmail}			= 'registration@deinedomain.de';
	$LSC{notifyEmail}		= 'notify@deinedomain.de';
	$LSC{newgameEmail}		= 'newgame@deinedomain.de';
	$LSC{errorEmail}		= 'error@deinedomain.de';
	$LSC{lostpasswordEmail}	= 'lostpassword@deinedomain.de';
	$LSC{AdminKontakt}		= 'Admin: <a href=mailto:admin@deinedomain>Email</a> / ICQ: XXXXXXX<br/>';

	$LSC{errorUser}			= 1; #UserID des users, der Fehlermeldungen vom Script zur Problembehebung erhalten soll


	$LSC{uploads}	 		= 0; #uploads erlauben
	# wenn screenshotsuploads erlaubt sind, hier den 
	# vollstndigen serverpfad zum upload verzeichnis angeben
	$LSC{uploadpfad}	 	= '/htdocs/screens/';
	# Achtung das Verzeichnis muss per chmod (FTP-Programm) 
	# auf 707 gesetzt werden, damit das LeagueScript
	# schreibzugriff auf dieses Verzeichnis hat
	
	# hier den Link relativ zur Homepage url angeben
	# Beispiel:
	# liegen die uploads in www.scroax.net/upload
	# dann hier "/upload/" angeben, "/" nicht vergessen!
	$LSC{uploadurl}	 		= '/screens/';	
	
	# Ein Image kann immmer hochgeladen werden, 
	# z.B. Wert = 4, dann knnen 5 Images hochgeladen werden
	$LSC{MaxUploadsResultPics} = 4; 
	
	#Farben fr die angezeigten Sterne "*" fr die Team/Userbewertung
	#							keine		votes/positive	farbe/negative farbe
	$LSC{Vote}{Farben}		= [	'#000000',	'#007700',		'#FF0000'];

	# Pfad zu den Images, die beim League Script beiliegen
	$LSC{imagepfad} = '/images';
	
	# Pfad zum Deafult-Teamlogo
	$LSC{DefaultTeamImage} = "/images/defaultteamlogo.jpg";
	
	# Um die Sicherheit des Scripts zu erhhen, ist es 
	# empfehlenswert zu Prfen woher empfangene Daten stammen.
	# Dazu berprft man den Referer. Einfach die erlaubten 
	# Domains von denen Daten an das Script geschickt werden
	# drfen hier einfgen (ohne http:// !):
	# Beispiel: $LSC{AllowedReferer} = [qw(leagues.ihoax.de ihoax.de www.ihoax.de)];

	$LSC{AllowedReferer} = [qw()];
	# Soll die Funktion deaktiviert weren einfach folgendes eintragen:
	# $LSC{AllowedReferer} = [qw()];
	# Achtung! Kann ein Sicherheitsrisiko sein!

	# Startseite der Homepage, wird z.b. in Benachrichtungen 
	# oder bei der Anmeldung bentigt
	$LSC{HomepageURL} = 'http://www.deinedomain.de';
	
	# Url zum League Script, falls das League Script in einem anderen Verzeichnis liegt.
	# Muss richtig angegeben werden, da sonst. z.B. die Freischaltung bei Anmeldung
	# nicht funktioniert.
	# ACHTUNG!!! / am Ende notwendig!!!
	$LSC{ScriptURL}	= 'http://www.deinedomain.de/';
	
	# Pfad zum Ligascript ohne / am Ende !!!!
	$LSC{JavaScriptBaseUrl} = "http://www.deinedomain.de";
	
	
	# MysSQL SERVER Daten
	$LSC{DBIdatenbank}	= 'ligascript';
	$LSC{DBIlogin}		= 'ligascript';
	$LSC{DBIpassword}	= 'ligascript';
	$LSC{DBIhost}		= 'localhost';

	### nchste Zeile ignorieren!
	our %MenueLayout = ();
	###

	#Layout der automatisch generierten Mens anpassen
	$MenueLayout{Standard}		= '&nbsp;<a class=MenueLink href="LINK">NAME</a>&nbsp;<br>';
	$MenueLayout{LSCUser}		= '&nbsp;&nbsp;<a class=MenueLinkUser href="LINK">NAME</a>&nbsp;<br>';
	$MenueLayout{ClanMember}	= '&nbsp;&nbsp;<a class=MenueLink href="LINK">NAME</a>&nbsp;<br>';
	$MenueLayout{LSCLiga}		= '&nbsp;<a class=MenueLink href="LINK">NAME</a>&nbsp;<br>';
	
	$MenueLayout{LSCUserLigen}	= '&nbsp;<a class=MenueLink href="LINK">NAME</a><br>';
	$MenueLayout{LSCNewUser}	= '&nbsp;LINK NAME&nbsp;<br>';
	$MenueLayout{LSCOnlineUser} = '&nbsp;*LINK NAME<br>';
	$MenueLayout{LSCOnlineUserNoLink} = 'LINK NAME<br>';
	$MenueLayout{LSCAdmin}		= '&nbsp;<a class=MenueLink href="LINK">NAME</a>&nbsp;<br>';

	###### Layout Templates ######

	# Standard Layoutdatei:
	$LSC{LayoutDateiDefault} = "LSCLayout.Main.buy.html";

	# Layout Datei fr den fullscreen Modus der Turnierfunktionen
	$LSC{ActionLayout}{'StandingsB'} = 'LSCLayout.fullscreen.html';

	# Pfad auf dem Server zu den Templates:
	$LSC{Templates}{Pfad} = $LSCPackagePfad;
	# Den Pfad hier nur extra angeben bzw. $LSCPackagePfad 
	# ersetzen, wenn die Templates nicht
	# im selben Verzeichnis wie das League Script Paket liegen

	# Template Dateien fr verschiedene Funktionen festlegen:
	$LSC{Templates}{'ErgebnisseLiga'} = $LSC{Templates}{Pfad}.'Template.Ergebnisse1.html';
	$LSC{Templates}{'ErgebnisseLigaSmall'} = $LSC{Templates}{Pfad}.'Template.ErgebnisseSmall1.html';
	$LSC{Templates}{'TeamHauptseite'} = $LSC{Templates}{Pfad}.'Template.TeamHauptseite1.html';
	$LSC{Templates}{'TeamStatistik'} = $LSC{Templates}{Pfad}.'Template.TeamStatistik1.html';
	$LSC{Templates}{'TeamMembers'} = $LSC{Templates}{Pfad}.'Template.TeamMembers1.html';
	$LSC{Templates}{'TeamLigen'} = $LSC{Templates}{Pfad}.'Template.TeamLigen1.html';
	$LSC{Templates}{'LigaUebersicht'} = $LSC{Templates}{Pfad}.'Template.LigaUebersicht1.html';
	$LSC{Templates}{'LigaMembers'} = $LSC{Templates}{Pfad}.'Template.LeagueMembers.html';
	$LSC{Templates}{'News'} = $LSC{Templates}{Pfad}.'Template.News1.html';
	$LSC{Templates}{'NewsFull'} = $LSC{Templates}{Pfad}.'Template.NewsFull1.html';
	$LSC{Templates}{'Rules'} = $LSC{Templates}{Pfad}.'Template.Rules1.html';
	$LSC{Templates}{'User'} = $LSC{Templates}{Pfad}.'Template.User1.html';
	$LSC{Templates}{'StrafpunkteLiga'} = $LSC{Templates}{Pfad}.'Template.StrafpunkteLiga1.html';
	$LSC{Templates}{'StrafpunkteTeam'} = $LSC{Templates}{Pfad}.'Template.StrafpunkteTeam1.html';
	$LSC{Templates}{'SupportInfo'} = $LSC{Templates}{Pfad}.'Template.Support1.html';
	$LSC{Templates}{'Supportentry'} = $LSC{Templates}{Pfad}.'Template.SupportEntry1.html';
	$LSC{Templates}{'SupportLeagueInfo'} = $LSC{Templates}{Pfad}.'Template.SupportLeague1.html';
	$LSC{Templates}{'Ergebnis'} = $LSC{Templates}{Pfad}.'Template.Ergebniss1.html';

	# CSS Name der Tabellenberschrift
	$TableHeaderClass = 'TabelleHL';

	# Style Sheet Werte fr das TabellenLayout. Mglichst nicht verndern,
	# sondern entsprechende Werte in der style.css verndern
	# CSS Spalten abwechseln
	@TableLayout = ('class=TOne', 'class=TTwo');
	@PlayoffLayout = ('class=POne', 'class=PTwo');

	# Doku folgt:
	$LSC{RankingRangNamen} = [
			'Null', 
			'Rookie', 
			'Rookie of the Year', 
			'Best 6th Man', 
			'Starting 5 Player', 
			'Allstar', 
			'Superstar', 
			'MVP', 
			'Champion', 
			'Hall Of Fame'];

	$LSC{RankingRang} = [50, 100, 150, 200, 250, 300, 400, 500, 800];

	# Soll es mglich sein in den Ligen Strafpunkte zu vergeben?
	$LSC{Strafpunkte} = 1;

	# Soll die SupportTicketFunktion genutzt werden?
	$LSC{SupportTicketFunktion} = 1;

	# Soll das Gstebuch genutzt werden?
	$LSC{GuestBook} = 1;

	# Wenn Emails ber die Messagefunktion verschickt werden 
	# kann hier eine Info angeben werden:
	$LSC{Email_Info} = <<"Ende_Email_Info";
Folgende Nachricht wurde ber das Message System des League Scriptes
auf http://www.deinedomain.de an Dich verschickt.
Fr den Inhalt der Nachricht wird keine Haftung bernommen. Bei Fragen 
nutzen sie bitte die Kontaktinformationen auf der oben angebenen Homepage:

Ende_Email_Info

	#Upload formate
	#innerhalb der Runden Klammern () ohne Punkt etc. das Fileformat angeben.
	$LSC{uploads_format} = [qw(txt gif)];

	#Liga bersichtsseite Images statt "#"
	#		$LSC{overview_images}{XXX} = 'image';
	#		XXX = Group ID / entspricht der ID fr die Liga Art
	#			ist dieses ID unbekannt, einfach show.pl aufrufen
	#			und im Quelltext nach der ID gucken, sie wird als
	#			Kommentar ausgegeben
	#		image = vollstndiger pfad zum Image
	$LSC{overview_images}{2} = '/images/ligalayout_kleines_images_test.gif';


