
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################




# SpieldatenAnzeigen
# RecapSystemComment
# ShowMembers
# PlayerOfTheGame
# LigenAnzeigen

sub SpieldatenAnzeigen {
	my $s = shift;

	my (undef, $Logo1) = TeamImage($s->[1]);
	my (undef, $Logo2) = TeamImage($s->[2]);
	$Logo1 = $LSC{DefaultTeamImage} unless $Logo1;
	$Logo2 = $LSC{DefaultTeamImage} unless $Logo2;
#	print "<table>";
#	print '<tr><td><IMG SRC="'.$Logo1.'" WIDTH="100" HEIGHT="100" BORDER=0 ALT="'.$s->[3].'"></td><td></td><td><IMG SRC="'.$Logo2.'" WIDTH="100" HEIGHT="100" BORDER=0 ALT="'.$s->[4].'"></td></tr>';
#	print "<tr><td>".TeamLink($s->[3], $s->[1], "", 1)." ($s->[5])</td> <td>vs.</td><td>".TeamLink($s->[4], $s->[2], "", 1)." ($s->[6])</td></tr>";
#	print "</table>";
#	print "<I>Date:</I> $s->[8]".br;
#			$select	= "G1.Game, G1.Team, G2.Team, T1.Name, T2.Name, G1.Points, G2.Points, D.Special, 
#		DATE_FORMAT(D.Date,'%e. %M %Y'), 
#		G1.Won, G1.Lost, G1.Draw, D.League, D.PogName,
#		G1.PPoints1, G1.PPoints2, G1.LP, G1.Map, G1.Vote,
#		G2.PPoints1, G2.PPoints2, G2.LP, G2.Map, G2.Vote

	my $values = {};
	$values->{Team1} = TeamLink($s->[3], $s->[1], "", 1);
	$values->{Team2} = TeamLink($s->[4], $s->[2], "", 1);

	$values->{TeamLogo1} = '<IMG SRC="'.$Logo1.'" WIDTH="100" HEIGHT="100" BORDER=0 ALT="'.$s->[3].'">';
	$values->{TeamLogo2} = '<IMG SRC="'.$Logo2.'" WIDTH="100" HEIGHT="100" BORDER=0 ALT="'.$s->[4].'">';

	$values->{TeamGesamtpunkte1} = $s->[5];
	$values->{TeamGesamtpunkte2} = $s->[6];

	$values->{Team1Punkte1} = $s->[14];
	$values->{Team2Punkte1} = $s->[19];
	$values->{Team1Punkte2} = $s->[15];
	$values->{Team2Punkte2} = $s->[20];

	$values->{Team1LPunkte} = $s->[16];
	$values->{Team2LPunkte} = $s->[21];
	
	$values->{Teamvote1} = $s->[18];
	$values->{Teamvote2} = $s->[23];

	if ($s->[9]) {
		$values->{GewinnerText} = "$s->[3] gewinnt!";
		$values->{GewinnerText2} = "$s->[3] gewinnen!";
	} elsif ($s->[10]) {
		$values->{GewinnerText} = "$s->[4] gewinnt!";
		$values->{GewinnerText2} = "$s->[4] gewinnen!";
	} elsif ($s->[11]) {
		$values->{GewinnerText} = "Unentschieden!";
		$values->{GewinnerText2} = "Unentschieden wischen $s->[3] und $s->[4]!";
	} else {
		$values->{GewinnerText} = "";
	}

	$values->{Datum} = $s->[8];
	
	$values->{Map} = '';
	$values->{Map1} = '';
	$values->{Map2} = '';
	
	if ($LSC{LeagueData}{Mapliste} > 0) {
		my %maps = MapListe();

		if ($LSC{LeagueData}{AnzahlMaps} == 1) {
			$values->{Map} = $maps{$s->[17]} || "unknown";
		} elsif ($LSC{LeagueData}{AnzahlMaps} == 2) {
			$values->{Map1} = $maps{$s->[17]} || "unknown";
			$values->{Map2} = $maps{$s->[22]} || "unknown";
		}
	}

	$values->{Pog} = $s->[13] || '-';
	
	$values->{Uploads} = ShowUploads($s);

	## syscom
	$values->{System} = RecapSystemComment($s->[0]) || "-";
	if ($values->{System}) {
		$values->{System}=~s/\n/\<br\>/gg;
	}

	$values->{PogImage} = "?";
	if ($LSC{PlayerStats}) {
		Require("LSCPlayerStatsBoxScores.pm");
		$values->{PogImage} = PlayerBoxscoresPog($s->[0]);
	}

	print TemplateShow($LSC{Templates}{'Ergebnis'}, $values)

}
sub ShowUploads {
	if (!$LSC{uploads}) {
		return;
	}
	my $Spiel = shift;
	my $out = "";
	my $drin = 0;

	unless ($LSC{uploads_format}) {
		$LSC{uploads_format} = [qw(jpg)];
	}

				for (my $i = 0;  $i <= $LSC{MaxUploadsResultPics}; $i++) {
					foreach my $k (@{$LSC{uploads_format}}) {
						if (-e $LSC{uploadpfad}."League-$Spiel->[12]/LigaScript-$Spiel->[0]-$Spiel->[1].$i.".$k) {
							$out .=  "<I><B>Screenshots:</B></I>".br unless $drin;
							$drin = 1;
							$out .= '<A target="_blank" HREF="'.$LSC{uploadurl}.'League-'.$Spiel->[12].'/LigaScript-'.$Spiel->[0].'-'.$Spiel->[1].'.'.$i.".".$k.'">Round '.$i.'</A> (uploaded by '.$Spiel->[3].')'.br;
						}
						if (-e $LSC{uploadpfad}."League-$Spiel->[12]/LigaScript-$Spiel->[0]-$Spiel->[2].$i.".$k) {
							$out .= "<I><B>Screenshots:</B></I>".br unless $drin;
							$drin = 1;
							$out .= '<A target="_blank" HREF="'.$LSC{uploadurl}.'League-'.$Spiel->[12].'/LigaScript-'.$Spiel->[0].'-'.$Spiel->[2].'.'.$i.'.'.$k.'">Round '.$i.'</A> (uploaded by '.$Spiel->[4].')'.br;
						}
					}
				}
	unless ($drin) {
		$out = "no uploads.".br;
	}
		if ($Spiel->[1] == $LSC{userteamid} && $LSC{AllowAction}) {
			$out .="<br>".($LSC{AllowAction} ? UploadLink ({Name=>"Upload Screens", Special=>$Spiel->[0]}, 1) : "");
		} elsif ($Spiel->[2] == $LSC{userteamid} && $LSC{AllowAction}) {
			$out .="<br>".($LSC{AllowAction} ? UploadLink ({Name=>"Upload Screens", Special=>$Spiel->[0]}, 1) : "");
		} else {
#			print "Nicht erlaubt!";
#			return;
		}
	return $out;
}
sub RecapSystemComment {
	my ($select,$from,$where,$group,$order);
		$select	= "Message";
		$from	= "lsc_games_syscom";
		$where	= "ID=$_[0]";
		$group	= "";
		$order	= "";
	
	my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where $group $order");
	$sth->execute();
	my %Leagues;
	my $ref = $sth->fetchrow_arrayref();
	$sth->finish;
	return $ref ? $ref->[0] : '';
}
sub ShowMembers {
	if (!$LSC{League}) {
		print $LSC{TEXT}{Error}[3];
		return;
	}
	my $Start = $_[0] || 0;
	if ($Start=~/[^0-9]/) {
		$Start = 0;
	}

	my $AnzahlMembers = Liga_AnzahlteilnehmenderUser($LSC{League});

	my $Template = TemplateLoad1($LSC{Templates}{'LigaMembers'});
	unless ($Template) {
		print "Konnte Template nicht laden! ($!)".br;
		return;
	}

	unless ($AnzahlMembers) {
		print TemplateMaker($Template->{'Head'}, {});
			my $values = "TeamLeagues-0";
				$values->{"LSC-TeamLink"} = $LSC{TEXT}{show}[15];
				$values->{"LSC-TeamRank"}				= "";
				$values->{"LSC-TeamLigaPunkte"}			= "";
				$values->{"LSC-TeamSiege"}				= "";
				$values->{"LSC-TeamUnentschieden"}		= "";
				$values->{"LSC-TeamNiederlagen"}		= "";
				$values->{"LSC-TeamLigaPunkte"}			= "";
				$values->{"LSC-TeamTendenz"}			= "";
			print TemplateMaker($Template->{'Member'}, $values);
		print TemplateMaker($Template->{'Bottom'}, {});
		return;
	}
	
	if ($Start > $AnzahlMembers) {
		$Start = 0;
	}
	my $Menue = '';
	if ($AnzahlMembers >= $LSC{AnzahlLeagueMembersProSeite}) {
		local *mlink = sub {
			if ($_[0] == $Start) {
				$Menue .= "\[".$_[1]."\]";
			} else {	
				$Menue .= "<a class=E href=$scriptname?".
				"League=$LSC{League}&Action=$LSC{Action}&Action2=$_[0]>\[".
				$_[1]."\]</a>";
			}
		};
		my $c = 0;
		$Menue .=  "<div align=center>";
		while ($c < $AnzahlMembers) {
			mlink($c, ($c+1)."-".($c + $LSC{AnzahlLeagueMembersProSeite}));
			$Menue .=  " ";
			$c +=$LSC{AnzahlLeagueMembersProSeite};
		}
		$Menue .=  "</div>".br;
	}
	print "$Menue";


	my ($select,$from,$where,$group,$order);

	$select	= "T.ID, T.Name, TL.Rank, TL.LP, TL.Won, TL.Lost, TL.Draw, TL.CurrentStreak";
	$from	= "lsc_teams T, lsc_teams_league TL";
	$where	= "TL.League=$LSC{League} and TL.Team=T.ID";
	$group	= "";
	$order	= "Order by T.Name";
	my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where $group $order Limit $Start, $LSC{AnzahlLeagueMembersProSeite}");
	$sth->execute();
	my @Teams;
	while (my $ref = $sth->fetchrow_arrayref()) {
		push @Teams, {ID=>$ref->[0], Name=>$ref->[1], Rank=>$ref->[2], LP=>$ref->[3], Won=>$ref->[4], Lost=>$ref->[5], Draw=>$ref->[6], CurrentStreak=>$ref->[7]};
	}

	$sth->finish;

		my @images = ("lsc_tendenz_dummy.gif", "lsc_tendenz_up.gif", "lsc_tendenz_down.gif", "lsc_tendenz_no.gif");

		print TemplateMaker($Template->{'Head'}, {});
		foreach my $T (@Teams) {
				my $values = "TeamLeagues-".$T;
				$values->{"LSC-TeamLink"} = TeamLink({Name=>$T->{Name}, ID=>$T->{ID}, HideVote=>0, League=>$_});
				$values->{"LSC-TeamRank"}				= $T->{Rank}.".";
				$values->{"LSC-TeamLigaPunkte"}			= $T->{LP};
				$values->{"LSC-TeamSiege"}				= $T->{Won};
				$values->{"LSC-TeamUnentschieden"}		= $T->{Draw};
				$values->{"LSC-TeamNiederlagen"}		= $T->{Lost};
				$values->{"LSC-TeamLigaPunkte"}			= $T->{LP};
				$values->{"LSC-TeamTendenz"}			= $images[$T->{CurrentStreak} || 0];
				$values->{"LSC-TeamTendenz"}			= '<IMG SRC="'.$LSC{imagepfad}.'/'.$values->{"LSC-TeamTendenz"}.'" WIDTH="10" HEIGHT="14" BORDER=0 ALT="">' if $values->{"LSC-TeamTendenz"}; 
				print TemplateMaker($Template->{'Member'}, $values);
		}
		unless ($Teams[0]) {
			my $values = "TeamLeagues-0";
				$values->{"LSC-TeamLink"} = $LSC{TEXT}{show}[15];
				$values->{"LSC-TeamRank"}				= "";
				$values->{"LSC-TeamLigaPunkte"}			= "";
				$values->{"LSC-TeamSiege"}				= "";
				$values->{"LSC-TeamUnentschieden"}		= "";
				$values->{"LSC-TeamNiederlagen"}		= "";
				$values->{"LSC-TeamLigaPunkte"}			= "";
				$values->{"LSC-TeamTendenz"}			= "";
				print TemplateMaker($Template->{'Member'}, $values);

		}
		print TemplateMaker($Template->{'Bottom'}, {});
}
sub LigenAnzeigen {
	my ($action, $ID) = @_;

	my ($sth,$select,$from,$where,$group,$order);
	
	local *all = sub {
	## alle ligen laden
	
	$select	= "L.League, L.Name, L.Status, L.MJoin, gs.Name, gs.ID";
	$from	= "lsc_leagues L, lsc_leagues_groups gs, lsc_leagues_group g";
	$where	= "L.League=g.League and g.ID=gs.ID";
	$where .= " and gs.ID=".$LSC{MySQL}->quote($_[0]) if defined($_[0]);
	$group	= "";
	$order	= "Order By gs.Name, L.Name";
	my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where $group $order");
	$sth->execute();
	my %Leagues;
	my $old = '';
	print "<table border=0 cellspacing=0>
		<tr><td class=Headline>ID</td><td class=Headline>Name</td><td width=100 class=Headline>&nbsp;</td><td width=80 class=Headline>Members</td><td class=Headline>Games</td><td width=100 align=right class=Headline>User/Clans</td><td class=Headline align=center>Last Action</td></tr>
		\n";
	while (my $ref = $sth->fetchrow_arrayref()) {
		### weitere Liga Informationen holen:
		my $Anzahl 	= Liga_AnzahlSpiele($ref->[0]);
		my $User 	= Liga_AnzahlteilnehmenderUser($ref->[0]);
		my $aktiv = LigaLetztesErgebnisVorXTagen($ref->[0]);
		#Funktion MainGroup
		if ($old ne $ref->[4]) {
			$old = $ref->[4];
			my $image = '#';
			if ($LSC{overview_images} && $LSC{overview_images}{$ref->[5]}) {
				$image = '<img src="'.$LSC{overview_images}{$ref->[5]}.'" border="0">';
			}
			print "<tr>
				<td class=Std1>$image</td><td class=Std1>$ref->[4] <!-- Group ID: $ref->[5] --></td>
				</tr>";
		}
			
		#Ausgeben
		print "<tr>
			<td align=right>$ref->[0]</td><td><a class=LigaLink href=$LSC{show_pl}?League=$ref->[0]>$ref->[1]</a></td>
			<td align=center>$LSC{Status}{$ref->[2]}</td><td>$LSC{OpenL}{$ref->[3]}</td>
			<td align=right>$Anzahl</td><td align=right>$User</td><td align=right>".($aktiv >= 0 && $Anzahl>0 ? ($aktiv > 0 ? $aktiv."d" : "heute") : "- ")."</td>
			</tr>";
	}
	$sth->finish;
	print "</table>\n";
	};

	if ($LSC{Layout}{Liga}{AlleLigenAufisten}) {
		all();
		return;

	}
	print $LSC{TEXT}{show}[7].br;
	$select	= "gs.Name, count(L.League), gs.ID";
	$from	= "lsc_leagues L, lsc_leagues_groups gs, lsc_leagues_group g";
	$where	= "L.League=g.League and g.ID=gs.ID";
	$group	= "Group by gs.Name";
	$order	= "Order By gs.Name ";

	$sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where $group $order");
	$sth->execute();
	while (my $ref = $sth->fetchrow_arrayref()) {
		if ($ID eq $ref->[2] || ($ID eq "" && $LSC{Layout}{Liga}{Kategorienaufgeklappt}{$ref->[2]})) {
			print br;
			all($ref->[2]);
			print br;
		} else {
			print ShowLink({Name => "$ref->[0] ($ref->[1])", Script => $LSC{show_pl}, Special => ($ref->[2] || 0), Class => "MenueLink"}).br;
		}
	}
	$sth->finish;
	

}			
sub ShowAllMembers {
	if ($LSC{UserTeamUeberSichtsSeiteAnzeigen} && !$LSC{LOGIN}) {
		print $LSC{TEXT}{onlyMembers}.br;
		return;
	}
	my $Seite = $_[1] || 0;
	if ($Seite=~/[^0-9]/) {
		$Seite=0;
	}

	my ($select,$from,$where,$group,$order);
	$select	= "U.UserID, U.Login";
	$from	= "lsc_user U";
	$where	= "1";
	$group	= "";
	$order	= "Order by U.Login Limit $Seite,$LSC{AnzahlUserProSeite}";
	my $sth = $LSC{MySQL}->prepare("SELECT count(*) FROM lsc_user WHERE 1");
	$sth->execute();
	my $anzahluser = ($sth->fetchrow_arrayref())->[0];
	$sth->finish();

	$sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where $group $order");
	$sth->execute();
	print "<div class=Headline>Alle angemeldeten User:</div>";
	print "Seiten: " if $anzahluser > $LSC{AnzahlUserProSeite};
	print "<a href=\"$LSC{show_pl}Action=Members&special=0\">[Start]</a> " if $anzahluser > $LSC{AnzahlUserProSeite};
	for (my $i=1; $i*$LSC{AnzahlUserProSeite} < $anzahluser ; $i++) {
		my $pos = $i*$LSC{AnzahlUserProSeite};
		if ($Seite==$pos) {
			print "[=&gt".$i."&lt=]";
		} else {
			print "<a href=\"$LSC{show_pl}?Action=Members&special=".($pos)."\">[$i]</a> ";
		}
	}
	print br.br  if $anzahluser > $LSC{AnzahlUserProSeite};

	
	print '<table width="100%">';
		print "<tr>";		
		print "<td>ID</td>";
		print "<td>Name</td>";
		print "<td>Ligen</td>";
		print "<tr>";		


	my $League = $LSC{League};
	while (my $ref = $sth->fetchrow_arrayref()) {
		$LSC{League} = $League;
			print "<tr>";		
				print "<td>$ref->[0]</td>";
				print "<td>".UserLink($ref->[1],$ref->[0])."</td>";
				my $First = FirstUserTeamID($ref->[0]);
				my %Ligen = AlleLigenInDenenTeamSpielt($First);
				print "<td>";
				my $x = 0;	
					foreach (keys %Ligen) {
						if ($x) {print "<br>"};
						$x=1;
						$LSC{League} = $Ligen{$_};
						print "<a href='$LSC{show_pl}?League=$Ligen{$_}'>$_</a>";
					}
				print "</td>";
			print "</tr>";		
		}
	$LSC{League} = $League;
	$sth->finish;
	print "</table>";
	print "Seiten: " if $anzahluser > $LSC{AnzahlUserProSeite};
	print "<a href=\"$LSC{show_pl}?Action=Members&special=0\">[Start]</a> " if $anzahluser > $LSC{AnzahlUserProSeite};
	for (my $i=1; $i*$LSC{AnzahlUserProSeite} < $anzahluser ; $i++) {
		my $pos = $i*$LSC{AnzahlUserProSeite};
		if ($Seite==$pos) {
			print "[=&gt".$i."&lt=]";
		} else {
			print "<a href=\"$LSC{show_pl}?Action=Members&special=".($pos)."\">[$i]</a> ";
		}
	}

}
sub ShowAllClans {
	if ($LSC{UserTeamUeberSichtsSeiteAnzeigen} && !$LSC{LOGIN}) {
		print $LSC{TEXT}{onlyMembers}.br;
		return;
	}

	my $Seite = $_[1] || 0;
	if ($Seite=~/[^0-9]/) {
		$Seite=0;
	}
	print "<div class=Headline>bersicht aller angemeldeten $LSC{TEXT}{Teamname}:</div>".br;

	

	
	my $sth = $LSC{MySQL}->prepare("SELECT count(*) FROM lsc_teams WHERE First!=1");
	$sth->execute();
	my $teams = ($sth->fetchrow_arrayref())->[0];
	$sth->finish();

	print "Seiten: " if $teams > $LSC{AnzahlTeamsProSeite};
	print "<a href=\"$LSC{show_pl}?Action=Clans&special=0\">[Start]</a> " if $teams > $LSC{AnzahlTeamsProSeite};
	for (my $i=1; $i*$LSC{AnzahlTeamsProSeite} < $teams ; $i++) {
		my $pos = $i*$LSC{AnzahlTeamsProSeite};
		if ($Seite==$pos) {
			print "[=&gt".$i."&lt=]";
		} else {
			print "<a href=\"$LSC{show_pl}?Action=Clans&special=".($i*$LSC{AnzahlTeamsProSeite})."\">[$i]</a> ";
		}	
	}
	print br.br  if $teams > $LSC{AnzahlTeamsProSeite};

	print '<table width="100%">';
		print "<tr>";		
		print "<td>ID</td>";
		print "<td>$LSC{TEXT}{Teamname2}</td>";
		print "<td>Ligen</td>";
		print "<td>Members</td>";
		print "<tr>";		

	$sth = $LSC{MySQL}->prepare("SELECT ID, Name, Status FROM lsc_teams WHERE First!=1 order by Name Limit $Seite,$LSC{AnzahlTeamsProSeite}");
	$sth->execute();

	my $League = $LSC{League};
	while (my $ref = $sth->fetchrow_arrayref()) {
		$LSC{League} = $League;
			print "<tr>";		
				print "<td>$ref->[0]</td>";
				print "<td>".TeamLink($ref->[1],$ref->[0], 'User', 1)."</td>";
				my %Ligen = AlleLigenInDenenTeamSpielt($ref->[0]);
				print "<td>";
				my $x = 0;	
					foreach (keys %Ligen) {
						if ($x) {print "<br>"};
						$x=1;
						$LSC{League} = $Ligen{$_};
						print "<a href='$LSC{show_pl}?League=$Ligen{$_}'>$_</a>";
					}
				print "</td>";
				
				print "<td align=right>";
				my $TeamMembers = TeamMembers($ref->[0]);
					print "".(keys %{$TeamMembers})/1;
				print "</td>";
				


			print "</tr>";		
	}
	$LSC{League} = $League;
	$sth->finish;
	print "</table>";
	print "Seiten: " if $teams > $LSC{AnzahlTeamsProSeite};
	print "<a href=\"$LSC{show_pl}?Action=Clans&special=0\">[Start]</a> " if $teams > $LSC{AnzahlTeamsProSeite};
	for (my $i=1; $i*$LSC{AnzahlTeamsProSeite} < $teams ; $i++) {
		my $pos = $i*$LSC{AnzahlTeamsProSeite};
		if ($Seite==$pos) {
			print "[=&gt".$i."&lt=]";
		} else {
			print "<a href=\"$LSC{show_pl}?Action=Clans&special=".($i*$LSC{AnzahlTeamsProSeite})."\">[$i]</a> ";
		}	
	}
}

sub TeamLogoAnzeigen {
	my (undef, $Logo1) = TeamImage($_[0]);
	$Logo1 = $LSC{DefaultTeamImage} unless $Logo1;

	return '<IMG SRC="'.$Logo1.'" WIDTH="100" HEIGHT="100" BORDER=0 ALT="'.$_[1].'">';
}
1
