
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################




# Voting fr Teams

sub Vote_TeamWertung {
	my $Team = shift || return;

	my $sth = $LSC{MySQL}->prepare("SELECT sum(VoteCount), avg(Vote) FROM lsc_teams_league WHERE Team=".$LSC{MySQL}->quote($Team));
	$sth->execute() or return;
	my $ref = $sth->fetchrow_arrayref();
	$sth->finish;
	
	return ($ref->[0]||0, $ref->[1]||0);
}
sub Vote_TeamIndikator {
	my $Team = shift || return;
	
	my ($count, $avg) = Vote_TeamWertung($Team);
	if (!$count || $count==0) {
		return 	"<font color=$LSC{Vote}{Farben}[0]>".('*' x 5)."</font>";
	}
	return 	"<font color=$LSC{Vote}{Farben}[1]>".('*' x (6-$avg))."</font>".
		"<font color=$LSC{Vote}{Farben}[2]>".('*' x ($avg-1))."</font>";
		
}

##########
#################### VOTES
#########

sub VotesAdmin {
	unless ($LSC{Vote}{G} || ($LSC{League} && !($LSC{userstatus} == 9))) {
		print "Diese Funktion steht hier nicht zur Verfgung".br;
		return;

	}
	if ($q->param("new") && $q->param("Question")) {
		my $insert = "insert into lsc_votes (League, UserID, Intern, Question, Answer1, Answer2, Answer3, Answer4, Answer5, Answer6, Answer7, Answer8, Answer9, Answer10,  Status) Values (".$LSC{MySQL}->quote($LSC{League} || 0).", $LSC{userid}, ".$LSC{MySQL}->quote($q->param("intern") || 0).", ".$LSC{MySQL}->quote($q->param("Question") || 0).", ";

		for (my $i = 1;  $i<=10 ; $i++) {
			$insert.= $LSC{MySQL}->quote($q->param("Answer".$i) || "").", ";
		}
		$insert.= "0)";
		my $sth = $LSC{MySQL}->do($insert);
		print "Vote erstellt";
	}
	if ($q->param("vote_id")) {
		if ($q->param("close")) {
			my $sth = $LSC{MySQL}->do("update lsc_votes set Status=1 Where League=".$LSC{MySQL}->quote($LSC{League} || 0)." and ID=".$LSC{MySQL}->quote($q->param("vote_id")));
			print "Vote geschlossen".br;
		}
		if ($q->param("open")) {
			my $sth = $LSC{MySQL}->do("update lsc_votes set Status=0 Where League=".$LSC{MySQL}->quote($LSC{League} || 0)." and ID=".$LSC{MySQL}->quote($q->param("vote_id")));
			print "Vote geffnet".br;
		}
		if ($q->param("delete")) {
			my $sth = $LSC{MySQL}->do("delete from lsc_votes Where League=".$LSC{MySQL}->quote($LSC{League} || 0)." and ID=".$LSC{MySQL}->quote($q->param("vote_id")));
			$sth = $LSC{MySQL}->do("delete from lsc_votes_done Where VoteID=".$LSC{MySQL}->quote($q->param("vote_id")));
			print "Vote gelscht".br;
		}
	}

	# alte votes laden
	my $sth = $LSC{MySQL}->prepare("SELECT ID, Question, Status FROM lsc_votes WHERE League=".$LSC{MySQL}->quote($LSC{League} || 0));
	$sth->execute();
	my %Votes = ();
	while (my $ref = $sth->fetchrow_arrayref()) {
		$Votes{$ref->[0]} = "$ref->[1] ".($ref->[2]==0 ? "(luft)" : "(beendet)");
	}
	$sth->finish;

	# 
	print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}&special=$LSC{special}");
	print "Vorhandene Votes:".br;
	print $q->popup_menu(-name=>"vote_id", -values=>[sort keys %Votes], -Labels=>\%Votes)."  ";
	print $q->submit('choose'),$q->end_form;

	if ($q->param("vote_id")) {
		my $vote = VoteLaden($q->param("vote_id"), $LSC{League} || 0);
		if ($vote) {
			VoteShowFull($vote);
			print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}&special=$LSC{special}");
			print $q->hidden("vote_id");
			print $q->submit('close'),$q->submit('open'),$q->submit('delete'),$q->end_form;
		
		} else {
			print "Keine Informationen zu diesem Vote gefunden".br;
		}
	}
	print hr;

	print $q->start_form('post',"admin.pl?League=$LSC{League}&Action=$LSC{Action}&special=$LSC{special}");
	print "Neuen Vote erstellen:".br;
	print "Frage: (max. 60 Zeichen) ".$q->textfield(-name=>"Question", -value=>"", -size=>30).br.br;
	print "Antwort 1: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer1", -value=>"", -size=>20).br;
	print "Antwort 2: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer2", -value=>"", -size=>20).br;
	print "Antwort 3: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer3", -value=>"", -size=>20).br;
	print "Antwort 4: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer4", -value=>"", -size=>20).br;
	print "Antwort 5: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer5", -value=>"", -size=>20).br;
	print "Antwort 6: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer6", -value=>"", -size=>20).br;
	print "Antwort 7: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer7", -value=>"", -size=>20).br;
	print "Antwort 8: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer8", -value=>"", -size=>20).br;
	print "Antwort 9: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer9", -value=>"", -size=>20).br;
	print "Antwort 10: (max. 20 Zeichen) ".$q->textfield(-name=>"Answer10", -value=>"", -size=>20).br;
	print "Nur Liga Teilnehmer drfen am Vote teilnehmen: ". $q->popup_menu(-name=>"intern", -values=>[0,1], -Labels=>{0=>"nein", 1=>"ja"}).br;
	print $q->submit('new'),$q->end_form;



}
sub VoteLaden {
	my $VoteID = shift;
	my $League = shift;

	my $sth = $LSC{MySQL}->prepare("SELECT * FROM lsc_votes WHERE ID=".$LSC{MySQL}->quote($VoteID)." and League=".$LSC{MySQL}->quote($League));
	$sth->execute();
	my $vote = $sth->fetchrow_hashref();
	$sth->finish;
	
	unless ($vote) {
		return;
	}
	$sth = $LSC{MySQL}->prepare("SELECT Answer, Count(VoteID) FROM lsc_votes_done WHERE VoteID=".$LSC{MySQL}->quote($VoteID)."  Group by Answer");
	$sth->execute();
	my %Result = ();
	$Result{0} = 0;
	while (my $ref = $sth->fetchrow_arrayref()) {
		$Result{$ref->[0]} = $ref->[1];
		$Result{0} += $ref->[1];
	}
	$sth->finish;

	$vote->{Result} = \%Result;
	return $vote;
}
sub VoteShowFull {
	my $vote = shift;
	my $Info = shift || "";
	my $template = loadfile($LSCPackagePfad."Template.VoteFull.html");
	unless ($template) {
		print "Die Layout Vorlage fr Votes konnte nicht gelanden werden (Template.VoteFull.html)".br;
		return;
	}

	$LSC{Vote}{G}{GrafikBreite} = 100 unless $LSC{Vote}{G}{GrafikBreite};

	my $rank = 0;
	$template =~s/VOTEQUESTION/$vote->{Question}/;
	$template =~s/INFO/$Info/;
	foreach my $i (sort {($vote->{Result}{$b+1} || 0) <=> ($vote->{Result}{$a+1} || 0)} (0..9)) {
		if ($vote->{"Answer".($i+1)}) {
			$template =~s/\<\!\-\- ANTWORT$rank \-\-\>//;
			$template =~s/\<\!\-\- \/ANTWORT$rank \-\-\>//;
			$vote->{Result}{$i+1} = 0 unless $vote->{Result}{$i+1};
			$template =~s/ANTWORT$rank/$vote->{"Answer".($i+1)}/;
			$template =~s/VOTES$rank/$vote->{Result}{$i+1}/;

			#balken
			my $breite = $vote->{Result}{$i+1} ? Round($LSC{Vote}{G}{GrafikBreite}/$vote->{Result}{0}*$vote->{Result}{$i+1}) : 0;
			my $prozent = $vote->{Result}{$i+1} ? Round(100/$vote->{Result}{0}*$vote->{Result}{$i+1}) : 0;
			my $img = $breite ? '<img src="'.$LSC{imagepfad}."/vote_".($i+1).'.gif" width='.$breite.' height='.$LSC{Vote}{G}{GrafikHoehe}.' ALT="'.$prozent.'%">' : "";
			$template =~s/GRAFIK$rank/$img/;

			$template =~s/PROZENT$rank/$prozent\%/;
		} else {
			$template =~s/\<\!\-\- ANTWORT$rank \-\-\>.*\<\!\-\- \/ANTWORT$rank \-\-\>//s;
		}
		$rank++;
	}
	print $template;
}
sub VoteShowSmall {
	my $vote = shift;
	my $back = shift || 0;
	my $template = loadfile($LSCPackagePfad."Template.VoteSmall.html");
	unless ($template) {
		my $out = "Die Layout Vorlage fr Votes konnte nicht gelanden werden (Template.VoteSmall.html)".br;
		print $out unless $back;
		return $out if $back;
		return;
	}

	$LSC{Vote}{G}{GrafikBreiteSmall} = 50 unless $LSC{Vote}{G}{GrafikBreiteSmall};

	my $rank = 0;
	$template =~s/VOTEQUESTION/$vote->{Question}/;
	$template =~s/TOTALVOTES/$vote->{Result}{0}/;

	foreach my $i (sort {($vote->{Result}{$b+1}||0) <=> ($vote->{Result}{$a+1} || 0)} (0..9)) {
		if ($vote->{"Answer".($i+1)}) {
			$template =~s/\<\!\-\- ANTWORT$rank \-\-\>//;
			$template =~s/\<\!\-\- \/ANTWORT$rank \-\-\>//;
			$vote->{Result}{$i+1} = 0 unless $vote->{Result}{$i+1};
			my $ans = $vote->{"Answer".($i+1)};
			if ($LSC{Vote}{G}{SmallResizeAnswer} && length($ans) >($LSC{Vote}{G}{SmallResizeAnswer} +2)) {
				$ans = substr($ans, 0, $LSC{Vote}{G}{SmallResizeAnswer}).'...';
			}
			$template =~s/ANTWORT$rank/$ans/;
			$template =~s/VOTES$rank/$vote->{Result}{$i+1}/;

			#balken
			my $breite = $vote->{Result}{$i+1} ? Round($LSC{Vote}{G}{GrafikBreiteSmall}/$vote->{Result}{0}*$vote->{Result}{$i+1}) : 0;
			my $prozent = $vote->{Result}{$i+1} ? Round(100/$vote->{Result}{0}*$vote->{Result}{$i+1}) : 0;
			my $img = $breite ? '<img src="'.$LSC{imagepfad}."/vote_".($i+1).'.gif" width='.$breite.' height='.$LSC{Vote}{G}{GrafikHoeheSmall}.' ALT="'.$prozent.'%">' : "";
			$template =~s/GRAFIK$rank/$img/;

			$template =~s/PROZENT$rank/$prozent\%/;
		} else {
			$template =~s/\<\!\-\- ANTWORT$rank \-\-\>.*\<\!\-\- \/ANTWORT$rank \-\-\>//s;
		}
		$rank++;
	}
	print $template unless $back;
	return $template if $back;
}
sub Vote_UserVotedForVote {
	my $user = shift || -1;
	my $voteid = shift || -1;

	my $sth = $LSC{MySQL}->prepare("SELECT Count(*) FROM lsc_votes_done WHERE VoteID=".$LSC{MySQL}->quote($voteid)." and UserID=".$LSC{MySQL}->quote($user));
	$sth->execute();
	my $vote = $sth->fetchrow_arrayref();
	$sth->finish;
#print "id: $voteid / ".$vote->[0].br;
	return $vote && $vote->[0] >= 1 ? 1 : 0;
}
sub VoteGlobalShow {
	# aktuellste page vote anzeigen
	my $sth = $LSC{MySQL}->prepare("SELECT ID, Status FROM lsc_votes WHERE League=0 order by ID desc");
	$sth->execute();
	my $voteid = $sth->fetchrow_arrayref();
	$sth->finish;
	unless ($voteid && $voteid->[1] == 0) {
		my $template = loadfile($LSCPackagePfad."Template.VoteMainNoVote.html");
		return $template || $LSC{TEXT}{Error}[4];
	}
	
	if ($LSC{LOGIN}) {
		if (!Vote_UserVotedForVote($LSC{userid}, $voteid->[0])) {
			# vote form ausgeben:
			my $template = loadfile($LSCPackagePfad."Template.VoteMain.html");
			unless ($template) {
				return "Die Layout Vorlage fr Votes konnte nicht gelanden werden (Template.VoteMain.html)".br;
			}
			my $vote = VoteLaden($voteid->[0], 0);
			if ($vote) {
				$template =~s/VOTE-QUESTION/$vote->{"Question"}/;
				$template =~s/VOTE-ID/$voteid->[0]/;

				my $values = "";
				for (my $i=1; $i<=10 ;$i++) {
					$values .= '<option value="'.$i.'">'.$vote->{"Answer".$i}.'</option>' if ($vote->{"Answer".$i});
				}
				$template =~s/VOTE-VALUES/$values/;
			} else {
				my $template = loadfile($LSCPackagePfad."Template.VoteMainNoVote.html");
				return $template || $LSC{TEXT}{Error}[4];
			}
			return $template;


		} 
	}
	my $vote = VoteLaden($voteid->[0], 0);
		if ($vote) {
			return VoteShowSmall($vote, 1);
		} else {
			return $LSC{TEXT}{Error}[4];
		}
}
sub VotePolls {
	my $action = shift || "";
	my $special = shift || "";

	my $League = $LSC{League} || 0;
	my $Vote = $q->param("VoteID") || -1;
	if ($special && $special eq "Main") {
		$League = 0;
		my $sth = $LSC{MySQL}->prepare("SELECT ID, Status FROM lsc_votes WHERE League=0 order by ID desc");
		$sth->execute();
		my $voteid = $sth->fetchrow_arrayref();
		$sth->finish;
		my $out;
		if ($voteid && $voteid->[1] == 0) {
			$Vote = $voteid->[0];
		}
	}
	if ($q->param("Vote-Answer") && $Vote) {
			if (Vote_UserVotedForVote($LSC{userid}, $Vote)) {
				print $LSC{TEXT}{Votes}[1].br; #schon gevotet
			} else {
				if ($q->param("Vote-Answer") =~/[^0-9]/ || $q->param("Vote-Answer") <= 0) {
					print $LSC{TEXT}{Votes}[2].br; #ungltig
				} else {
					#speichern
					my $sth = $LSC{MySQL}->do("insert into lsc_votes_done (VoteID, UserID, Answer) Values (".$LSC{MySQL}->quote($Vote).", $LSC{userid}, ".$LSC{MySQL}->quote($q->param("Vote-Answer")).")");
					print $LSC{TEXT}{Votes}[3].br; #gespeichert
				}
			}
	}
	if ($Vote) {
			my $vote = VoteLaden($Vote, $League);
			if ($vote) {
				VoteShowFull($vote);
			} else {
				print $LSC{TEXT}{Error}[4];
			}
	}

}
sub VoteShow {
	my $action = shift || "";
	my $special = shift ||"";

	my $League = $LSC{League} || 0;
	my $Vote = $q->param("VoteID") || -1;
	if ($special && $special eq "Main") {
		$League = 0;
		my $sth = $LSC{MySQL}->prepare("SELECT ID, Status FROM lsc_votes WHERE League=0 order by ID desc");
		$sth->execute();
		my $voteid = $sth->fetchrow_arrayref();
		$sth->finish;
		if ($voteid && $voteid->[1] == 0) {
			$Vote = $voteid->[0];
		}
	}	
	if (($action && $action eq "old") || $League > 0) {
		# alte votes laden
		my $sth = $LSC{MySQL}->prepare("SELECT ID, Question, Status FROM lsc_votes WHERE League=".$LSC{MySQL}->quote($LSC{League} || 0));
		$sth->execute();
		my %Votes = ();
		while (my $ref = $sth->fetchrow_arrayref()) {
			$Votes{$ref->[0]} = "$ref->[1] ".($ref->[2]==0 ? "(luft)" : "(beendet)");
		}
		$sth->finish;

		if (%Votes) {
			print $q->start_form('post',"$LSC{show_pl}?League=$LSC{League}&Action=$LSC{Action}&Action2=$LSC{Action2}&special=$LSC{special}");
			print "Vorhandene Votes:".br;
			print $q->popup_menu(-name=>"VoteID", -values=>[sort {$b <=> $a} keys %Votes], -Labels=>\%Votes)."  ";
			print $q->submit('choose'),$q->end_form;	

			if ($Vote <= 0) {
				($Vote) = sort {$b <=> $a}keys %Votes;
			}
		} else {
			print $LSC{TEXT}{Votes}[5].br;
		}
	}
	if ($Vote && $Vote > 0) {
			my $vote = VoteLaden($Vote, $League);
			if ($vote) {
				my $Info = "";
				if ($LSC{LOGIN}) {
					if (Vote_UserVotedForVote($LSC{userid}, $Vote)) {
						$Info .= $LSC{TEXT}{Votes}[1].br; #schon gevotet
					} elsif ($vote->{"Intern"} && !$LSC{AllowAction}) {
						$Info .=  $LSC{TEXT}{Votes}[6].br;
					} else {
						my %Answers = ();
						for (my $i=1; $i<=10 ;$i++) {
							$Answers{$i} = $vote->{"Answer".$i} if ($vote->{"Answer".$i});
						}
						$Info .=  $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=Vote&special=$LSC{special}");
						$Info .=  $q->popup_menu(-name=>"Vote-Answer", -values=>[sort keys %Answers], -Labels=>\%Answers)."  ";
						$Info .=  $q->submit('vote').$q->hidden('VoteID', $Vote).$q->end_form;

					}
				} else {
					$Info .=  $LSC{TEXT}{Votes}[0].br;
				}
				VoteShowFull($vote, $Info);

				
			} else {
				print $LSC{TEXT}{Error}[4].br;
			}
	} else {
		print $LSC{TEXT}{Votes}[4].br;
	}

}
1
