
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################




# UserStatus:
my %UserStatus = (
	0, 'Account not unlocked',
	1, 'Normal',
	2, 'Locked by Admin',
	3, 'InActiv',
	9, 'GlobalAdmin',
);
my $SessionTabelle = 'lsc_user_session';
my $GuestSessionTabelle = 'lsc_guest_session';
sub Session {
	my %funktionen = (
		'IsActiv'				=> \&SessionAktiv,
		'Login'					=> \&SessionLogin,
	);
	if ($funktionen{$_[0]}) {
		return $funktionen{$_[0]}->($_[1],$_[2]);
	}
	return;
}
sub SessionAktiv {
	if ($LSC{userid} =~/[^0-9]/) {
		$LSC{userid} = 0;
		return;
	}
	my ($select,$from,$where,$group,$order);
	$select	= "count(*), TimeLogOut, LastVisit";
	$from	= "$SessionTabelle";
	$where	= "UserID='$LSC{userid}' and SessionID='$LSC{usersessionid}'";
	my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where group by UserID");
	$sth->execute();
	my $ref = $sth->fetchrow_arrayref();
	$sth->finish;
	if ($ref && $ref->[0] > 0) {
		if ($ref->[1] > 0) {
			unless (time() - $ref->[2] < $ref->[1]) {
				$LSC{userid} = 0;
				return;
			}
		}
		my $sth = $LSC{MySQL}->do("update $SessionTabelle set LastVisit=now() where UserID='$LSC{userid}'");
		return 1;
	} 
	$LSC{userid} = 0;
	return;
}
sub SessionLogin {

	my $Fehler = '';
	if ($q->param('Email') && $q->param('Password')) {
		$LSC{userid} = 0;
		$Fehler = SessionPasswordCorrect($q->param('Loginname')||"x",$q->param('Password'),$q->param('Email'));
		if ($Fehler eq '1') {
			return SessionSaveSession($LSC{userid});
		}
	}
	# Nicht eingelogt
	my $out;
	
	# Auf Cookies hinweisen
	$out .= "
		<TABLE width=100% cellspacing=0>
		<TR>
			<TD bgcolor=#000000 class=Headline><B>$LSC{TEXT}{Login}[0]</B></TD>
		</TR>
		<TR>
			<TD class=Standard><div>
				$LSC{TEXT}{Login}[1]<br>
				<br>
				".($Fehler?"Login: $Fehler<br>":"")."
				</div>
				<br><br>
			</TD>
		</TR>
		</TABLE>
		";


	# Loginformular
		$out .= start_form('post',"$scriptname?League=$LSC{League}");
		
		my $Email = $q->textfield('Email');
		my $Password =  $q->password_field('Password');
		$out .= <<"ENDE";
		<br>
		<TABLE width=100% cellspacing=0>
		<TR>
			<TD  class=Std1 align=right>Emailadresse:&nbsp;</TD>
			<TD class=Standard>$Email</TD>
			<TD class=Standard><a class=LigaLink href="user.new.pl">not registered?</a></TD>
			<!-- <TD>Liga</TD> -->
		</TR>
		<TR>
			<TD class=Std1  align=right>Passwort:&nbsp;</TD>
			<TD class=Standard>$Password</TD>
			<TD class=Standard><a class=LigaLink href="user.lostpassword.pl">lost password?</a></TD>
		</TR>
		</TABLE>
ENDE
	$out .= $q->submit('Login').$q->hidden('Login').$q->end_form;
	return $out;
}
sub SessionSaveSession {
	my $UserID = shift;
	SessionUserDatenLaden($UserID);
	unless ($LSC{userid}) {
		return "Es konnte keine User ID ermittelt werden";
	}
	my $sth;
	
	my $SessionID = $ENV{UNIQUE_ID} || crypt($UserID, $LSC{cryptpass}).
					crypt(time() || $UserID, $LSC{cryptpass});
	
	$SessionID = substr($SessionID, 0, 20);
	# alte SessionID verwenden?
		my ($select,$from,$where,$group,$order);
		$select	= "SessionID";
		$from	= "$SessionTabelle";
		$where	= "UserID='$LSC{userid}' and (now()-LastVisit) < 259200";
		# letzter Login nicht lter als 3 Tage, dann selbe SessionID
		$sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where group by UserID");
		$sth->execute();
		my $ref = $sth->fetchrow_arrayref();
		$sth->finish;
		
		if ($ref->[0] && $ref->[0] ne '') {
			$SessionID = $ref->[0];
		}



	$sth = $LSC{MySQL}->do("replace into $SessionTabelle (UserID, SessionID) Values ('$LSC{userid}', '$SessionID')");

	
	my $cookie = $q->cookie( 
        	-NAME		=> 'Userid',  
		-VALUE		=> "$LSC{userid}", 
		-PATH		=>'/',  
		-EXPIRES	=> "+12M",    
	);	
	print "Set-Cookie: $cookie\n";
	
	my $cookie2 = $q->cookie( 
	     -NAME		=> 'UserSessionID',  
		 -VALUE		=> "$SessionID",  
	     -PATH		=>'/',  
		 -EXPIRES	=> "+12M",    
    	);	
	print "Set-Cookie: $cookie2\n";
	return 1;
}
sub SessionUserDatenLaden {
	($LSC{username}, $LSC{UserStatus}) = UserNameUndStatusVonID($LSC{userid});
	$LSC{AllowAction} = 0;

	
		($LSC{userteamid}, $LSC{userteam}) = UserTeamIDTeamnameErmitteln($LSC{userid});
		$LSC{Admin} = $LSC{UserStatus} == 9 ? 1 : IsAnAdminForThisLeague($LSC{userid});
		$LSC{NewsAdmin} = $LSC{Admin};
		$LSC{UserOk} = ($LSC{UserStatus} == 1 || $LSC{UserStatus} == 9);
	if ($LSC{ligavorhanden} && $LSC{UserOk}) {
		if ($LSC{LeagueData}{Status} == 1 && $LSC{UserOk}) {
			unless ($LSC{userteamid}) {
					$LSC{userteamid} = ChiefFuerEinTeamInLiga($LSC{userid}, $LSC{League}) || 0;
			}
			if ($LSC{userteamid}) {
				$LSC{AllowAction} = TeamStatus($LSC{userteamid}) == 1? 0:1;
			} else {
				# als Admin fr diese Liga eingesetzt?
				($LSC{userteamid}, $LSC{userteam}) = UserAdminTeam($LSC{League}, $LSC{userid});
				if ($LSC{userteamid}) {
					$LSC{AllowAction} = TeamStatus($LSC{userteamid}) == 1? 0:1;
				}
			}
		}
		
	}
	if ($LSC{UserOk}) {
		$LSC{LOGIN} = 1;
	} else {
		$LSC{userid} = 0;
	}

}


sub SessionPasswordCorrect {
	my $User = shift;
	my $Passwort = shift;
	my $Email = shift || "&";
	$Passwort = crypt($Passwort, $LSC{cryptpass});
	my ($select,$from,$where,$group,$order);
	$select	= "UserID, Login, Password, Email, Status";
	$from	= "lsc_user";
	$where	= "(Email=".$LSC{MySQL}->quote($Email)." or Login=".$LSC{MySQL}->quote($User).") and Password=".$LSC{MySQL}->quote($Passwort);
	$group	= "";
	$order	= "Limit 1";

	my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where $group $order");
	$sth->execute();
	my $ref = $sth->fetchrow_hashref();
	$sth->finish;
	if ($ref) {
		if (("\L$Email" eq "\L$ref->{Email}" || $User eq $ref->{Login}) &&
			$Passwort eq $ref->{Password}) {
			#Passwort richtig
			if ($ref->{Status} == 0) {
				#nicht freigeschaltet
				return $LSC{TEXT}{Login}[2];
			}
			if ($ref->{Status} == 2) {
				#account gesperrt
				return $LSC{TEXT}{Login}[3];
			}
			$LSC{userid} = $ref->{UserID};
			return 1;
		}
		return $LSC{TEXT}{Login}[4];
	}
	return $LSC{TEXT}{Login}[5];
}


sub SessionGuest {
	my $SessionID = $_[0] || $ENV{UNIQUE_ID} || crypt(time(), $LSC{cryptpass})."abc";
	my $sth = $LSC{MySQL}->do("replace into $GuestSessionTabelle (SessionID) Values ('$SessionID')");
	my $cookie2 = $q->cookie( 
	     -NAME		=> 'GuestSessionID',  
		 -VALUE		=> "$SessionID",  
	     -PATH		=>'/',  
		 -EXPIRES	=> "+1M",    
    	);	
	print "Set-Cookie: $cookie2\n";	

	$sth = $LSC{MySQL}->do("delete from $GuestSessionTabelle where now()-LastVisit > 259200"); #3 tage

}

sub SessionOnline {
	my ($User, $Guests, %User);
	
	my ($select,$from,$where,$group,$order);
	$select	= "S.UserID, U.Login";
	$from	= "$SessionTabelle S, lsc_user U";
	$where	= "now()-LastVisit < 600 and U.UserID=S.UserID";

	my $sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where");
	$sth->execute();
	
	$User=0;
	while (my @ref = $sth->fetchrow_array()) {
		$User{$ref[0]} = $ref[1];
		$User++;
	}
		
	$sth->finish;
	
	$select	= "Count(*)";
	$from	= "$GuestSessionTabelle";
	$where	= "now()-LastVisit < 600";

	$sth = $LSC{MySQL}->prepare("SELECT $select FROM $from WHERE $where");
	$sth->execute();
	$ref = $sth->fetchrow_arrayref();
	$sth->finish;
	
	$Guests = $ref->[0];
	
	return ($User, $Guests, \%User);
}

########### logout
sub SessionLogout {
	my $cookie2 = $q->cookie( 
	     -NAME		=> 'UserSessionID',  
		 -VALUE		=> "",  
	     -PATH		=>'/',  
		 -EXPIRES	=> "0",    
    	);	
	print "Set-Cookie: $cookie2\n";
	my $sth = $LSC{MySQL}->do("delete from $SessionTabelle where UserID='$LSC{userid}'");

}




1