#!/usr/bin/perl -w

###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################

use CGI qw(:standard);
use CGI::Carp qw(fatalsToBrowser);
use strict;
use vars qw(%LSC %Select $LSCPackagePfad $q $scriptname);


require "lsc_pfad.pl";

$CGI::DISABLE_UPLOADS   = 0;
$CGI::POST_MAX          = 1024*200;
$q = new CGI;
$scriptname = script_name();

require $LSCPackagePfad."LSCInit.pm";
use Fcntl qw( :DEFAULT :flock );

use constant BUFFER_SIZE    => 16_384;
#use constant MAX_DIR_SIZE   => 100 * 1_048_576; # Gesamtdatenmenge fuer Uploads
                                                # auf 100 MB begrenzen
use constant MAX_OPEN_TRIES => 100;




#if ( dir_size( UPLOAD_DIR ) + $ENV{CONTENT_LENGTH} > MAX_DIR_SIZE ) {
#    fehler( $q, "Upload-Verzeichnis ist voll." );
#}

# Main #
&LayoutPopupEins;
	$q->cgi_error and fehler( $q, "Fehler beim Datei-Upload: " . $q->cgi_error );

	if (!$LSC{LOGIN}) {
		print "Bitte erst einloggen!".br;
	} elsif ($LSC{uploads}) {
		main();
	} else {
		print "no uploads allowed";
	}

&LayoutPopupZwei;
MySQLDisconnect($LSC{MySQL}); #in Init initialisiert
# /Main #
exit(0);


sub main {
	if ($LSC{special} && !($LSC{special}=~/[^0-9]/) && $LSC{ligavorhanden} && $LSC{userteamid}) {
		my $Spiel = SpieldatenLaden($LSC{special});
		unless ($Spiel) {
			print "Unbekanntes Spiel. Datei kann nicht gespeichert werden.";
			return;
		}
		my $SpNr;
		if ($Spiel->[1] == $LSC{userteamid}) {
			$SpNr = $LSC{userteamid};
		} elsif ($Spiel->[2] == $LSC{userteamid}) {
			$SpNr = $LSC{userteamid};
		} else {
			print "Nicht erlaubt!";
			return;
		}

		if ($q->param("delete") && defined $q->param("Round") && $q->param("Round")!~/[^0-9]/) {
			my $dateiname ="$LSC{uploadpfad}League-$Spiel->[12]/LigaScript-$Spiel->[0]-$SpNr.".$q->param("Round").".jpg";
			if (unlink($dateiname)) {
				print "Datei gelscht!";
			} else {
				print "Datei konnte nicht gelscht werden!";
			}
			print br.br;
		}
		my $datei     = $q->param( "datei" );
		if ($datei && $datei=~/\.jpg/i && defined $q->param("Round") && $q->param("Round")!~/[^0-9]/) {
			print $datei;
			unless (-e "$LSC{uploadpfad}League-$Spiel->[12]") {
				print "Ligaverzeichnis existiert nicht".br;
				mkdir "$LSC{uploadpfad}League-$Spiel->[12]", 0707;
			}
			my $dateiname ="$LSC{uploadpfad}League-$Spiel->[12]/LigaScript-$Spiel->[0]-$SpNr.".$q->param("Round").".jpg";
			open(FILE, ">$dateiname") || return Uploaderror("$!", $Spiel);
			binmode (FILE);
			binmode ($datei);
			my $buffer;
			while (read($datei,$buffer,1024)) {
				print FILE $buffer;
			}
			close (FILE);
			print "<p>".(stat "$dateiname")[7]." Bytes uploaded!</p>\n";
			print "Datei wurde gespeichert.".br;

			if (open(FILE, ">>$LSC{uploadpfad}uploadlog.txt")) {
				print FILE "$LSC{date} - $LSC{userid}/$LSC{userteamid}/$dateiname\n";
				close (FILE);
			}
			$datei = undef;
			print br;
		} 
			if ($datei) {
				print "gewhlte Datei ist kein jpeg Bild!".br;
			}
			local *uploadform = sub {
				my %values = %{$_[0]};
				my %delete = %{$_[1]};
				$values{0} = "free use" if $values{0};
				$delete{0} = "free use" if $delete{0};
				print "Screenshot Upload: (max. 200 kb, nur JPG-Files!!!)".br;
				my $save="upload.pl?League=$LSC{League}&Action=$LSC{Action}&special=$Spiel->[0]";
				print "\n";
				print $q->start_form('post',$save);
				print "&nbsp;".$q->popup_menu(-name=>'Round', -values=>[sort keys %delete], Labels=>\%delete)." ";
				print $q->submit('delete'),$q->end_form, br;		
				print $q->start_form('post',$save, 'multipart/form-data');
				print "&nbsp;".$q->popup_menu(-name=>'Round', -values=>[sort keys %values], Labels=>\%values)." ";
				print "<input type=\"file\" size=\"20\" name=\"datei\" accept=\"image/jpeg\">\n";
				print $q->submit('upload'),$q->end_form;		
				print "\n";
			};

			my $drin = 0;

			# alte uploads weiterhin unterstuetzen
				if (-e $LSC{uploadpfad}."LigaScript-$Spiel->[0]-$Spiel->[1].zip") {
				} elsif ($LSC{userteamid} == $Spiel->[1]) {
#					uploadform();
#					$drin = 1;
				}
				if (-e $LSC{uploadpfad}."LigaScript-$Spiel->[0]-$Spiel->[2].zip") {
				} elsif ($LSC{userteamid} == $Spiel->[2]) {
#					uploadform();
#					$drin = 1;
				}

	
			# neue upload funktion
				my %uploads = ();
				my %deleteable = ();
				for (my $i = 0;  $i <= $LSC{MaxUploadsResultPics}; $i++) {
					if ($Spiel->[1] == $LSC{userteamid}) {
						if (-e $LSC{uploadpfad}."League-$Spiel->[12]/LigaScript-$Spiel->[0]-$Spiel->[1].$i.jpg") {
							print "Image for Round $i found".br;
							$deleteable{$i} = "Round $i";
						} else {
							$uploads{$i} = "Round $i";
						}
					}
					if ($Spiel->[2] == $LSC{userteamid}) {
						if (-e $LSC{uploadpfad}."League-$Spiel->[12]/LigaScript-$Spiel->[0]-$Spiel->[2].$i.jpg") {
							print "Image for Round $i found".br;
							$deleteable{$i} = "Round $i";
						} else {
							$uploads{$i} = "Round $i";
						}
					}
				}
				if (%uploads) {
					print br;
					uploadform(\%uploads, \%deleteable);
					$drin = 1;
				}

			unless ($drin) {
				print "keine Uploads mehr mglich";
			}
				
		
	} else {
		print "Funktion nicht erlaubt.";
	}
}


sub UploadError {
	my $Error = shift;
	my $Spiel = shift;
	if (open(FILE, ">>$LSC{uploadpfad}uploadlog.txt")) {
		print FILE "$LSC{date} - ERROR: $_[0] => $LSC{userid}/$LSC{userteamid}/LigaScript-$Spiel->[0]-$LSC{userteamid}.zip\n";
		close (FILE);
	}
	print "Es ist ist ein Fehler beim Upload aufgetreten, bitte wende dich an einen Admin, wenn dieser Fehler wieder auftreten sollte.";
}
sub dir_size {
    my $dir = shift;
    my $dir_size = 0;
    
    # Dateien in Upload-Verzeichnis durchgehen und Groessen zusammenzaehlen.
    # Nicht in Unterverzeichnisse absteigen.
    opendir DIR, $dir or die "Kann $dir nicht oeffnen: $!";
    foreach ( readdir DIR ) {
        $dir_size += -s "$dir/$_";
    }
    return $dir_size;
}


sub fehler {
    my( $q, $grund ) = @_;
    
    print "<div class=Headline>Fehler</div>";
   	print "Aus folgendem Grund konnte Ihr Upload leider nicht bearbeitet werden: ".br;
        print $grund.br.br;
    &LayoutPopupZwei;
    MySQLDisconnect($LSC{MySQL}); #in Init initialisiert
    exit;
}
