#!/usr/bin/perl -w


###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################



use CGI qw(:standard);
use CGI::Carp qw(fatalsToBrowser);
use strict;
use vars qw(%LSC $q $scriptname %Select $LSCPackagePfad);

require "lsc_pfad.pl";

$CGI::DISABLE_UPLOADS   = 1;
$CGI::POST_MAX          = 1024*10;
$q = new CGI;
$scriptname = script_name();

require $LSCPackagePfad."LSCInit.pm";

# Funktionen die nur ausgefhrt werden drfen, wenn der User Mitglied
# in der Liga ist
my %funktionen = (
	'NewGame'					=> \&NeuesSpiel,
);
if ($LSC{PlayerStats}) {
	$funktionen{'Draft'} = \&PlayerDraftUser;

}

# Funktionen, die nur ausgfehrt werden drfen, wenn eine Liga ausgewhlt
# ist
my %funktionen2 = (
	'Members'					=> \&ShowMembers,
);
my %require = (
	'NewGame',					'LSCErgebnisse.pm',
);


# Main #
if ($q->cgi_error) {
	&LayoutEins;
	print $LSC{TEXT}{ERROR}[10].br;
	&LayoutZwei;
} elsif (1 || $LSC{LOGIN}) {
	HauptMenue();
} else {
	&LayoutEins;
		print "Diese Funktionen knnen nur genutzt werden, wenn du eingeloggt bist!";
	&LayoutZwei;
}
MySQLDisconnect($LSC{MySQL}); #in Init initialisiert
# /Main #




sub HauptMenue {
	if ($LSC{ligavorhanden}) {
		&LayoutEins;
		print '<table width=100%><tr><td bgcolor=#000000 width=100%><font
		color=#c0c0c0>'.$LSC{LeagueData}{Name}.'</font></td></tr></table>';
		if ($LSC{AllowAction} && DoLeagueAction()) {
				#alles gut ;-)
		} elsif (DoLeagueAction2()) {
				#alles gut ;-)
		} else {
			print "Diese Funktion darfst Du hier nicht ausfhren".br;
		}
	} else {
		print $q->redirect($LSC{show_pl});
		return;
	}	
	&LayoutZwei;
}
sub DoLeagueAction {
	if ($funktionen{$LSC{Action}}) {
			if ($require{$LSC{Action}}) {
				Require($require{$LSC{Action}});
			}
			$funktionen{$LSC{Action}}->($LSC{Action2}, $LSC{special});
			return 1;
	} 
	return;
}
sub DoLeagueAction2 {
	if ($funktionen2{$LSC{Action}}) {
			$funktionen2{$LSC{Action}}->($LSC{Action2}, $LSC{special});
			return 1;
	} 
	return;
}
sub x {	print $scriptname; print $q;}
