
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################




sub Counter_Count {
	return; #deaktiviert, da update funktion noch nicht fertig! 
	my $ip = $q->remote_addr() || return;
	my @ip = $ip =~ /(\d+)\.(\d+)\.(\d+)\.(\d+)/;
	my $user= $LSC{userid} || 0;
	my $sth = $LSC{MySQL}->prepare("update lsc_counter set PageViews=PageViews+1 where ip1=? and ip2=? and ip3=? and ip4=? and UserID=? and now() < date_add(Timestamp, INTERVAL 15 MINUTE)");
	unless ($sth->execute($ip[0], $ip[1], $ip[2], $ip[3], $user)) {
		return;
	}
	if ($sth->rows) {
	} else {
		my $sth = $LSC{MySQL}->prepare("insert into  lsc_counter (ip1, ip2, ip3, ip4, UserID, PageViews, Timestamp, Visits) values (?, ?, ?, ?, ?, 1, now(), 1)");
		$sth->execute($ip[0], $ip[1], $ip[2], $ip[3], $user);
	}
}

sub Counter_Show {
	#besucher heute
	$LSC{"Counter_Visits_Today"} = 0;
	$LSC{"Counter_Views_Today"} = 0;
	my $sth = $LSC{MySQL}->prepare("select sum(Visits), SUM(PageViews) from lsc_counter where to_days(now()) = to_days(Timestamp)");
	if ($sth->execute()) {
		if (my $ref = $sth->fetchrow_arrayref()) {
			$LSC{"Counter_Visits_Today"} = $ref->[0];
			$LSC{"Counter_Views_Today"} = $ref->[1];
		}
	}
	# besucher woche
	$LSC{"Counter_Visits_Week"} = 0;
	$LSC{"Counter_Views_Week"} = 0;
	$sth = $LSC{MySQL}->prepare("select sum(Visits), SUM(PageViews) from lsc_counter where now() <= date_add(Timestamp, INTERVAL 7 DAY)");
	if ($sth->execute()) {
		if (my $ref = $sth->fetchrow_arrayref()) {
			$LSC{"Counter_Visits_Week"} = $ref->[0];
			$LSC{"Counter_Views_Week"} = $ref->[1];
		}
	}
	# besucher gesamt
	$LSC{"Counter_Visits_total"} = 0;
	$LSC{"Counter_Views_total"} = 0;
	$sth = $LSC{MySQL}->prepare("select sum(Visits), SUM(PageViews) from lsc_counter where 1");
	if ($sth->execute()) {
		if (my $ref = $sth->fetchrow_arrayref()) {
			$LSC{"Counter_Visits_total"} = $ref->[0];
			$LSC{"Counter_Views_total"} = $ref->[1];
		}
	}
}
sub Counter_ShowHistory {
	my $sth = $LSC{MySQL}->prepare("select sum(Visits), SUM(PageViews), DATE_FORMAT(Timestamp,'%d. %M %Y') from lsc_counter where 1 group by to_days(Timestamp) order by Timestamp");
	if ($sth->execute()) {
		print "<table>";
			print "<tr>";
				print "<td>Day</td>";
				print "<td>Visits</td>";
				print "<td>PageViews</td>";
			print "</tr>";
		while (my $ref = $sth->fetchrow_arrayref()) {
			print "<tr>";
				print "<td>$ref->[2]</td>";
				print "<td>$ref->[0]</td>";
				print "<td>$ref->[1]</td>";
			print "</tr>";
		}
		print "</table>";
	}
}
1