
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################


sub MSGFordern {
	if ($LSC{LeagueData}{Forderungen} == 0) {
		print $LSC{TEXT}{Forderung}[5].br;
		return;
	}
	if ($q->param("neu")) {
		_MSGNeueForderungErstellen();
		return;
	}
	print "fordern";

}
sub _MSGForderungenDateTimePruefen {
	my $DateTime = shift || return undef;
	my $TempOut = shift || 0; #wenn 1, dann alles in $LSC{TempOut} speichern

	$LSC{TempOut} = "" if $TempOut;

	#gefordert: dd.mm.yyyy hh:mm
	$DateTime =~ /(\d\d)\.(\d\d)\.(\d\d\d\d) *(\d\d)\:(\d\d) */;
	if (defined $1 && 
		defined $2 && 
		defined $3 && 
		defined $4 && 
		defined $5 ) {
		my $sth = $LSC{MySQL}->prepare("SELECT Unix_Timestamp(now()), Unix_Timestamp('$3-$2-$1 $4:$5:00'), To_Days(now()), To_Days('$3-$2-$1 $4:$5:00')");
		$sth->execute();
		my $ref = $sth->fetchrow_arrayref();
		$sth->finish;
		if ($ref && defined $ref->[0] && defined $ref->[1] && defined $ref->[2] && defined $ref->[3]) {
			if ($ref->[0] < $ref->[1]) {
				# Forderung liegt in der Zukunft
				
				# prfe ob Forderung innerhalb des aktuellen Zeitraumes liegt
				if ($LSC{LeagueData}{Forderungen_Zeitraum} &&
					($ref->[3] - $ref->[2] > $LSC{LeagueData}{Forderungen_Zeitraum})	
					) {
					print $LSC{TEXT}{Forderung}[11]."(max. +$LSC{LeagueData}{Forderungen_Zeitraum}d)".br if !$TempOut;
					$LSC{TempOut} .= $LSC{TEXT}{Forderung}[11]."(max. +$LSC{LeagueData}{Forderungen_Zeitraum}d)".br if $TempOut;
					return undef;
				}
				my %mins = ("0"=>1, "00"=>1, 15=>1, 30=>1, 45=>1);
				unless ($mins{$5}) {
					print $LSC{TEXT}{Forderung}[13]."dd$5"."/$mins{$5}".br if !$TempOut;
					$LSC{TempOut} .= $LSC{TEXT}{Forderung}[13]."dd$5"."/$mins{$5}".br if $TempOut;
					return undef;
				}
				return "$3-$2-$1 $4:$5:00";
			}
		}
	}
	print $LSC{TEXT}{Forderung}[12].br if !$TempOut;
	$LSC{TempOut} .= $LSC{TEXT}{Forderung}[12].br if $TempOut;
	return undef;
}

sub _MSGForderungenFormular {
	
	print $q->start_form('post',"$scriptname?League=$LSC{League}&Action=$LSC{Action}&Action2=");
		# alte werte sichern:
		print $q->hidden('Team1');
		print $q->hidden('Team2');
		print $q->hidden('change');

	if ($q->param('neu')) {
		# alte werte sichern:
		print $q->hidden('neu', 1);
		print $q->hidden('check', 1);
		unless ($q->param('DateTime')) {
		   	my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
				if ($min < 15) {
					$min = 15;
				} elsif ($min < 30) {
					$min = 30;
				} elsif ($min < 45) {
					$min = 45;
				} else {
					$hour++;
					$hour = 0 if $hour > 23;
					$min = "0";
				}
				$hour = "0$hour" if ($hour < 10);

				$mon++;
				$min = "0$min" if ($min < 10);
				$mon = "0$mon" if ($mon < 10);
				$mday = "0$mday" if ($mday < 10);
			    $year = 1900+$year;
			$q->param('DateTime', "$mday.$mon.$year $hour:$min");
		}
		print "<TABLE cellspacing=0 align=center width=100%>
		<TR>
			<TD class=Std1>$LSC{TEXT}{Forderung}[7]</TD>
			<TD class=Std1></TD>
			<TD class=Std1></TD>
		</TR>
		<TR>
			<TD class=Std2>$LSC{TEXT}{Forderung}[8]</TD>
			<TD class=Std2>".$q->textfield('DateTime', "", 16)."</TD>
			<TD class=Std2></TD>
		</TR>
		<TR>
			<TD class=Std2></TD>
			<TD class=Std2Small>dd.mm.yyyy hh:mm</TD>
			<TD class=Std2></TD>
		</TR>
		<TR>
			<TD class=Std2></TD>
			<TD class=Std2>&nbsp;</TD>
			<TD class=Std2></TD>
		</TR>
		";
		
		if ($LSC{LeagueData}{AnzahlMaps} > 0) {
			print "
			<TR>
				<TD class=Std2></TD>
				<TD class=Std2>&nbsp;</TD>
				<TD class=Std2></TD>
			</TR>
			<TR>
				<TD class=Std1>$LSC{TEXT}{Forderung}[9]</TD>
				<TD class=Std1></TD>
				<TD class=Std1></TD>
			</TR>
			";
			if ($LSC{LeagueData}{Mapliste} > 0) {
				my %maps = MapListe();
				$maps{0} = "choose";
				print "
				<TR>
					<TD class=Std2></TD>
					<TD class=Std2>".$q->popup_menu(-name=>'Map', -values=>[sort {$a <=> $b }(keys %maps)], -Labels=>\%maps, -default=>"0")."</TD>
					<TD class=Std2></TD>
				</TR>
				";


			} else {
				print "
				<TR>
					<TD class=Std2></TD>
					<TD class=Std2>".$q->textfield('Map', $LSC{LeagueData}{MapName})."</TD>
					<TD class=Std2></TD>
				</TR>
				";
			}

			print "
			<TR>
				<TD class=Std2></TD>
				<TD class=Std2>&nbsp;</TD>
				<TD class=Std2></TD>
			</TR>			";
		}
		
		
		print "
			<TR>
				<TD class=Std2></TD>
				<TD class=Std2>&nbsp;</TD>
				<TD class=Std2></TD>
			</TR>
			<TR>
				<TD class=Std1>$LSC{TEXT}{Forderung}[10]</TD>
				<TD class=Std1></TD>
				<TD class=Std1></TD>
			</TR>
			<TR>
				<TD class=Std2></TD>
				<TD class=Std2>".$q->textarea('comment','',5,35)."</TD>
				<TD class=Std2></TD>
			</TR>
			<TR>
				<TD class=Std2></TD>
				<TD class=Std2>&nbsp;</TD>
				<TD class=Std2></TD>
			</TR>			";		
		print "</TABLE>";
		print $q->image_button(-name=>"Fordern", -src=>$LSC{imagepfad}."/lsc_fordern.gif", align=>"middle");			
	}

	print $q->end_form();
}
sub _MSGNeueForderungErstellen {
	if (!$q->param("Team1") || !$q->param("Team2") || !$LSC{League}) {
		print $LSC{TEXT}{Forderung}[0].br; # Kein Gegner
		return;
	}

	if ($q->param("Team1") eq $q->param("Team2")) {
		print $LSC{TEXT}{Forderung}[4].br; # gleich dem eigenem Team
		return;
	}
	if (_MSGForderungenZwischenTeamATeamB($q->param("Team1"), $q->param("Team2"))) {
		print $LSC{TEXT}{Forderung}[19].br; # schon eine Forderung vorhanden
		return;
	}
	my $ChiefTeam = $LSC{userteamid} || ChiefFuerEinTeamInLiga($LSC{userid}, $LSC{League});
	unless ($ChiefTeam ||  $LSC{Forderungen}{S}) {
		print $LSC{TEXT}{Forderung}[1].br; #nicht erlaubt
		return;
	}

	if ($ChiefTeam ne $q->param("Team1")) {
		if ($LSC{UserStatus == 9}) {
			print "<div class=Headline><br>ADMIN MOD<br><br></div>";
		} else {
			print $LSC{TEXT}{Forderung}[2].br; #nicht erlaubt2
			return;
		}
	}

	#erstes team prfen
	my $TeamStatus = TeamStatus($q->param("Team1"));
	my $TeamLigaStatus = $LSC{League} ? TeamLigaStatus($q->param("Team1"), $LSC{League}) : 0;
	my $TeamSpieltInLiga = $LSC{League} ? TeamSpieltInLiga($q->param("Team1"), $LSC{League}) : 0;

	if ($TeamSpieltInLiga == 0 || $TeamStatus != 0 || $TeamLigaStatus !=0) {
		print $LSC{TEXT}{Forderung}[2].br; #nicht erlaubt
		return;
	}
	
	#zweites team prfen
	$TeamStatus = TeamStatus($q->param("Team2"));
	$TeamLigaStatus = $LSC{League} ? TeamLigaStatus($q->param("Team2"), $LSC{League}) : 0;
	$TeamSpieltInLiga = $LSC{League} ? TeamSpieltInLiga($q->param("Team2"), $LSC{League}) : 0;

	if ($TeamSpieltInLiga == 0 || $TeamStatus != 0 || $TeamLigaStatus !=0) {
		print $LSC{TEXT}{Forderung}[3].br; #nicht erlaubt
		return;
	}

	my ($f, undef) = TeamnameAndUserFromTeamIDAndLeague($q->param("Team1"),$LSC{League});
	my ($g, undef) = TeamnameAndUserFromTeamIDAndLeague($q->param("Team2"),$LSC{League});

	if (!$f || $$g) {
		print $LSC{TEXT}{Forderung}[6].br; #keine namen
		return;
	}

	# weitere prfungen, ob regeln verletzt:
	#maximale Anzahl an offenen Forderungen prfen
	if ($LSC{LeagueData}{F_Max}) {
		if (AnzahlOffenerForderungenInLiga($q->param("Team1"), $LSC{League}) > $LSC{LeagueData}{F_Max}) {
			print $f.": ".$LSC{TEXT}{Forderung}[52].br;
			return;
		}
		if (AnzahlOffenerForderungenInLiga($q->param("Team2"), $LSC{League}) > $LSC{LeagueData}{F_Max}) {
			print $g.": ".$LSC{TEXT}{Forderung}[52].br;
			return;
		}
	}
	
	if ( 
			($LSC{LeagueData}{F_Rank_Min} > 0 || $LSC{LeagueData}{F_Rank_Max} > 0) 
				||
			($LSC{LeagueData}{F_Points_Min} > 0 || $LSC{LeagueData}{F_Points_Max} > 0) 
		) {
		Require("LSCPoints.pm");
		my $Team1P = Points_PunkteLaden($q->param("Team1"), $LSC{League});
		my $Team2P = Points_PunkteLaden($q->param("Team2"), $LSC{League});

		#forderung im erlaubten tabellenbereich?
		if ($LSC{LeagueData}{F_Rank_Min} > 0 || $LSC{LeagueData}{F_Rank_Max} > 0) {
			if ($Team1P->{Rank} < $Team2P->{Rank} && $LSC{LeagueData}{F_Rank_Min} > 0 &&
				(($Team1P->{Rank}+$LSC{LeagueData}{F_Rank_Min}) < $Team2P->{Rank})) {
				print "Es darf maximal $LSC{LeagueData}{F_Rank_Min} Pltze nach unten gefordert werden! Platzierungen: $f ($Team1P->{Rank}) / $g ($Team2P->{Rank})".br;
				return;
			}
			if ($Team1P->{Rank} > $Team2P->{Rank} && $LSC{LeagueData}{F_Rank_Max} > 0 &&
				(($Team1P->{Rank}-$LSC{LeagueData}{F_Rank_Max}) > $Team2P->{Rank})) {
				print "Es darf maximal $LSC{LeagueData}{F_Rank_Max} Pltze nach oben gefordert werden! Platzierungen: $f ($Team1P->{Rank}) / $g ($Team2P->{Rank})".br;
				return;
			}
		}

		#forderung im erlaubten punktebereich?
		if ($LSC{LeagueData}{F_Points_Min} > 0 || $LSC{LeagueData}{F_Points_Max} > 0) {
			if ($Team1P->{LP} < $Team2P->{LP} && $LSC{LeagueData}{F_Points_Min} > 0 &&
				(($Team1P->{LP}+$LSC{LeagueData}{F_Points_Min}) < $Team2P->{LP})) {
				print "Es drfen maximal $LSC{LeagueData}{F_Points_Min} Punkte unterschied zwischen Dir in den geforderten Team vorhanden sein! Platzierungen: $f ($Team1P->{LP}) / $g ($Team2P->{LP})".br;
				return;
			}
			if ($Team1P->{LP} > $Team2P->{LP} && $LSC{LeagueData}{F_Points_Max} > 0 &&
				(($Team1P->{LP}-$LSC{LeagueData}{F_Points_Max}) > $Team2P->{LP})) {
				print "Es drfen maximal $LSC{LeagueData}{F_Points_Max} Punkte unterschied zwischen Dir in den geforderten Team vorhanden sein! Platzierungen: $f ($Team1P->{LP}) / $g ($Team2P->{LP})".br;
				return;
			}
		}
	}

	

	print "<TABLE border=1 cellspacing=0 align=center width=450>
		<TR>
			<TD class=Headline>$f vs. $g</TD>
		</TR>
		<TR>
			<TD class=Standard>
		";
		if ($q->param('check')) {
			my $ok = 1;
			my $Date = "";
			if ($Date = _MSGForderungenDateTimePruefen($q->param("DateTime"))) {
				if ($LSC{LeagueData}{AnzahlMaps} > 0 && $q->param("Map")) {
					if ($LSC{LeagueData}{Mapliste} > 0) {
						my %maps = MapListe();
						unless ($maps{$q->param("Map")}) {
							print $LSC{TEXT}{Forderung}[14].br; #ungltige map
							$ok = 0;
						}
					} elsif ($q->param("Map") && $q->param("Map") eq $LSC{LeagueData}{MapName}) {
							print $LSC{TEXT}{Forderung}[14].br; #ungltige map
							$ok = 0;
					} else {
							print $LSC{TEXT}{Forderung}[15].br; #keine map
							$ok = 0;
					}		
				}
			} else {
				$ok = 0;
			}

			# speichern
			if ($ok) {
				my $sth = $LSC{MySQL}->prepare("insert into lsc_games_waiting_daten 
						(League, F_Team1, F_Team2, F_Date, F_Map1, F_Map2, F_Msg1, F_Confirm1)
							Values
						($LSC{League}, ".$q->param("Team1").", ".$q->param("Team2").", '".$Date."', ".
							$LSC{MySQL}->quote($q->param("Map") || "").", ".
							($LSC{LeagueData}{AnzahlMaps} == 1 ? $LSC{MySQL}->quote($q->param("Map") || "") : "''").", ".
							$LSC{MySQL}->quote($q->param("comment") || "no comment").",  1)");
				print br.br;
				if ($sth->execute()) {
					print $LSC{TEXT}{Forderung}[17].br; #ok
						#ChiefsUndLeaderEinesTeams($q->param("Team1")), 
						my @user = (ChiefsUndLeaderEinesTeams($q->param("Team2")));
						my $Send = SendMessage(
							{	Email=>1, Intern=>1, 
								System=>1, 
								To=>[@user], From=>0, 
								ToEmail=>"", FromEmail=>$LSC{notifyEmail}, 
								DeleteAfterXDays=>$LSC{Messages}{DeleteGameMsg}, 
								Subject=>$LSC{TEXT}{Email}[3], 
								Message=>"", 
								Template=>$LSC{TEXT}{Email}[4], 
								TemplateValues=>{ 
											LINK=>$LSC{ScriptURL}."$LSC{user_pl}?League=$LSC{League}&Action=NewGame&Action2=Details&special=".$sth->{mysql_insertid}}
							});
						if ($Send) {
							print hr.$Send.hr;
						}
				} else {
					print $LSC{TEXT}{Forderung}[18].br; #fehler
				}								
				print br.br;
			} else {
				print br.br;
				print $LSC{TEXT}{Forderung}[16].br; #berprfen
				print br.br;
				_MSGForderungenFormular();
				print br.br;
			}


		} else {

			print br.br;
			_MSGForderungenFormular();
			print br.br;
		}
		
	print "</TD>
		</TR>
		</TABLE>
		";
}
sub AnzahlOffenerForderungenInLiga {
	my $Team = $LSC{MySQL}->quote(shift || 0);
	my $League = $LSC{MySQL}->quote(shift || 0);
	my $sth = $LSC{MySQL}->prepare("select count(*) from lsc_games_waiting_daten where League=$League and (F_Team1=$Team or F_Team2=$Team)");
	if ($sth->execute()) {
		my $ref = $sth->fetchrow_arrayref();
		$sth->finish();
		return $ref->[0] || 0;
	}
	return 0;
}

Require("LSCErgebnisse2.all.pm");

1