
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################


sub Ergebnisladen {
	my $GameID = shift || return;;	
	my $sth1;
	my $sth2;

	if ($LSC{sth}{Ergebnisladen1}) {
		$sth1 = $LSC{sth}{Ergebnisladen1};
	} else {
		$LSC{sth}{Ergebnisladen1} = $LSC{MySQL}->prepare("SELECT  No,  League,  Status,  Date,  Special,  PogName,  InsertBy, DATE_FORMAT(Date,'%e. %M'), DATE_FORMAT(Date,'%e.%m. %H:%i')  from lsc_games_daten WHERE No=?");
		$sth1 = $LSC{sth}{Ergebnisladen1};
	}
	if ($LSC{sth}{Ergebnisladen2}) {
		$sth2 = $LSC{sth}{Ergebnisladen2};
	} else {
		$LSC{sth}{Ergebnisladen2} = $LSC{MySQL}->prepare("SELECT ID, Game,  Team,  Points , PPoints1,  PPoints2,  LP,  Map,  Won,  Lost,  Draw,  Home from lsc_games WHERE Game=?");
		$sth2 = $LSC{sth}{Ergebnisladen2};
	}

	my $Game = $GameID;
	$sth1->execute($GameID);
	my $ref = $sth1->fetchrow_arrayref() || return;
	$sth1->finish;
	my $i = 0;
		$Game->{Game}{No}		= $ref->[$i++];
		$Game->{Game}{League}	= $ref->[$i++];
		$Game->{Game}{Status}	= $ref->[$i++];
		$Game->{Game}{Date}		= $ref->[$i++];
		$Game->{Game}{Special}	= $ref->[$i++];
		$Game->{Game}{PogName}	= $ref->[$i++];
		$Game->{Game}{InsertBy} = $ref->[$i++];
		$Game->{Game}{Date2} = $ref->[$i++];
		$Game->{Game}{Date3} = $ref->[$i++];

	$sth2->execute($GameID);
	while (my $ref = $sth2->fetchrow_arrayref()) {
		my $where = "away";
		if ($ref->[11]) {
			$where = "home";
		}
		my $i = 3;
		$Game->{$where}{$ref->[2]}{Points} = $ref->[$i++] || 0;
		$Game->{$where}{$ref->[2]}{PPoints1} = $ref->[$i++] || 0;
		$Game->{$where}{$ref->[2]}{PPoints2} = $ref->[$i++] || 0;
		$Game->{$where}{$ref->[2]}{LP} = $ref->[$i++] || 0;
		$Game->{$where}{$ref->[2]}{Map} = $ref->[$i++] || "";
		$Game->{$where}{$ref->[2]}{Won} = $ref->[$i++] || 0;
		$Game->{$where}{$ref->[2]}{Lost} = $ref->[$i++] || 0;
		$Game->{$where}{$ref->[2]}{Draw} = $ref->[$i++] || 0;
		($Game->{$where}{$ref->[2]}{Name}, undef, $Game->{$where}{$ref->[2]}{Status}) = TeamnameAndUserFromTeamID($ref->[2]);
	}
	$sth2->finish;

	return $Game;
}

1