
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################




%Menues = ();
my %XTag = ();


################## Layout einbinden
$LSC{LayoutAusgabe} = 0;
sub LayoutAusgeben {
	if ($LSC{LayoutAusgabe} == 0) {
		Counter_Show();

		$XTag{"LSC-JavaScriptPopup"} = JavaScriptPopup();
	
		$XTag{"LSC-NLCMenu"} = $Menues{LSC_NLCMenu};
		$XTag{"LSC-MainMenu"} = ""; #$Menues{Main};
		$XTag{"LSC-ClanMember"} = $Menues{ClanMember};
		$XTag{"LSC-LeagueMenu"} = $Menues{LSCLiga};
		$XTag{"LSC-UserMenu"} = $Menues{LSCUser};
		$XTag{"LSC-UserLigen"} = $Menues{LSCUserLigen};
		$XTag{"LSC-AdminMenu"} = $Menues{LSCAdmin};
		
		$XTag{"LSC-Username"} = ShowLink({Name => $LSC{username}, Script => "$LSC{user_pl}", Class=>"User"}, 1);
		$XTag{"LSC-UserID"} = $LSC{userid};
		$XTag{"LSC-UserIP"} = $q->remote_addr();

		$XTag{"LSC-Userteam"} = $LSC{userteam};
		$XTag{"LSC-UserteamID"} = $LSC{userteamid};
		
		$XTag{"LSC-NewUser"} = $Menues{LSCNewUser};
		$XTag{"LSC-OnlineUser"} = $Menues{LSCOnlineUser};
		$XTag{"LSC-OnlineUserNoLink"} = $Menues{LSCOnlineUserNoLink};
		$XTag{"LSC-CounterTotalVisits"} = $LSC{"Counter_Visits_total"} || 0;
		$XTag{"LSC-CounterWeekVisits"} = $LSC{"Counter_Visits_Week"} || 0;
		$XTag{"LSC-CounterTodayVisits"} = $LSC{"Counter_Visits_Today"} || 0;

		$XTag{"LSC-Members"} = User_Anzahl();
		$XTag{"LSC-AnzahlLigen"} = Ligen_Anzahl();
		$XTag{"LSC-OffeneLigen"} = Ligen_Anzahl_Offeneligen();
		$XTag{"LSC-Liganame"} = $LSC{LeagueData}{Name} || 'keine Liga gewhlt';

		$XTag{"LSC-Title"} = $_[0] || 'LigaScript @ leagues.ihoax.de';
		$XTag{"LSC-UserInfo"} = $LSC{UserInfosAnzeigen} ? UserInfo() : "";

		$XTag{"LSC-MainVote"} = ($LSC{Vote}{G} && $LSC{Vote}{G}{ShowMainVote}) ? VoteGlobalShow() : "";
		
		$XTag{"LSC-AtAGlance"} = "";
		if ($LSC{PlayerStats}) {
			$XTag{"LSC-AtAGlance"} = PlayerStatsLigaAtAGlance(8);;
		}
		$XTag{"LSC-SpecialCSS"} = $LSC{SpecialCSS} || "";

		$XTag{"LSC-"} = 1;
	
	}


	my $out = '';

	$LSC{LayoutDatei} = $LSC{ActionLayout}{$LSC{Action}} if $LSC{ActionLayout}{$LSC{Action}};
	$LSC{LayoutDatei} = $LSC{LayoutDateiDefault}  if !$LSC{LayoutDatei};
	
	open (LAYOUT, $LSCPackagePfad.$LSC{LayoutDatei}) or die ("Layout konnte nicht geladen werden");		
	my $LayoutStart = 0;
	while ($LSC{LayoutAusgabe}-- > 0 && (my $zeile=<LAYOUT>)) {};

	while (($LayoutStart == 0) && (my $zeile=<LAYOUT>)) {
		$LSC{LayoutAusgabe}++;
		if ($zeile =~/\<LSC-Main\>/) {
			$out .= "<!-- LigaScript Output -->\n";
			$LayoutStart = 1;
			$LSC{LayoutAusgabe}++;
		} else {
			$out .= $zeile;
		}
	}
	
	# nicht bentigte tags lschen
	my %KeepTagsIf = ();
	$KeepTagsIf{"LSC-UserLogin"} = $LSC{LOGIN};
	$KeepTagsIf{"LSC-UserNotLogin"} = !$LSC{LOGIN};
	$KeepTagsIf{"LSC-UserTeam"} = $LSC{userteamid} && $LSC{userteam};
	$KeepTagsIf{"LSC-"} = "";
		
	foreach my $Tag (keys %KeepTagsIf) {
		if ($KeepTagsIf{$Tag}) {
			$out =~s/\<$Tag\>//gg;
			$out =~s/\<\/$Tag\>//gg;
		} else {
			$out =~s/\<$Tag\>.*?\<\/$Tag\>//gs;
		}
	}
	
	# tags ersetzen
	foreach  my $key (keys %XTag) {
		$XTag{$key} = "" unless $XTag{$key};
		$out =~s/\<$key\>/$XTag{$key}/;
	
	}
	$out =~s/\<LSC\-Imagepfad\>/$LSC{imagepfad}/gg;

	print $out;
	close (LAYOUT);
}


sub LayoutMenue {
	$Menues{LSC_NLCMenu} = "";
	$Menues{ClanMember} = "
		#A#$LSC{show_pl}?League=$LSC{League}&Action=Members#A1#$LSC{TEXT}{Menue}[19]#A2#	
		#A#$LSC{show_pl}?League=$LSC{League}&Action=Clans#A1#$LSC{TEXT}{Menue}[20]#A2#
		";
	if ($LSC{LOGIN}) {
		$Menues{ClanMember} .= "
			#A#$LSC{user_pl}?League=$LSC{League}&Action=Search#A1#$LSC{TEXT}{Menue}[21]#A2#<br>	
			";
	}
	if ($LSC{ligavorhanden}) {
		$Menues{LSCLiga} .= "
			$LSC{LeagueData}{NameKurz}<br>
			#A#$LSC{show_pl}?League=$LSC{League}#A1#$LSC{TEXT}{Menue}[1]#A2#	
			#A#$LSC{show_pl}?League=$LSC{League}&Action=Rules#A1#$LSC{TEXT}{Menue}[2]#A2#	
			#A#$LSC{show_pl}?League=$LSC{League}&Action=Results#A1#$LSC{TEXT}{Menue}[3]#A2#	
			#A#$LSC{show_pl}?League=$LSC{League}&Action=Standings#A1#$LSC{TEXT}{Menue}[4]#A2#	
			#A#$LSC{show_pl}?League=$LSC{League}&Action=WeekStandings#A1#$LSC{TEXT}{Menue}[5]#A2#			
			<!-- #A#$LSC{show_pl}?League=$LSC{League}&Action=LeagueStatistics#A1#$LSC{TEXT}{Menue}[6]#A2# -->
			#A#$LSC{show_pl}?League=$LSC{League}&Action=LeagueBestOfTable#A1#$LSC{TEXT}{Menue}[7]#A2#	
			#A#$LSC{user_pl}?League=$LSC{League}&Action=Members#A1#$LSC{TEXT}{Menue}[8]#A2#	
			#A#$LSC{show_pl}?League=$LSC{League}&Action=Vote#A1#$LSC{TEXT}{Menue}[23]#A2#	
			";
		if ($LSC{PlayerStats}) {
			$Menues{LSCLiga} .= "
				#A#$LSC{show_pl}?League=$LSC{League}&Action=Draft#A1#$LSC{TEXT}{Menue}[19]#A2#
				";
		}
		if ($LSC{LeagueData}{WaitlistID}) {
			$Menues{LSCLiga} .= "
				#A#$LSC{user_pl}?League=$LSC{League}&Action=ShowWaitlist#A1#$LSC{TEXT}{Menue}[24]#A2#
				";
		}
		if ($LSC{Strafpunkte}) {
			$Menues{LSCLiga} .= "
				#A#$LSC{user_pl}?League=$LSC{League}&Action=Punish#A1#$LSC{TEXT}{Menue}[25]#A2#
				";
		}
		
#		$Menues{LSCLiga} .= "
#			<br>
#			#A#$LSC{show_pl}#A1#$LSC{TEXT}{Menue}[0]#A2#<br>	
#		";
			
	} else {
#		$Menues{LSCLiga} .= "
#			#A#$LSC{show_pl}#A1#$LSC{TEXT}{Menue}[0]#A2#<br>	
#		";
	}

	
	$Menues{LSCUser} = "";
		$Menues{LSCUser} .= "
			#A#$LSC{user_pl}?League=$LSC{League}&Action=Switch#A1#S: $LSC{UserStatus}#A2#	
		" if ($LSC{UserStatus} && $LSC{UserStatus} == 9);
	if ($LSC{LOGIN}) {
		if ($LSC{Messages}{S}) {
			$Menues{LSCUser} .= "
				#A#$LSC{user_pl}?League=$LSC{League}&Action=MSG#A1#$LSC{TEXT}{Menue}[22]#A2#	
			";
		}
# unter useraccount zu finden
#		$Menues{LSCUser} .= "
#			#A#$LSC{user_pl}?League=$LSC{League}&Action=Profile#A1#$LSC{TEXT}{Menue}[10]#A2#
#			";

# unter useraccount zu finden
#		$Menues{LSCUser} .= "
#			#A#$LSC{user_pl}?League=$LSC{League}&Action=TeamInfo#A1#$LSC{TEXT}{Menue}[13]#A2#	
#			";
		#if ($LSC{TeamAnmelden}) {
# unter useraccount zu finden
#			$Menues{LSCUser} .= "
#				#A#$LSC{user_pl}?League=$LSC{League}&Action=NewTeam#A1#$LSC{TEXT}{Menue}[12]#A2#	
#				";
		#}

		#if ($LSC{AllowAction}) {
			$Menues{LSCUser} .= "
				#A#$LSC{user_pl}?League=$LSC{League}&Action=NewGame#A1#$LSC{TEXT}{Menue}[15]#A2#	
				";
		#}
		if ($LSC{PlayerStats} && $LSC{AllowAction}) {
#			$Menues{LSCUser} .= "
#				#A#$LSC{user_pl}?League=$LSC{League}&Action=Draft#A1#$LSC{TEXT}{Menue}[19]#A2#
#				";
		}
		
#		$Menues{LSCUser} .= "
#			#A#$LSC{user_pl}?League=$LSC{League}&Action=UnlockGames#A1#$LSC{TEXT}{Menue}[9]#A2#
#			";

		
		if ($LSC{Admin}) {
#			$Menues{LSCUser} .= "
#				#A#admin.pl#A1#$LSC{TEXT}{Menue}[16]#A2#
#				";
		}

		$Menues{LSCUser} .= "
			#A#$LSC{user_pl}?League=$LSC{League}&Action=logout#A1#$LSC{TEXT}{Menue}[14]#A2#	
			";
	} elsif ($LSC{HideUserLogin}){
			# kein Login link ausgeben
	} else {
		#nicht eingeloggt
		$Menues{LSCUser} .= "
			#A#$LSC{user_pl}#A1#$LSC{TEXT}{Menue}[17]#A2#	
			#A#user.new.pl#A1#$LSC{TEXT}{Menue}[18]#A2#	
			";
	}	

	# Adminmen
	$Menues{LSCAdmin} = "";
	if ($LSC{Admin}) {
		$Menues{LSCAdmin} .= "
			<b>Admin</b><br>
			#A#admin.pl#A1#Liga w&auml;hlen#A2#	
			";
		if ($LSC{UserStatus} == 9) {
			$Menues{LSCAdmin} .= "
				<b>GlobalAdmin</b><br>
				#A#admin.pl?League=&Action=Global#A1#Liga erstellen#A2#	
				#A#admin.pl?League=&Action=Votes#A1#$LSC{TEXT}{Menue}[23]#A2#
				[Verwalten]<br>
				#A#admin.pl?League=$LSC{League}&Action=User#A1#Members#A2#	
				#A#admin.pl?League=$LSC{League}&Action=Team#A1#Teams/Clans#A2#	
				#A#admin.pl?League=$LSC{League}&Action=SupportTicket#A1#SupportTickets#A2#	
				[Uebersicht]<br>
				#A#admin.pl?League=$LSC{League}&Action=Teams#A1#Teams[sehr gross]#A2#
				";
		}
	} else {
		#nix...
	}
	if ($LSC{Admin} && $LSC{ligavorhanden}) {
		$Menues{LSCAdmin} .= "
			<b>LigaAdmin</b><br>
			[Konfiguration]<br>
			#A#admin.pl?League=$LSC{League}&Action=Global#A1#Einstellungen#A2#	
			";
#			if ($LSC{LeagueData}{PlayoffDaten}) {
#				$Menues{LSCAdmin} .= "
#					#A#admin.pl?League=$LSC{League}&Action=CreatePlayoffs#A1#Turnier erstellen#A2#	
#					";
#			}
			
		$Menues{LSCAdmin} .= "
			[Verwalten]<br>
			#A#admin.pl?League=$LSC{League}&Action=Games#A1#Ergebnisse#A2#	
			";
			#A#admin.pl?League=$LSC{League}&Action=Email#A1#Email#A2#	

		if ($LSC{Vote}{G}) {
			$Menues{LSCAdmin} .= "
				#A#admin.pl?League=$LSC{League}&Action=Votes#A1#$LSC{TEXT}{Menue}[23]#A2#
				";
		}
		$Menues{LSCAdmin} .= "
			[Teams/User]<br>
			";
			
			if ($LSC{LeagueData}{MJoin} == 0) {
				$Menues{LSCAdmin} .= "
					#A#admin.pl?League=$LSC{League}&Action=AddTeams#A1#hinzufgen#A2#	
					";
			} 
			if ($LSC{LeagueData}{MJoin} == 1) {
				$Menues{LSCAdmin} .= "
					#A#admin.pl?League=$LSC{League}&Action=AddTeams#A1#hinzufgen#A2#	
					";
			} 
			if ($LSC{LeagueData}{MJoin} == 2) {
				$Menues{LSCAdmin} .= "
					#A#admin.pl?League=$LSC{League}&Action=AddTeams#A1#hinzufgen#A2#	
					";
			} 
			if ($LSC{LeagueData}{MJoin} == 3) {
				$Menues{LSCAdmin} .= "
					#A#admin.pl?League=$LSC{League}&Action=CreateTeams#A1#erstellen#A2#	
					#A#admin.pl?League=$LSC{League}&Action=TeamUser#A1#zuordnen#A2#	
					";
			}
			$Menues{LSCAdmin} .= "
				#A#admin.pl?League=$LSC{League}&Action=TeamGroups#A1#Gruppen#A2#	
				#A#admin.pl?League=$LSC{League}&Action=Waitlist#A1#Warteliste#A2#	
				";
			if ($LSC{PlayerStats}) {
				$Menues{LSCAdmin} .= "
					#A#admin.pl?League=$LSC{League}&Action=PlayerAdmin_PlayerTeams#A1#$LSC{TEXT}{Menue}[19]#A2#
					";
			}
			
		$Menues{LSCAdmin} .= "
			[Verwarnen]<br>
			#A#admin.pl?League=$LSC{League}&Action=TeamVerwarnen#A1#Teams/Clans#A2#	
			#A#admin.pl?League=$LSC{League}&Action=UserVerwarnen#A1#User#A2#	
			
			";
		
		
	}
	#Info

	$Menues{LSCUserLigen} = "";
	if ($LSC{LOGIN}) {
		my %Leagues = AlleLigenInDenenUserSpielt($LSC{userid});
		foreach my $L (sort keys %Leagues) {
			$Menues{LSCUserLigen} .= "
				#A#$LSC{show_pl}?League=$Leagues{$L}#A1#$L#A2#	
			 	";
		}
	} else {
		$Menues{LSCUserLigen} = "- keine -";
	}
	
	$Menues{LSCNewUser} = "";
	foreach my $nm (NewMembers()) {
		$Menues{LSCNewUser} .= "#A#".UserLink($nm->[0], $nm->[1], "NewMember")."#A1##A2#";
	}
	
	
	my @Online = SessionOnline();
	$XTag{"LSC-OnlineUserCounter"} = $Online[0];
	$XTag{"LSC-OnlineGuestCounter"} = $Online[1];
	$XTag{"LSC-OnlineTotalCounter"} = $Online[0]+$Online[1];

	$Menues{LSCOnlineUser} = "";
	$Menues{LSCOnlineUserNoLink} = "";
	my %OnUser = %{$Online[2]};
	foreach my $U (keys %OnUser) {
		$Menues{LSCOnlineUser} .= "#A#".UserLink($OnUser{$U}, $U)."#A1##A2#";
		$Menues{LSCOnlineUserNoLink} .= "#A#".$OnUser{$U}."#A1##A2#";
	}
	
			
	my $Layout = "";
	my @Layout = ();
	foreach $Menue (keys %Menues) {
		$Layout = $MenueLayout{$Menue} || $MenueLayout{Standard} || die ("Fehler beim erstellen des Mens!");

		# Menue-Layout zerlegen
		@Layout = $Layout =~/(.+)LINK(.+)NAME(.*)/;
		unless ($Layout[2]) { $Layout[2] = "" };
		unless ($Layout[1]) { $Layout[1] = ""; }
		unless ($Layout[0]) { $Layout[0] = ""; }
		$Menues{$Menue} =~s/\#A\#/$Layout[0]/gg; 
		$Menues{$Menue} =~s/\#A1\#/$Layout[1]/gg;
		$Menues{$Menue} =~s/\#A2\#/$Layout[2]/gg;
		$Menues{$Menue} =~s/\n//gg;
	}
	
}
#################



#### Layout Ausgeben:
sub LayoutEins {
	print $q->header();
	
	LayoutMenue();
	
	LayoutAusgeben(@_);
	
	TimerStart("Funktion");
	return;
}

sub LayoutZwei {
	TimerStop("Funktion");
	TimerShow();
	print $LSC{DebugInfo} if $LSC{DebugInfo};
	LayoutAusgeben();
	return;
}

sub LayoutPopupEins {
	print $q->header();
	$LSC{TeamSeitenKeinPopUp} = 0;
	$LSC{LayoutDatei} = "LSCLayout.popup.html";

	LayoutAusgeben(@_);
	
	return;
}
sub LayoutPopupZwei {
	print $LSC{DebugInfo} if $LSC{DebugInfo};
	LayoutAusgeben();
	return;
}


## Text Formatieren
sub LayoutHeaderText {
	my @text=@_;
	my $headline=shift(@text);
return <<ende;
<TABLE width=100%>
<TR>
	<TD bgcolor=#000000 class=Headline><B>$headline</B></TD>
</TR>
<TR>
	<TD class=StandardWeiss><div>
	@text
	</div>
	</TD>
</TR>
</TABLE>
ende
}


my $JavaScriptPopup = <<"ende";
	<script language="JavaScript">
	function openPopWin(Was, League, Ziel) {
		if (Was=="Recap") {
			var href="$LSC{JavaScriptBaseUrl}/recap.pl?League="+League+"&special="+Ziel;
			my = window.open(href, "League", "width=600,height=400,screenX=0,screenY=0,scrollbars=yes");
			my.focus();	
		}
		if (Was=="TeamStatistic") {
			var href="$LSC{JavaScriptBaseUrl}/show.teams.pl?League="+League+"&Action=Statistic&special="+Ziel;
			my = window.open(href, "League"+Ziel, "width=600,height=400,screenX=0,screenY=0,scrollbars=yes");
			my.focus();	
		}
		if (Was=="User") {
			var href="$LSC{JavaScriptBaseUrl}/show.user.pl?League="+League+"&Action=OverView&special="+Ziel;
			my = window.open(href, "League"+Ziel, "width=600,height=400,screenX=0,screenY=0,scrollbars=yes");
			my.focus();	
		}

	}
	function openPopFullScreenWin(Cmd, Action, x, y) {
			var href="$LSC{JavaScriptBaseUrl}/"+Cmd+"?"+Action;
			my = window.open(href, "FullScreen", "width="+x+",height="+y+",screenX=0,screenY=0,scrollbars=yes");
			my.focus();	
	}	
	</script>
ende
sub JavaScriptPopup {
	return $JavaScriptPopup;
}

############ text #########

sub PrintHeadline {
	my $headline=shift;
print <<ende;
<TABLE width=100%>
<TR>
	<TD class=Headline><B>$headline</B></TD>
</TR>
</TABLE>
ende
}

sub printtext {
	my @text=@_;
	my $headline=shift(@text);
print <<ende;
<TABLE width=100%>
<TR>
	<TD class=Headline><B>$headline</B></TD>
</TR>
<TR>
	<TD class=StandardWeiss><div>
	@text
	</div>
	</TD>
</TR>
</TABLE>
ende
}
sub printtextbr {
	my @text=@_;
	my $headline=shift(@text);
print <<ende;
<TABLE width=100%>
<TR>
	<TD class=Headline><B>$headline</B></TD>
</TR>
<TR>
	<TD class=small><div>
	@text
	</div>
	</TD>
</TR>
<TR>
</TABLE>
ende
}
sub printtextClass {
	my ($headline, $class,@text)=@_;
print <<ende;
<TABLE align=center>
<TR>
	<TD class=Headline><B>$headline</B></TD>
</TR>
<TR>
	<TD class=$class>
	@text
	</TD>
</TR>
<TR>
</TABLE>
ende
}
sub printlayout {
	my $headline=$_[0];
	my $width = 'width=100%';
	if ($_[1]) {
		$width = 'width='.$_[1];
	}
	if ($headline) {
		print '<TABLE '.$width.'><TR>	<TD class=Headline><B>'.$headline.'</B></TD></TR><TR>	<TD class=S12 align=center width=100%>';
	} else {
		print '<br></TD></TR></TABLE>';
	}
}
sub print_arr {
	foreach my $zeile (@_) {
			print $zeile;
	}
}
sub printfile {
	open (FILE, $_[0]) or return;
		while (my $zeile = <FILE>) {
				print $zeile;
		}
	close (FILE);
	return 1;
}
sub loadfile {
	open (FILE, $_[0]) or return;
		my @zeilen = <FILE>;
	close (FILE);
	return join ("\n", @zeilen);
}
sub printSSIfile {
	open (ssiFILE, $_[0].$_[1]) or die "$_[0]$_[1] $!";
		while (my $zeile = <ssiFILE>) {
			if ($zeile =~/include virtual/) {
				my (undef, $file, undef) = split (/\"/, $zeile);
				printfile($_[0].$file);
			} else {
				print $zeile;
			}
		}
	close (ssiFILE);
}

sub LBalken {
	if ($_[1] > 0) {
		return '<IMG SRC="'.$_[0].'" WIDTH="'.$_[1].'" HEIGHT="6" ALT="'.($_[2] || '').'">';
	}
	return '';
}
sub _HomeRoadDisplayAt {
	if ($_[0] < 0) {
		return '';
	}
	return '@';
}

1
