
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################




# Aus kompatibilittsgrnden mit alten Versionen:
sub MSGForderungenVonHeute {

}
sub MSGForderungenNaechsten {

}
sub MSGForderungenEinesTeams {

}
### Messaging System


sub MessagesShow {
	unless ($LSC{Messages}{S}) {
		print "Die Messagefunktion wurde nicht aktiviert!";
		return;
	}
	my $Action = shift || "";
	my $Special = shift || "";

	print $LSC{TEXT}{Messages}[1];
	print ShowLink({Name => "[Home]", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => ""}, 1).
			"   ".
				ShowLink({Name => "[New]", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "New"}, 1).
			"   ".
				ShowLink({Name => "[Inbox]", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "Inbox"}, 1).
			"   ".
				ShowLink({Name => "[Outbox]", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "Outbox"}, 1).
			"   ".
				ShowLink({Name => "[AddrBook]", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "AddrBook"}, 1).
			hr.br;
	if ($Action eq "Inbox") {
		# Admin benutzen um autotdelete funktion zu ermglichen:
		if ($LSC{Admin}) {
			$sth = $LSC{MySQL}->do("delete from lsc_msg_user where AutoDelete > 0 and AutoDelete < now()");

		}
		print "<div class=Headline>Inbox</div>";
		my $sth;
		$sth = $LSC{MySQL}->prepare("SELECT m.ID, m.FromUser, m.ReadMsg, m.Subject, DATE_FORMAT(m.Time,'%e. %M %Y - %T'), m.MsgStatus
					FROM lsc_msg_user m
					WHERE m.ToUser=$LSC{userid} and m.ToStatus=0 order by m.Time desc");
		$sth->execute();

		print "<table cellspacing=0 width=100%>";
		print "<tr><td class=Headline></td><td class=Headline>$LSC{TEXT}{Messages}[13]&nbsp;&nbsp;</td><td class=Headline>&nbsp;$LSC{TEXT}{Messages}[11]&nbsp;</td><td class=Headline>$LSC{TEXT}{Messages}[12]</td></tr>";
		print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=Delete");
		while (my $ref = $sth->fetchrow_arrayref()) {
			print "<tr><td class=Standard>";
			print $q->checkbox(-name=>'DeleteMessages', -value=>$ref->[0], -label=>"");
			print ($ref->[2] ? "":"$LSC{TEXT}{Messages}[5]");
			print "</td><td class=Standard>";
				print ShowLink({Name => "$ref->[3]", 
							Script => "$LSC{user_pl}",
							Action => "MSG",
							Action2 => "Show",
							Special => $ref->[0]}, 1);
			print "</td><td class=Standard>";
				print UserLink(NameFromUserID($ref->[1]), $ref->[1]) if $ref->[5] == 0; #normal
				print $LSC{TEXT}{Messages}[6] if $ref->[5] == 1; #system
				print "\[$LSC{TEXT}{Messages}[7] ".UserLink(NameFromUserID($ref->[1]), $ref->[1])."\]" if $ref->[5] == 2; #kopie
				
				
			print "</td><td class=Standard>";
				print $ref->[4];
			print "</td></tr>";

		}
		$sth->finish;

		print "</table>";
	
		print br;
		print submit($LSC{TEXT}{Messages}[29]);
		print end_form();

		print br.br;
		print "-- ".br;
		print "<b>$LSC{TEXT}{Messages}[7]</b> =&gt $LSC{TEXT}{Messages}[8]".br;# Kopie einer Nachricht
		print "<b>$LSC{TEXT}{Messages}[6]</b> =&gt $LSC{TEXT}{Messages}[9]".br;#system nachricht
	} elsif ($Action eq "Outbox") {
		print "<div class=Headline>Outbox</div>";
		my $sth;
		$sth = $LSC{MySQL}->prepare("SELECT m.ID, m.ToUser, m.ReadMsg, m.Subject, DATE_FORMAT(m.Time,'%e. %M %Y - %T'), m.MsgStatus
					FROM lsc_msg_user m, lsc_user u
					WHERE m.FromUser=$LSC{userid} and m.FromStatus=0 and m.ToUser=u.UserID order by m.Time desc");
		$sth->execute();

		print "<table cellspacing=0 width=100%>";
		print "<tr><td class=Headline></td><td class=Headline>$LSC{TEXT}{Messages}[13]&nbsp;&nbsp;</td><td class=Headline>&nbsp;$LSC{TEXT}{Messages}[11]&nbsp;</td><td class=Headline>$LSC{TEXT}{Messages}[12]</td></tr>";
		print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=Delete");
		while (my $ref = $sth->fetchrow_arrayref()) {
			print "<tr><td class=Standard>";
			print $q->checkbox(-name=>'DeleteMessages', -value=>$ref->[0], -label=>"");
			print ($ref->[2] ? "":"$LSC{TEXT}{Messages}[5]");
			print "</td><td class=Standard>";
				print ShowLink({Name => "$ref->[3]", 
							Script => "$LSC{user_pl}",
							Action => "MSG",
							Action2 => "Show",
							Special => $ref->[0]}, 1);
			print "</td><td class=Standard>";
				print UserLink(NameFromUserID($ref->[1]), $ref->[1]) if $ref->[5] == 0; #normal
				print $LSC{TEXT}{Messages}[6] if $ref->[5] == 1; #system
				print "\[$LSC{TEXT}{Messages}[7] ".UserLink(NameFromUserID($ref->[1]), $ref->[1])."\]" if $ref->[5] == 2; #kopie
				
				
			print "</td><td class=Standard>";
				print $ref->[4];
			print "</td></tr>";

		}
		$sth->finish;

		print "</table>";

		print br;
		print submit($LSC{TEXT}{Messages}[29]);
		print end_form();

		print br.br;
		print "-- ".br;
		print "<b>$LSC{TEXT}{Messages}[7]</b> =&gt $LSC{TEXT}{Messages}[8]".br;# Kopie einer Nachricht

	} elsif ($Action eq "New") {
		print "<div class=Headline>Send a Message</div>";
		my $sended = 0;
		if ($q->param("send") && $q->param("Message") && $q->param("Subject") && ($q->param("To") || $q->param("ToText"))) {
			my @to = $q->param("To");
			my $toUser = 0;
			if ($q->param("ToText")) {
				if ($q->param("ToText") =~ /^\/game\:(.+)/i) {
					my $Team = TeamIDFromName($1);
					if ($Team) {
						my @ids = ChiefsUndLeaderEinesTeams($Team);
						if (scalar(@ids)) {
							push @to, @ids;
						} else {
							@to = ();
						}
					} else {
							@to = ();
					}
				} else {
					$toUser = UserIDFromName($q->param("ToText")); 
					if ($toUser) {
						push @to, $toUser;
					} else {
						@to = ();
					}
				}
			}	
			if (!scalar(@to)) {
				print $LSC{TEXT}{Messages}[22].br;
			} else {
				my $Message = "1";
				$Message->{Message} = $q->param("Message");
				$Message->{Subject} = $q->param("Subject");
				$Message->{To} = [@to];
				$Message->{From} = $LSC{userid};
				$Message->{MsgStatus} = 0;

				if ($q->param("AdminKopie")) {
					$Message->{LigaName} = LigaName($q->param("AdminKopie"));
					$Message->{Message} .= "\n\n$LSC{TEXT}{Messages}[32] $Message->{LigaName}\n";
				}
				
				if ($LSC{UserStatus} == 9 && $q->param('ExtraMessage')) {
					#"All Users", "All Admins"
					if ($q->param('ExtraMessage') eq 'All Users') {
						$Message->{MsgStatus} = 1;
						$Message->{To} = [AlleUserIDs()];
						$Message->{AutoDelete} = 14; #Tage

					} elsif ($q->param('ExtraMessage') eq 'All Admins') {
						$Message->{MsgStatus} = 1;
						$Message->{To} = [AlleAdminIDs()];
						$Message->{AutoDelete} = 30; #Tage
					}
				}
				my $SendAs = $q->param("SendAs") || "";
				if ($SendAs ne 'Email') {
					# soll nicht nur als Email verschickt werden
					if (MessageToolsSendMsg($Message)) {
						print $LSC{TEXT}{Messages}[16].br; #erfolgreich
						$sended = 1;
					}
				} else {
					# nur als email
					$sended = 1;
				}
				if ($sended) {
					if ($LSC{UserStatus} == 9 && ($q->param("SendAs") eq 'Intern und Email' || $q->param("SendAs") eq 'Email')) {
						# nachricht per email schicken
						foreach $id (@{$Message->{To}}) {
							my $C = UserKontaktDatenFromUserID($id);
							if ($C) {
								my $to = "$C->{Lastname} <$C->{Email}>";
								email($LSC{notifyEmail}, $to, $Message->{Subject}, $LSC{Email}, $LSC{Email_Info}.$Message->{Message}."\n***************\nend of message\n");
							}
						}
						print "Email(s) verschickt.<br>";
					}
	
					$sended = 1;
				} else {
					print $LSC{TEXT}{Messages}[17].br; #fehler
				}

				#admin kopie
				if ($q->param("AdminKopie")) {
					print $LSC{TEXT}{Messages}[31].br;
					#Message aufbereiten
						@empfaengernamen = ();
						foreach my $n (@{$Message->{To}}) {
							push @empfaengernamen, NameFromUserID($n);
						}
					my $NewHeader = "Original Nachricht wurde von $LSC{username} an ".join(', ', @empfaengernamen)." verschickt.\nNachricht:\n";
					$Message->{Message} = $NewHeader.$Message->{Message};

					$Message->{To} = [AdminsForThisLeague($q->param("AdminKopie"))];
					$Message->{MsgStatus} = 2;

					
					if (MessageToolsSendMsg($Message)) {
						print $LSC{TEXT}{Messages}[16].br; #erfolgreich
						$sended = $sended ? 1 : 0;
						if ($LSC{UserStatus} == 9 && ($q->param("SendAs") eq 'Intern und Email' || $q->param("SendAs") eq 'Email')) {
							# nachricht per email schicken

							foreach $id (@{$Message->{To}}) {
								my $C = UserKontaktDatenFromUserID($id);
								if ($C) {
									my $to = "$C->{Lastname} <$C->{Email}>";
									email($LSC{notifyEmail}, $to, $Message->{Subject}, $LSC{Email}, $LSC{Email_Info}.$Message->{Message}."\n***************\nend of message\n");
								}
							}
						}
					} else {
						print $LSC{TEXT}{Messages}[17].br; #fehler
					}
				}

					
			}
		}

		if (!$sended) {
			#Formular ausgeben:
			print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=New");
		
			print "<table><tr><td class=Standard>";
				print "$LSC{TEXT}{Messages}[18]".br; #an
				print $q->textfield('ToText', $Special || "", 30).br.br;
				print "$LSC{TEXT}{Messages}[14]".br; #an
				print $q->textfield('Subject', "", 30).br.br;

				print $q->textarea('Message','',10,50).br.br;
				
				my %Leagues = LigenInDenenUserTeamRechteHat($LSC{userid}, 1);
				if (scalar(%Leagues)) {
					print $LSC{TEXT}{Messages}[30].br;
					print $q->popup_menu(-name=>'AdminKopie', -values=>['',(keys %Leagues)], -default=>'', -labels=>\%Leagues);
					print br.br;
				}
				
				if ($LSC{UserStatus} == 9) {
						print $q->popup_menu(-name=>'ExtraMessage', -values=>["", "All Users", "All Admins"], -default=>'').br;
						print $q->popup_menu(-name=>'SendAs', -values=>["Intern", "Email", "Intern und Email"], -default=>'Intern').br;
				}

				print submit('send');
			print "</td><td class=Standard align=rigth>";
				my @AddrBook = MessageToolsAddrBookfromUser($LSC{userid});
				if (@AddrBook && $AddrBook[0]) {
					my %AddrBook = ();
					my @List = ();
					foreach my $a (@AddrBook) {
						push(@List, $a->{UserID});
						$AddrBook{$a->{UserID}} = $a->{Name};
					}
					$AddrBook{0} = "none";

					print $LSC{TEXT}{Messages}[19].br; #Adressbuch
					print $q->scrolling_list(-name=>"To", 
											-values=>[0, @List],
											-default=>0,
											-labels=>\%AddrBook,
											-multiple=>'true',
											-size=>10);
					print br;
				}
				
											
									
				
			print "</td></tr></table>";
			print end_form();
			print $LSC{TEXT}{Messages}[23].br.br;
			print hr.$q->param("oldmsg") if $q->param("oldmsg");
		}

	} elsif ($Action eq "Delete" && $Special) {
		my $MessageID = $LSC{MySQL}->quote($Special);
		my $sth = $LSC{MySQL}->do("update lsc_msg_user set FromStatus=1 where ID=$MessageID and FromUser=$LSC{userid}");
		$sth = $LSC{MySQL}->do("update lsc_msg_user set ToStatus=1 where ID=$MessageID and ToUser=$LSC{userid}");

		$sth = $LSC{MySQL}->do("delete from lsc_msg_user where ToStatus=1 and FromStatus=1");

		print $LSC{TEXT}{Messages}[21];
	} elsif ($Action eq "Delete" && $q->param('DeleteMessages')) {
		foreach my $m ($q->param('DeleteMessages')) {
			my $MessageID = $LSC{MySQL}->quote($m);
			my $sth = $LSC{MySQL}->do("update lsc_msg_user set FromStatus=1 where ID=$MessageID and FromUser=$LSC{userid}");
			$sth = $LSC{MySQL}->do("update lsc_msg_user set ToStatus=1 where ID=$MessageID and ToUser=$LSC{userid}");
		}
		my $sth = $LSC{MySQL}->do("delete from lsc_msg_user where ToStatus=1 and FromStatus=1");
		print $LSC{TEXT}{Messages}[21];

	} elsif ($Action eq "AddrBook") {
				print $LSC{TEXT}{Messages}[26].br;;
				my $UserID;
				if ($UserID=TeamSuchen($LSC{user_pl}, 'MSG&Action2=AddrBook', 2)) {
					if ($LSC{userid} eq $UserID) {
						print $LSC{TEXT}{Messages}[27].br;
					} else {
						if (!MessageToolsUserIstImAddrBookVonUser($LSC{userid}, $UserID)) {
							my $sth = $LSC{MySQL}->do("insert into lsc_msg_user_addrbook (User, AddrUser) Values ($LSC{userid}, '".$UserID."')"); 
						}
						print $LSC{TEXT}{Messages}[24].br;
					}
					print	ShowLink({Name => $LSC{TEXT}{default}[7], 
							Script => "$LSC{user_pl}",
							Action => "MSG",
							Action2 => "AddrBook"}, 1)
				}
				print br;
				print hr;

		if ($q->param("DeleteEntry")) {
			print $q->param("DeleteEntry").br;
			foreach my $delete ($q->param("DeleteEntry")) {
				my $sth = $LSC{MySQL}->do("delete from lsc_msg_user_addrbook where User=$LSC{userid} and AddrUser=".
							$LSC{MySQL}->quote($delete || 0));
				print "delete from lsc_msg_user_addrbook where User=$LSC{userid} and AddrUser=".
							$LSC{MySQL}->quote($delete || 0);
			}

			print $LSC{TEXT}{Messages}[25].br;
		}

				my @AddrBook = MessageToolsAddrBookfromUser($LSC{userid});
				if (@AddrBook && $AddrBook[0]) {
					my %AddrBook = ();
					my @List = ();
					foreach my $a (@AddrBook) {
						push(@List, $a->{UserID});
						$AddrBook{$a->{UserID}} = $a->{Name};
					}

					print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=AddrBook");
					print $LSC{TEXT}{Messages}[19].br; #Adressbuch
					print $q->scrolling_list(-name=>"DeleteEntry", 
											-values=>\@List,
											-labels=>\%AddrBook,
											-multiple=>'true',
											-size=>10);
					print submit('delete');
					print end_form();
				}





	} elsif ($Action eq "Show") {
		my $Message;
		if ($Special && ($Message = MessageToolsLoadMessage($Special, $LSC{userid}))) {
			# Nachricht ID erhalten und Nachricht vorhanden
			print $LSC{TEXT}{Messages}[11]." ".($Message->{MsgStatus} == 1 ? "System" : UserLink($Message->{Login}, $Message->{UserID})).br;
			print $LSC{TEXT}{Messages}[12].": ".$Message->{Date}.br;
			print $LSC{TEXT}{Messages}[13].": ".$Message->{Subject}.br;
			print br;
			print $LSC{TEXT}{Messages}[14].":".br;
			my $MessageUnchanged = $Message->{Message};

			$Message->{Message} = RemoveHtmlFromText($Message->{Message});
			print "<table width=100%><tr><td class=MessageText>";
			print br.br.br;
			print $Message->{Message};
			print br.br;
			print "</td></tr></table>";
			print br.br;


			print "<br><br><br><br><table><tr><td>";
			if ($Message->{MsgStatus} != 1) {
				print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=New");
					print $q->hidden("ToText", $Message->{Login});
					print $q->hidden("Subject", "re: ".$Message->{Subject});
					print $q->hidden("oldmsg", $Message->{Message});
					print submit('reply');
				print end_form();
				print "</td><td>";
			}
			if ($Message->{MsgStatus} != 1) {
				print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=New");
					print $q->hidden("ToText", $Message->{Login});
					print $q->hidden("Subject", "re: ".$Message->{Subject});
					print $q->hidden("Message", '[quote]'.$MessageUnchanged.'[/quote]'."\n");
					print $q->hidden("oldmsg", $Message->{Message});
					print submit('reply-quote');
				print end_form();
				print "</td><td>";
			}
			print $q->start_form('post',"$LSC{user_pl}?League=$LSC{League}&Action=MSG&Action2=Delete&special=$Message->{ID}");
				print submit($LSC{TEXT}{Messages}[20]);
			print end_form();
			print "</td></tr></table>";

		} else {
			#Ungltige angaben oder keine nachricht vorhanden
			print $LSC{TEXT}{Messages}[10].br;
		}

	} else {
		# overview
		($Inbox, $InboxNew, $Outbox, $OutboxNew) = MessageToolsCountMSGfromUser($LSC{userid});
		print ShowLink({Name => "Inbox", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "Inbox"}, 1)." ($InboxNew $LSC{TEXT}{default}[6] / $Inbox $LSC{TEXT}{default}[5])".br;
		print ShowLink({Name => "Outbox", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "Outbox"}, 1)." ($OutboxNew $LSC{TEXT}{default}[6] / $Outbox $LSC{TEXT}{default}[5])".br;
		print br;

		#neue nachricht
		print ShowLink({Name => "$LSC{TEXT}{Messages}[15]", 
						Script => "$LSC{user_pl}",
						Action => "MSG",
						Action2 => "New"}, 1).br;

	}
	print hr;
	print $LSC{TEXT}{Messages}[2];

}
sub MessageToolsLoadMessage {
	my $MessageID = shift || return;
	my $User = shift || $LSC{userid};

	$MessageID = $LSC{MySQL}->quote($MessageID);
	$UserQ = $LSC{MySQL}->quote($User);

	# jede nachricht laden, auf die die id passt und deren absender oder empfnger der User ist
	# und die nicht als gelscht vom user makiert wurde
	my $sth = $LSC{MySQL}->prepare("SELECT m.ID, m.FromUser, m.ToUser, m.ReadMsg, m.Subject, m.MsgStatus, m.Message, DATE_FORMAT(m.Time,'%e. %M %Y - %T') as Date, m.AutoDelete
					FROM lsc_msg_user m
					WHERE m.ID=$MessageID and ((m.ToUser=$UserQ and m.ToStatus=0) or (m.FromUser=$UserQ and m.FromStatus=0))");
		$sth->execute();
	
	my $ref = $sth->fetchrow_hashref();
	$sth->finish;

	if ($ref) {
		#Username laden:
		$ref->{UserID} = $User eq $ref->{FromUser} ? $ref->{ToUser} : $ref->{FromUser};
		$ref->{Login} = NameFromUserID($ref->{UserID});
		if (!$ref->{ReadMsg} && $User eq $ref->{ToUser}) {
			# Nachricht als gelsen makieren
			my $sth = $LSC{MySQL}->do("update lsc_msg_user set ReadMsg=1 where ID=$MessageID");
			$ref->{ReadMsg} = 1;
		}
	}

	return $ref ? $ref : "";
}
sub MessageToolsCountMSGfromUser {
	my $User = $LSC{MySQL}->quote(shift || "");
	
	my ($Inbox, $InboxNew, $Outbox, $OutboxNew);
	my $sth;
	my @result;

	# inbox
		$sth = $LSC{MySQL}->prepare("SELECT count(*)
					FROM lsc_msg_user
					WHERE ToUser=$User and ToStatus!=1"); #alle nachrichten, die nicht als gelscht makiert sind
		$sth->execute();
	
		@result = $sth->fetchrow_array();
		$sth->finish;

		$Inbox = $result[0];

	# inboxnew or unread
		$sth = $LSC{MySQL}->prepare("SELECT count(*)
					FROM lsc_msg_user
					WHERE ToUser=$User and ToStatus!=1 and ReadMsg=0"); #alle nachrichten, die nicht als gelscht makiert sind
		$sth->execute();
	
		@result = $sth->fetchrow_array();
		$sth->finish;

		$InboxNew = $result[0];

	# outbox
		$sth = $LSC{MySQL}->prepare("SELECT count(*)
					FROM lsc_msg_user
					WHERE FromUser=$User and FromStatus!=1"); #alle nachrichten, die nicht als gelscht makiert sind
		$sth->execute();
	
		@result = $sth->fetchrow_array();
		$sth->finish;

		$Outbox = $result[0];

	# outbox unread
		$sth = $LSC{MySQL}->prepare("SELECT count(*)
					FROM lsc_msg_user
					WHERE FromUser=$User and FromStatus!=1 and ReadMsg=0"); #alle nachrichten, die nicht als gelscht makiert sind
		$sth->execute();
	
		@result = $sth->fetchrow_array();
		$sth->finish;

		$OutboxNew = $result[0];

	return ($Inbox, $InboxNew, $Outbox, $OutboxNew);
}
sub MessageToolsNewMSGforUser {
	my $User = $LSC{MySQL}->quote(shift || "");
	
	my $sth;
	my @result;

	# inboxnew or unread
		$sth = $LSC{MySQL}->prepare("SELECT count(*)
					FROM lsc_msg_user
					WHERE ToUser=$User and ToStatus!=1 and ReadMsg=0"); #alle nachrichten, die nicht als gelscht makiert sind
		$sth->execute();
	
		@result = $sth->fetchrow_array();
		$sth->finish;
	
	return $result[0];
}
sub MessageToolsAddrBookfromUser {
	my $User = $LSC{MySQL}->quote(shift || return);
	
	my $sth;
	my @result;
	my @AddrBook = ();

		$sth = $LSC{MySQL}->prepare("SELECT u.UserID, u.Login, b.GroupA, b.GroupB, b.ID
					FROM lsc_msg_user_addrbook b, lsc_user u
					WHERE b.User=$User and b.AddrUser=u.UserID order by u.Login");
		$sth->execute();
	
		while (@result = $sth->fetchrow_array()) {
			push @AddrBook, {UserID=>$result[0],
								Name=>$result[1],
								GroupA=>$result[2],
								GroupB=>$result[3],
								ID=>$result[4]};
		}
		$sth->finish;
	
	return @AddrBook;
}
sub MessageToolsUserIstImAddrBookVonUser {
	my $User = $LSC{MySQL}->quote(shift || return);
	my $User2 = $LSC{MySQL}->quote(shift || return);
	
	my $sth;
		$sth = $LSC{MySQL}->prepare("SELECT count(*)
					FROM lsc_msg_user_addrbook
					WHERE User=$User and AddrUser=$User2");
		$sth->execute();
	
		my $ref  = $sth->fetchrow_arrayref();
		$sth->finish;
	
	return $ref ? $ref->[0] : 0;
}
sub MessageToolsSendMsg {
	my $Message = shift || return;
	
	foreach my $to (@{$Message->{To}}) {
		if ($to eq $Message->{From} && 0) {
			print $LSC{TEXT}{Messages}[28].br; #nachricht an sich selbst
		} elsif (!$to || $to !~ /[0-9]/) {
#			print "unlitige id: $to".br;
		} else {
#			print "Sende nachricht an $to".br;
			my $sth = $LSC{MySQL}->do("insert into lsc_msg_user
					(ToUser, FromUser, ToStatus, FromStatus, Message, Subject, Time, ReadMsg, MsgStatus, AutoDelete)
						Values
					(".join(', ', 
						$LSC{MySQL}->quote($to),
						$LSC{MySQL}->quote($Message->{From}),
						$LSC{MySQL}->quote($Message->{ToStatus} || 0),
						$LSC{MySQL}->quote($Message->{FromStatus} || ($Message->{MsgStatus} && $Message->{MsgStatus} > 0 ? 1 : 0)),
						$LSC{MySQL}->quote($Message->{Message}|| "") ,
						$LSC{MySQL}->quote($Message->{Subject} || "no subject"),
							"now()",
							0,
						$LSC{MySQL}->quote($Message->{MsgStatus} || 0), 
						($Message->{AutoDelete} ? "DATE_ADD(now(), INTERVAL $Message->{AutoDelete} DAY)" : 0)
					).")");
		}
	}
	return 1;
}
sub SendMessage {
	#Parameter: Email, Intern, System, To, From, ToEmail, FromEmail DeleteAfterXDays, Subject, Message, Template, TemplateValues
	#$Message->{MsgStatus} = 0 Normal, 1= System, 2=Kopie
	#FromStatus = 0 Normal, 1 gelscht
	#ToStatus = 0 Normal, 1 gelscht
	my $Message = shift;
	my $C = "kontakt";
	local *template = sub  {
		if ($Message->{Template}) {
			$Message->{TemplateValues}{NAME} = $C->{Firstname} || "unknown";
			return TemplateMaker($Message->{Template}, $Message->{TemplateValues});
		}
	
		return $Message->{Message};
	};
	my $SendMessage = "Message";
	$SendMessage->{Message} = "";
	$SendMessage->{Subject} = $Message->{Subject};
	if ($Message->{Intern}) {
		$SendMessage->{From}		= $Message->{From} || 0;
		$SendMessage->{AutoDelete}	= $Message->{DeleteAfterXDays} || 0;
		$SendMessage->{MsgStatus}	= 0;
		if ($Message->{System}) {
			$SendMessage->{MsgStatus} = 1;
		}

		foreach  (@{$Message->{To}}) {
			$C = UserKontaktDatenFromUserID($_);
			$SendMessage->{Message} = template();
			$SendMessage->{To} = [$_];
			if (!MessageToolsSendMsg($SendMessage)) {
				return $LSC{TEXT}{Messages}[17];
			} 
		}

	}
	if ($Message->{Email} && $LSC{Email}) {
		$SendMessage->{To}			= $Message->{ToEmail} || "";
		$SendMessage->{From}		= $Message->{FromEmail} || "";
		unless ($SendMessage->{From}) {
			$C = UserKontaktDatenFromUserID($Message->{From});
			if ($C) {
				$SendMessage->{From} = "$C->{Lastname} <$C->{Email}>";
			} else {
				return $LSC{TEXT}{Messages}[33]." (UserID: $Message->{From})";
			}
		}
		if ($SendMessage->{To}) {
			$C = "kontakt";
			$SendMessage->{Message} = template();
			email($SendMessage->{From}, $SendMessage->{To}, $SendMessage->{Subject}, $LSC{Email}, $SendMessage->{Message});
		} else {
			foreach (@{$Message->{To}}) {
				$C = UserKontaktDatenFromUserID($_);
				if ($C) {
					$SendMessage->{To} = "$C->{Lastname} <$C->{Email}>";
					$SendMessage->{Message} = template();
					email($SendMessage->{From}, $SendMessage->{To}, $SendMessage->{Subject}, $LSC{Email}, $SendMessage->{Message});
				}

			}
		}

	}
	return;
}
1
