
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.0.1 BETA!                         #
# First-Released: August 1999                                                 #
# Distributed by: http://leagues.ihoax.de                                     #
# =========================================================================== #
# Copyright (c) 2000-2003 Joerg Nass (www.ihoax.de) - All Rights Reserved.    #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################


#Templates

sub TemplateMaker {
	my $Template = shift;
	my $Values = shift;

	my $T = $Template;
	foreach (keys %$Values) {
		if (defined $_ && defined $Values->{$_}) {
			$T =~s/\<$_\>/$Values->{$_}/gg;
		}
	}

	return $T;
}

sub TemplateLoad1 {
	my $file = shift;
	my $Template = $file;
	open (FILE, $file) or return;
		my $Last = "";
		while (my $zeile = <FILE>) {
			if ($zeile =~ /\<\!\-\- +(.*) +\-\-\>/) {
				$Last = $1;
				$Template->{$Last} = "";
			}
			$Template->{$Last} .= $zeile;
		}
	close (FILE);
	return $Template;
}

sub TemplateLoad2 {
	my $file = shift;
	my $Template = "";
	open (FILE, $file) or return;
		while (my $zeile = <FILE>) {
			$Template .= $zeile;
		}
	close (FILE);
	return $Template;
}

sub TemplateShow {
	my $File = shift;
	my $Values = shift;
	my @File = ();
	open (FILE, $File) or return "Konnte Template nicht laden! (Show-$!)";
		@File = <FILE>;
	close (FILE);

	return TemplateMaker(join("", @File), $Values);
}

sub TemplateShowStep {
	my $File = shift;
	my $Values = shift;
	my $Temp = shift;

	if ($Temp->{Next} eq "first") {
		my @File = ();
		open (FILE, $File) or return "Konnte Template nicht laden! (ShowStep-$!)";
			@File = <FILE>;
		close (FILE);
		$Temp->{HTML} = TemplateMaker(join("", @File), $Values);
	}
	if ($Temp->{HTML} =~ /.*\<(LSC\-[A-Za-z]+)\>.*/) {
		$Temp->{Next} = $1;
		if ($Temp->{HTML} =~ /(.*)\<$1\>(.*)/s) {
			print $1;
			$Temp->{HTML} = $2;
			return;
		}
	} 
	print $Temp->{HTML};
	$Temp->{Next} = undef;
}

1