
###############################################################################
# Sources From LigaScript                                                     #
###############################################################################
# LigaScript: Online Ligaverwaltung                                           #
#                                                                             #
# Version:        LigaScript Full Version 2.1.0	                              #
# First-Released: August 1999                                                 #
# Distributed by: http://www.scroax.net                                       #
# =========================================================================== #
# Copyright (c) 2004 Joerg Nass (www.scroax.net) - All Rights Reserved.	      #
# Software by: Joerg Nass                                                     #
# Kontaktinformationen und weiteres sind jeweils auf den angebenen            #
# Homepages zu finden!                                                        #
###############################################################################
#  ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!! ACHTUNG!!!!                #
#  Bitte den Disclaimer und die Nutzungsbedingungen in der Datei              #
#  LSCConfig.pm lesen!                                                        #
#                                                                             #
###############################################################################


sub TeamErstellen {
	my ($Name, $User, $PrivateTeam, $First, $Params) = @_;
	unless ($Params) {
		$Params = {};
	}
	my $sth = $LSC{MySQL}->prepare("insert INTO lsc_teams (Name, User, PrivateTeam, First, Homepage, IRC, TAG) VALUES	(?, ?, ?, ?, ?, ?, ?)");
	$sth->execute($Name, $User, ($PrivateTeam||0), ($First||0), ($Params->{Homepage} || ""), ($Params->{IRC} || ""), ($Params->{TAG} || ""));
	my $TeamID = $sth->{mysql_insertid};
	
	$sth->finish;
	return $TeamID;
}

sub NeuesZweitTeamErstellen {

	print "<table width=100%>
		<tr>
			<td class=Headline>$LSC{TEXT}{Teamname2} beitreten:
			</td>
		</tr>
		</tr>
			<tr>
			<td class=Standard>";
	if ($q->param('join') && $q->param('team')  && $q->param('clanpw')) {
		if ($q->param('clanpw') ne "" && $q->param('clanpw') eq TeamPassword($q->param('team'))) {
			Require("LSCuser.modif.pm");
			UserZuTeamAlsMember($q->param('team'), $LSC{userid});
			print $LSC{TEXT}{User}[29];

		} else {
			print "Das angegeben Passwort ist falsch!";
		}

	} else {
		my $TeamID;
		if ($TeamID=TeamSuchen($LSC{user_pl}, 'NewTeam', 3)) {
			my ($Teamname, $UserID) = TeamnameAndUserFromTeamID($TeamID);
			my $User = NameFromUserID($UserID);
			my $owner = $User ? UserLink($User, $UserID) : 'not available';

			print "<b>Informationen zum gewhlten Team:</b>".br;
			print "Team: ".TeamLink($Teamname, $TeamID).br;
			print "Owner: ".$owner.br;
			print br.br;
			print "Bitte das $LSC{TEXT}{Teamname2}-Passwort eingeben, um dem $LSC{TEXT}{Teamname2} beizutreten:<br>";
			print start_form('post',"$LSC{user_pl}?League=".$LSC{League}."&Action=NewTeam").
				$q->password_field('clanpw','',10).$q->hidden('team',$TeamID)."  ".submit('join').end_form;
		}
	}
	print "</td></tr>";
	print "	</table>";



	my ($AnzahlTeams, $Teams) = AnzahlTeams($LSC{userid});
	$Teams = join('<br>',@{$Teams});
	print "<table width=100%>
		<tr>
			<td class=Headline>Team Anmelden:
			</td>
		</tr>
		<tr>
			<td>Hier kannst Du ein Team/Clan anmelden, um z.B. in einer CounterStrike Clan Liga mitzuspielen.<br>
			Du kannst maximal ".($LSC{MaxTeams} == 1? "einen $LSC{TEXT}{Teamname2}" : "$LSC{MaxTeams} $LSC{TEXT}{Teamname}")." anmelden bzw. Owner von ihnen sein!<br>
			<br>
			</td>
		</tr>
		<tr>
			<td class=Headline>Folgende Clans sind angemeldet:<br>
			</td>
		</tr>
		<tr>
			<td>			
			$Teams<br>
			<br>
			</td>
		</tr>
	</table>";
	if ($AnzahlTeams >= $LSC{MaxTeams} && $LSC{TeamAnmelden}) {
		print "<table width=100%>
				<tr>
				<td class=Headline>Info:
			</td>
			</tr>	
			<tr>
				<td>Du hast die maximale Anzahl an $LSC{TEXT}{Teamname} erstellt.<br>
				Solltest Du dennoch ein weiteren $LSC{TEXT}{Teamname} bentigen, dann wende Dich an einen Admin oder bertrage ein bestehendes Team an eine andere Person.<br>
				<br>
				</td>
			</tr>
		</table>";
		return;
	}
	local *Form = sub {
		my $link= "$LSC{user_pl}?League=".$LSC{League}."&Action=NewTeam";
 		print start_form('post',$link);
		print "<table width=100%>
				<tr>
				<td class=Headline>Neuer Clan:
			</td>
			</tr>	
			<tr>
				<td class=Headline>Clannamen eingeben:</td>
				<td>".$q->textfield('Teamname','',30)."</td>
			</tr>
			<tr>
				<td class=Headline>Clan-Krzel:</td>
				<td>".$q->textfield('TeamKurz','',30)."</td>
			</tr>
			<tr>
				<td class=Headline>Homepage:</td>
				<td>http://".$q->textfield('Homepage','',30)."</td>
			</tr>
			<tr>
				<td class=Headline>IRC:</td>
				<td>".$q->textfield('IRC','#',30)."</td>
			</tr>
		</table>";
		print "Nur bei vollstndig ausgefllten Formular, kannst du an allen Ligen teilnehmen!!!".br;
		print submit('speichern'),end_form;	
	};
	if ($q->param('speichern') && $LSC{TeamAnmelden}) {
		my $ok = TeamnameOK($q->param('Teamname'));
		unless ($ok) {
			return Form();
		}
		my $teamid = TeamErstellen($q->param('Teamname'), $LSC{userid}, 0, 0, {Homepage=>$q->param('Homepage'),
					IRC =>$q->param('IRC'),
					TAG=>$q->param('TeamKurz')});
		my $do = "replace lsc_teams_members (Team, Member, Status, JoinDate) 
				Values ('$teamid', '".$LSC{userid}."', 2, Now())";
		my $sth = $LSC{MySQL}->do($do);
		print hr;
		
		print br."Das Team ".$q->param('Teamname')." ($teamid) wurde erstellt.".br;
	} elsif ($LSC{TeamAnmelden}) {
		Form();
	} else {
			print "Momentan koennen keine Clans angemeldet werden.";
	}

}
sub _JoinLeagueTeam {
	#immer lschen
	_LeaveLeagueTeam($_[0]);
	my $id = $LSC{MySQL}->quote($_[0]);
	my $do = "insert INTO lsc_teams_league 
	(Team, League)
	VALUES
	($id, '$LSC{League}')";
	my $sth = $LSC{MySQL}->prepare($do);
	$sth->execute();
	$sth->finish;

	Require("LSCPoints.pm");
	Points_TeamAktualisieren($_[0]);
} 
sub _LeaveLeagueTeam {
	my $id = $LSC{MySQL}->quote($_[0]);
	my $do = "delete from lsc_teams_league where League=$LSC{League} and Team=$id";
	my $sth = $LSC{MySQL}->prepare($do);
	$sth->execute();
	$sth->finish;
} 
sub TeamLoeschen {
	my $Team = shift;
	unless ($Team) {return;}

	TeamDatenLoeschen($Team);

	my $x;
	if ($x = TeamAktiv($Team)) {
		#Team behalten, damit tabellen und stats richtig bleiben
		print "Lsche Team $Team teilweise".br;
		my $sth = $LSC{MySQL}->do("update lsc_teams set 
			User=0 where ID=$Team")
	} else {
		print "Lsche Team $Team komplett".br;
		$Team = $LSC{MySQL}->quote($Team);
		my $sth = $LSC{MySQL}->do("delete from lsc_teams where ID=$Team");
	}
	print "Alle Teamdaten wurden gelscht.".br;
}
sub TeamDatenLoeschen {
	my $Team = shift;
	unless ($Team) {return;}
	$Team = $LSC{MySQL}->quote($Team);
	my $sth;
	$sth = $LSC{MySQL}->do("delete from lsc_teams_gelb where Team=$Team");
	$sth = $LSC{MySQL}->do("delete from lsc_teams_league where Team=$Team");
	$sth = $LSC{MySQL}->do("delete from lsc_teams_members where Team=$Team");
}


sub UserLoeschen {
	my $User = shift;
	unless ($User) {return;}

		my $firstteam = FirstUserTeamID($User);
		my ($AnzahlTeams, $Teams) = AnzahlTeamsID($User);
		foreach ($firstteam,@{$Teams}) {
			TeamLoeschen($_);
		}
		
		my $sth = $LSC{MySQL}->do("delete from lsc_user where UserID=".$User);
		$sth = $LSC{MySQL}->do("delete from lsc_teams_members where Member=".$User);
		print "User geloescht";
}

sub UserAcountFreischalten {
	my $name = shift;
	my $id = shift;
	unless ($name || $id) {
		print "angaben unvollstndig".br;
		return;
	}
	my $teamid = TeamErstellen($name, $id, 0, 1);
	my $do = "update lsc_user set Status=1 where UserID=".$id;
	my $sth = $LSC{MySQL}->prepare($do);
	$sth->execute();
	$sth->finish;
	$do = "delete from lsc_user_key where UserID=".$id;
	$sth = $LSC{MySQL}->prepare($do);
	$sth->execute();
	$sth->finish;
}

1

